/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30704

/* Bison version string.  */
#define YYBISON_VERSION "3.7.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2021 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    CLOCKBARSETS_WCP = 349,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 350,               /* MODUS_WCP  */
    TIMESPACE_WCP = 351,           /* TIMESPACE_WCP  */
    VERSION_WCP = 352,             /* VERSION_WCP  */
    EXTERN_WCP = 353,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 354,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 355,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 356,           /* SHOWHINTS_WCP  */
    KEY_WCP = 357,                 /* KEY_WCP  */
    DOUBLE_WCP = 358,              /* DOUBLE_WCP  */
    MOD_WCP = 359,                 /* MOD_WCP  */
    CONTROL_WCP = 360,             /* CONTROL_WCP  */
    SHIFT_WCP = 361,               /* SHIFT_WCP  */
    LOCK_WCP = 362,                /* LOCK_WCP  */
    MOD1_WCP = 363,                /* MOD1_WCP  */
    MOD2_WCP = 364,                /* MOD2_WCP  */
    MOD3_WCP = 365,                /* MOD3_WCP  */
    MOD4_WCP = 366,                /* MOD4_WCP  */
    MOD5_WCP = 367,                /* MOD5_WCP  */
    DNDACTION_WCP = 368,           /* DNDACTION_WCP  */
    DCACTION_WCP = 369,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 370,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 371,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 372,          /* USERACTION_WCP  */
    ROWUP_WCP = 373,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 374,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 375,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 376,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 377,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 378,             /* LASTROW_WCP  */
    PAGEUP_WCP = 379,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 380,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 381,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 382,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 383,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 384,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 385,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 386,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 387,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 388,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 389,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 390,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 391,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 392,              /* QUITOP_WCP  */
    DELETEOP_WCP = 393,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 394,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 395,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 396,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 397,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 398,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 399,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 400,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 401,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 402,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 403,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 404,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 405,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 406,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 407,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 408,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 409,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 410,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 411,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 412,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 413,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 414,          /* TIMESTRING_WCP  */
    COLOR_WCP = 415,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 416,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 417,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 418,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 419,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 420,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 421,           /* RECURSIVE_WCP  */
    START_WCP = 422,               /* START_WCP  */
    TERMINALWAIT_WCP = 423,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 424,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 425,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 426,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 427,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 428,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 429,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 430,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 431,                /* HIDE_WCP  */
    TOGGLE_WCP = 432,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 433,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 434,                /* MOVE_WCP  */
    RENAME_WCP = 435,              /* RENAME_WCP  */
    SAMEDIR_WCP = 436,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 437,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 438,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 439,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 440,              /* ALWAYS_WCP  */
    NEVER_WCP = 441,               /* NEVER_WCP  */
    COPYMODE_WCP = 442,            /* COPYMODE_WCP  */
    FAST_WCP = 443,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 444,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 445,                /* MODE_WCP  */
    ACTIVE_WCP = 446,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 447,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 448,             /* SPECIAL_WCP  */
    REQUEST_WCP = 449,             /* REQUEST_WCP  */
    CURRENT_WCP = 450,             /* CURRENT_WCP  */
    OTHER_WCP = 451,               /* OTHER_WCP  */
    FILTER_WCP = 452,              /* FILTER_WCP  */
    QUICK_WCP = 453,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 454,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 455,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 456,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 457,            /* RELATIVE_WCP  */
    ONFILES_WCP = 458,             /* ONFILES_WCP  */
    ONDIRS_WCP = 459,              /* ONDIRS_WCP  */
    SORTBY_WCP = 460,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 461,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 462,             /* REVERSE_WCP  */
    DIRLAST_WCP = 463,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 464,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 465,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 466,             /* INCLUDE_WCP  */
    UNSET_WCP = 467,               /* UNSET_WCP  */
    UNSETALL_WCP = 468,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 469,            /* SCRIPTOP_WCP  */
    NOP_WCP = 470,                 /* NOP_WCP  */
    PUSH_WCP = 471,                /* PUSH_WCP  */
    LABEL_WCP = 472,               /* LABEL_WCP  */
    IF_WCP = 473,                  /* IF_WCP  */
    END_WCP = 474,                 /* END_WCP  */
    POP_WCP = 475,                 /* POP_WCP  */
    SETTINGS_WCP = 476,            /* SETTINGS_WCP  */
    WINDOW_WCP = 477,              /* WINDOW_WCP  */
    GOTO_WCP = 478,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 479,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 480,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 481,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 482,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 483,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 484,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 485,              /* IFTEST_WCP  */
    IFLABEL_WCP = 486,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 487,             /* WINTYPE_WCP  */
    OPEN_WCP = 488,                /* OPEN_WCP  */
    CLOSE_WCP = 489,               /* CLOSE_WCP  */
    LEAVE_WCP = 490,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 491,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 492,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 493,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 494,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 495,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 496,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 497,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 498,               /* INODE_WCP  */
    NLINK_WCP = 499,               /* NLINK_WCP  */
    BLOCKS_WCP = 500,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 501,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 502,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 503,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 504,           /* LISTVIEWS_WCP  */
    BLL_WCP = 505,                 /* BLL_WCP  */
    LBL_WCP = 506,                 /* LBL_WCP  */
    LLB_WCP = 507,                 /* LLB_WCP  */
    BL_WCP = 508,                  /* BL_WCP  */
    LB_WCP = 509,                  /* LB_WCP  */
    LAYOUT_WCP = 510,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 511,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 512,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 513,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 514,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 515,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 516,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 517,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 518,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 519,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 520,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 521,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 522,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 523,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 524,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 525, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 526,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 527,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 528,              /* PARENT_WCP  */
    DONTCD_WCP = 529,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 530,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 531,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 532,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 533,            /* USERNAME_WCP  */
    PASSWORD_WCP = 534,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 535,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 536,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 537,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 538,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 539,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 540,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 541,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 542,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 543,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 544,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 545,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 546,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 547,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 548,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 549,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 550,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 551,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 552, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 553,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 554,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 555,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 556,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 557,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 558,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 559,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 560,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 561,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 562,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 563,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 564, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 565,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 566,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 567,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 568,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 569,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 570,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 571,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 572,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 573,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 574,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 575,              /* INVERT_WCP  */
    SET_WCP = 576,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 577,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 578,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 579,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 580,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 581,           /* TABACTION_WCP  */
    NEWTAB_WCP = 582,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 583,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 584,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 585,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 586,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 587,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 588,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 589,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 590,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 591,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 592,                   /* ERROR  */
    ACTIVESIDE_WCP = 593,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 594,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 595,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 596,                 /* ASK_WCP  */
    SSHALLOW_WCP = 597,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 598,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 599,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 600, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 601,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 602,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 603,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 604,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 605,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 606,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 607,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 608,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 609,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 610,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 611,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 612,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 613,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 614,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 615,               /* ENTRY_WCP  */
    PREFIX_WCP = 616,              /* PREFIX_WCP  */
    VALUE_WCP = 617,               /* VALUE_WCP  */
    EXTENSION_WCP = 618,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 619,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 620,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 621,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 622,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 623, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 624,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 625,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 626,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 627,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 628,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 629, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 630,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 631,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 632,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 633,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 634,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 635,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 636,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 637, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 638, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 639,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 640, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 641,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 642,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 643,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 644,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 645,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 646,               /* FACES_WCP  */
    FACE_WCP = 647,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 648,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 649,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 650,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 651,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 652,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 653,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 654,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 655, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 656,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 657, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 658,             /* OUTSIDE_WCP  */
    EDIT_WCP = 659,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 660,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 661,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 662,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 663, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 664,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 665,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 666,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 667,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 668, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 669,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 670, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 671,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 672, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 673,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 674,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 675,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 676,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 677,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 678, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 679,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 680,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 681,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 682,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 683,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 684, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 685,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 686,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 687,              /* HELPOP_WCP  */
    PRIORITY_WCP = 688,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 689,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 690, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 691,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 692, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    STRING_WCP = 693,              /* STRING_WCP  */
    NUM_WCP = 694                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define CLOCKBARSETS_WCP 349
#define MODUS_WCP 350
#define TIMESPACE_WCP 351
#define VERSION_WCP 352
#define EXTERN_WCP 353
#define UPDATETIME_WCP 354
#define PROGRAM_WCP 355
#define SHOWHINTS_WCP 356
#define KEY_WCP 357
#define DOUBLE_WCP 358
#define MOD_WCP 359
#define CONTROL_WCP 360
#define SHIFT_WCP 361
#define LOCK_WCP 362
#define MOD1_WCP 363
#define MOD2_WCP 364
#define MOD3_WCP 365
#define MOD4_WCP 366
#define MOD5_WCP 367
#define DNDACTION_WCP 368
#define DCACTION_WCP 369
#define SHOWACTION_WCP 370
#define RSHOWACTION_WCP 371
#define USERACTION_WCP 372
#define ROWUP_WCP 373
#define ROWDOWN_WCP 374
#define CHANGEHIDDENFLAG_WCP 375
#define COPYOP_WCP 376
#define FIRSTROW_WCP 377
#define LASTROW_WCP 378
#define PAGEUP_WCP 379
#define PAGEDOWN_WCP 380
#define SELECTOP_WCP 381
#define SELECTALLOP_WCP 382
#define SELECTNONEOP_WCP 383
#define INVERTALLOP_WCP 384
#define PARENTDIROP_WCP 385
#define ENTERDIROP_WCP 386
#define CHANGELISTERSETOP_WCP 387
#define SWITCHLISTEROP_WCP 388
#define FILTERSELECTOP_WCP 389
#define FILTERUNSELECTOP_WCP 390
#define PATHTOOTHERSIDEOP_WCP 391
#define QUITOP_WCP 392
#define DELETEOP_WCP 393
#define RELOADOP_WCP 394
#define MAKEDIROP_WCP 395
#define RENAMEOP_WCP 396
#define DIRSIZEOP_WCP 397
#define SIMDDOP_WCP 398
#define STARTPROGOP_WCP 399
#define SEARCHENTRYOP_WCP 400
#define ENTERPATHOP_WCP 401
#define SCROLLLISTEROP_WCP 402
#define CREATESYMLINKOP_WCP 403
#define CHANGESYMLINKOP_WCP 404
#define CHMODOP_WCP 405
#define TOGGLELISTERMODEOP_WCP 406
#define SETSORTMODEOP_WCP 407
#define SETFILTEROP_WCP 408
#define SHORTKEYFROMLISTOP_WCP 409
#define CHOWNOP_WCP 410
#define WORKERCONFIG_WCP 411
#define USERSTYLE_WCP 412
#define DATESTRING_WCP 413
#define TIMESTRING_WCP 414
#define COLOR_WCP 415
#define PATTERNIGNORECASE_WCP 416
#define PATTERNUSEREGEXP_WCP 417
#define PATTERNUSEFULLNAME_WCP 418
#define COM_WCP 419
#define SEPARATEEACHENTRY_WCP 420
#define RECURSIVE_WCP 421
#define START_WCP 422
#define TERMINALWAIT_WCP 423
#define SHOWOUTPUT_WCP 424
#define VIEWSTR_WCP 425
#define SHOWOUTPUTINT_WCP 426
#define INBACKGROUND_WCP 427
#define TAKEDIRS_WCP 428
#define ACTIONNUMBER_WCP 429
#define HIDDENFILES_WCP 430
#define HIDE_WCP 431
#define TOGGLE_WCP 432
#define FOLLOWSYMLINKS_WCP 433
#define MOVE_WCP 434
#define RENAME_WCP 435
#define SAMEDIR_WCP 436
#define REQUESTDEST_WCP 437
#define REQUESTFLAGS_WCP 438
#define OVERWRITE_WCP 439
#define ALWAYS_WCP 440
#define NEVER_WCP 441
#define COPYMODE_WCP 442
#define FAST_WCP 443
#define PRESERVEATTR_WCP 444
#define MODE_WCP 445
#define ACTIVE_WCP 446
#define ACTIVE2OTHER_WCP 447
#define SPECIAL_WCP 448
#define REQUEST_WCP 449
#define CURRENT_WCP 450
#define OTHER_WCP 451
#define FILTER_WCP 452
#define QUICK_WCP 453
#define ALSOACTIVE_WCP 454
#define RESETDIRSIZES_WCP 455
#define KEEPFILETYPES_WCP 456
#define RELATIVE_WCP 457
#define ONFILES_WCP 458
#define ONDIRS_WCP 459
#define SORTBY_WCP 460
#define SORTFLAG_WCP 461
#define REVERSE_WCP 462
#define DIRLAST_WCP 463
#define DIRMIXED_WCP 464
#define EXCLUDE_WCP 465
#define INCLUDE_WCP 466
#define UNSET_WCP 467
#define UNSETALL_WCP 468
#define SCRIPTOP_WCP 469
#define NOP_WCP 470
#define PUSH_WCP 471
#define LABEL_WCP 472
#define IF_WCP 473
#define END_WCP 474
#define POP_WCP 475
#define SETTINGS_WCP 476
#define WINDOW_WCP 477
#define GOTO_WCP 478
#define PUSHUSEOUTPUT_WCP 479
#define DODEBUG_WCP 480
#define WPURECURSIVE_WCP 481
#define WPUTAKEDIRS_WCP 482
#define STACKNR_WCP 483
#define PUSHSTRING_WCP 484
#define IFTEST_WCP 485
#define IFLABEL_WCP 486
#define WINTYPE_WCP 487
#define OPEN_WCP 488
#define CLOSE_WCP 489
#define LEAVE_WCP 490
#define CHANGEPROGRESS_WCP 491
#define CHANGETEXT_WCP 492
#define PROGRESSUSEOUTPUT_WCP 493
#define WINTEXTUSEOUTPUT_WCP 494
#define PROGRESS_WCP 495
#define WINTEXT_WCP 496
#define SHOWDIRCACHEOP_WCP 497
#define INODE_WCP 498
#define NLINK_WCP 499
#define BLOCKS_WCP 500
#define SHOWHEADER_WCP 501
#define LVHEADER_WCP 502
#define IGNORECASE_WCP 503
#define LISTVIEWS_WCP 504
#define BLL_WCP 505
#define LBL_WCP 506
#define LLB_WCP 507
#define BL_WCP 508
#define LB_WCP 509
#define LAYOUT_WCP 510
#define BUTTONSVERT_WCP 511
#define LISTVIEWSVERT_WCP 512
#define LISTVIEWWEIGHT_WCP 513
#define WEIGHTTOACTIVE_WCP 514
#define EXTCOND_WCP 515
#define USEEXTCOND_WCP 516
#define SUBTYPE_WCP 517
#define PARENTACTIONOP_WCP 518
#define NOOPERATIONOP_WCP 519
#define COLORMODE_WCP 520
#define DEFAULT_WCP 521
#define CUSTOM_WCP 522
#define UNSELECTCOLOR_WCP 523
#define SELECTCOLOR_WCP 524
#define UNSELECTACTIVECOLOR_WCP 525
#define SELECTACTIVECOLOR_WCP 526
#define COLOREXTERNPROG_WCP 527
#define PARENT_WCP 528
#define DONTCD_WCP 529
#define DONTCHECKVIRTUAL_WCP 530
#define GOFTPOP_WCP 531
#define HOSTNAME_WCP 532
#define USERNAME_WCP 533
#define PASSWORD_WCP 534
#define DONTENTERFTP_WCP 535
#define ALWAYSSTOREPW_WCP 536
#define INTERNALVIEWOP_WCP 537
#define CUSTOMFILES_WCP 538
#define SHOWMODE_WCP 539
#define SELECTED_WCP 540
#define REVERSESEARCH_WCP 541
#define MOUSECONF_WCP 542
#define SELECTBUTTON_WCP 543
#define ACTIVATEBUTTON_WCP 544
#define SCROLLBUTTON_WCP 545
#define SELECTMETHOD_WCP 546
#define ALTERNATIVE_WCP 547
#define SEARCHOP_WCP 548
#define EDITCOMMAND_WCP 549
#define SHOWPREVRESULTS_WCP 550
#define TEXTVIEW_WCP 551
#define TEXTVIEWHIGHLIGHTED_WCP 552
#define TEXTVIEWSELECTION_WCP 553
#define DIRBOOKMARKOP_WCP 554
#define OPENCONTEXTMENUOP_WCP 555
#define RUNCUSTOMACTION_WCP 556
#define CUSTOMNAME_WCP 557
#define CONTEXTBUTTON_WCP 558
#define ACTIVATEMOD_WCP 559
#define SCROLLMOD_WCP 560
#define CONTEXTMOD_WCP 561
#define NONE_WCP 562
#define CUSTOMACTION_WCP 563
#define SAVE_WORKER_STATE_ON_EXIT_WCP 564
#define OPENWORKERMENUOP_WCP 565
#define CHANGELABELOP_WCP 566
#define ASKFORLABEL_WCP 567
#define LABELCOLORS_WCP 568
#define BOOKMARKLABEL_WCP 569
#define BOOKMARKFILTER_WCP 570
#define SHOWONLYBOOKMARKS_WCP 571
#define SHOWONLYLABEL_WCP 572
#define SHOWALL_WCP 573
#define OPTIONMODE_WCP 574
#define INVERT_WCP 575
#define SET_WCP 576
#define CHANGEFILTERS_WCP 577
#define CHANGEBOOKMARKS_WCP 578
#define QUERYLABEL_WCP 579
#define MODIFYTABSOP_WCP 580
#define TABACTION_WCP 581
#define NEWTAB_WCP 582
#define CLOSECURRENTTAB_WCP 583
#define NEXTTAB_WCP 584
#define PREVTAB_WCP 585
#define TOGGLELOCKSTATE_WCP 586
#define MOVETABLEFT_WCP 587
#define MOVETABRIGHT_WCP 588
#define CHANGELAYOUTOP_WCP 589
#define INFIXSEARCH_WCP 590
#define VOLUMEMANAGEROP_WCP 591
#define ERROR 592
#define ACTIVESIDE_WCP 593
#define SHOWFREESPACE_WCP 594
#define ACTIVEMODE_WCP 595
#define ASK_WCP 596
#define SSHALLOW_WCP 597
#define FIELD_WIDTH_WCP 598
#define QUICKSEARCHENABLED_WCP 599
#define FILTEREDSEARCHENABLED_WCP 600
#define XFTFONTS_WCP 601
#define USEMAGIC_WCP 602
#define MAGICPATTERN_WCP 603
#define MAGICCOMPRESSED_WCP 604
#define MAGICMIME_WCP 605
#define VOLUMEMANAGER_WCP 606
#define MOUNTCOMMAND_WCP 607
#define UNMOUNTCOMMAND_WCP 608
#define FSTABFILE_WCP 609
#define MTABFILE_WCP 610
#define PARTFILE_WCP 611
#define REQUESTACTION_WCP 612
#define SIZEH_WCP 613
#define NEXTAGING_WCP 614
#define ENTRY_WCP 615
#define PREFIX_WCP 616
#define VALUE_WCP 617
#define EXTENSION_WCP 618
#define EJECTCOMMAND_WCP 619
#define CLOSETRAYCOMMAND_WCP 620
#define AVFSMODULE_WCP 621
#define FLEXIBLEMATCH_WCP 622
#define USE_VERSION_STRING_COMPARE_WCP 623
#define SWITCHBUTTONBANKOP_WCP 624
#define SWITCHTONEXTBANK_WCP 625
#define SWITCHTOPREVBANK_WCP 626
#define SWITCHTOBANKNR_WCP 627
#define BANKNR_WCP 628
#define USE_VIRTUAL_TEMP_COPIES_WCP 629
#define PATHJUMPOP_WCP 630
#define PATHJUMPALLOWDIRS_WCP 631
#define CLIPBOARDOP_WCP 632
#define CLIPBOARDSTRING_WCP 633
#define COMMANDSTRING_WCP 634
#define EVALCOMMAND_WCP 635
#define WATCHMODE_WCP 636
#define APPLY_WINDOW_DIALOG_TYPE_WCP 637
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 638
#define COMMANDMENUOP_WCP 639
#define SEARCHMODEONKEYPRESS_WCP 640
#define PATHENTRYONTOP_WCP 641
#define STORE_FILES_ALWAYS_WCP 642
#define PATHJUMPSETS_WCP 643
#define SHOWDOTDOT_WCP 644
#define SHOWBREADCRUMB_WCP 645
#define FACES_WCP 646
#define FACE_WCP 647
#define ENABLE_INFO_LINE_WCP 648
#define INFO_LINE_LUA_MODE_WCP 649
#define INFO_LINE_CONTENT_WCP 650
#define RESTORE_TABS_MODE_WCP 651
#define STORE_TABS_MODE_WCP 652
#define AS_EXIT_STATE_WCP 653
#define USE_EXTENDED_REGEX_WCP 654
#define HIGHLIGHT_USER_ACTION_WCP 655
#define CHTIMEOP_WCP 656
#define ADJUSTRELATIVESYMLINKS_WCP 657
#define OUTSIDE_WCP 658
#define EDIT_WCP 659
#define MAKEABSOLUTE_WCP 660
#define MAKERELATIVE_WCP 661
#define MAGICIGNORECASE_WCP 662
#define ENSURE_FILE_PERMISSIONS_WCP 663
#define USER_RW_WCP 664
#define USER_RW_GROUP_R_WCP 665
#define USER_RW_ALL_R_WCP 666
#define LEAVE_UNMODIFIED_WCP 667
#define PREFERUDISKSVERSION_WCP 668
#define CHANGECOLUMNSOP_WCP 669
#define PATTERNISCOMMASEPARATED_WCP 670
#define STRCASECMP_WCP 671
#define USE_STRING_COMPARE_MODE_WCP 672
#define VIEWNEWESTFILESOP_WCP 673
#define SHOWRECENT_WCP 674
#define DIRCOMPAREOP_WCP 675
#define TABPROFILESOP_WCP 676
#define EXTERNALVDIROP_WCP 677
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 678
#define OPENTABMENUOP_WCP 679
#define INITIALTAB_WCP 680
#define SHOWBYTIME_WCP 681
#define SHOWBYFILTER_WCP 682
#define SHOWBYPROGRAM_WCP 683
#define TERMINAL_RETURNS_EARLY_WCP 684
#define DIRECTORYPRESETS_WCP 685
#define DIRECTORYPRESET_WCP 686
#define HELPOP_WCP 687
#define PRIORITY_WCP 688
#define AUTOFILTER_WCP 689
#define ENABLE_CUSTOM_LVB_LINE_WCP 690
#define CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 692
#define STRING_WCP 693
#define NUM_WCP 694

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1220 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 94,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 95,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 96,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 97,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 98,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 99,            /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 100,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 101,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 102,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 103,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 104,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 105,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 106,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 107,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 108,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 109,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 110,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 111,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 112,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 113,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 114,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 115,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 116,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 117,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 118,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 119,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 120,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 121,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 122,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 123,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 124,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 125,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 126,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 127,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 128,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 129,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 130,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 131,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 132,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 133,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 134,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 135,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 136,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 137,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 138,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 139,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 140,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 141,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 142,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 143,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 144,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 145,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 146,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 147,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 148,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 149,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 150,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 151,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 152,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 153,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 154,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 155,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 156,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 157,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 158,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 159,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 160,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 161,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 162,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 163,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 164,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 165,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 166,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 167,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 168,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 169,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 170,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 171,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 172,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 173,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 174,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 175,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 176,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 177,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 178,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 179,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 180,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 181,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 182,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 183,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 184,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 185,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 186,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 187,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 188,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 189,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 190,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 191,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 192,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 193,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 194,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 195,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 196,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 197,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 198,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 199,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 200,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 201,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 202,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 203,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 204,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 205,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 206,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 207,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 208,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 209,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 210,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 211,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 212,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 213,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 214,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 215,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 216,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 217,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 218,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 219,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 220,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 221,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 222,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 223,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 224,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 225,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 226,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 227,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 228,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 229,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 230,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 231,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 232,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 233,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 234,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 235,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 236,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 237,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 238,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 239,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 240,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 241,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 242,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 243,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 244,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 245,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 246,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 247,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 248,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 249,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 250,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 251,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 252,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 253,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 254,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 255,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 256,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 257,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 258,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 259,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 260,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 261,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 262,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 263,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 264,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 265,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 266,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 267,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 268,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 269,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 270,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 271,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 272,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 273,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 274,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 275,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 276,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 277,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 278,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 279,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 280,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 281,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 282,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 283,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 284,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 285,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 286,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 287,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 288,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 289,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 290,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 291,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 292,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 293,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 294,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 295,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 296,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 297,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 298,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 299,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 300,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 301,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 302,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 303,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 304,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 305,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 306,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 307,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 308,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 309, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 310,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 311,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 312,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 313,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 314,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 315,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 316,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 317,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 318,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 319,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 320,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 321,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 322,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 323,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 324,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 325,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 326,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 327,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 328,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 329,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 330,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 331,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 332,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 333,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 334,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 335,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 336,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 337,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 338,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 339,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 340,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 341,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 342,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 343,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 344,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 345, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 346,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 347,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 348,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 349,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 350,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 351,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 352,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 353,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 354,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 355,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 356,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 357,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 358,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 359,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 360,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 361,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 362,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 363,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 364,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 365,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 366,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 367,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 368, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 369,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 370,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 371,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 372,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 373,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 374, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 375,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 376,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 377,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 378,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 379,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 380,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 381,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 382, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 383, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 384,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 385, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 386,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 387,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 388,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 389,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 390,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 391,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 392,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 393,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 394,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 395,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 396,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 397,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 398,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 399,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 400, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 401,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 402, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 403,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 404,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 405,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 406,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 407,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 408, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 409,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 410,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 411,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 412,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 413,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 414,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 415, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 416,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 417, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 418,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 419,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 420,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 421,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 422,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 423, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 424,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 425,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 426,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 427,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 428,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 429, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 430,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 431,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 432,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 433,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 434,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 435, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 436,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 437, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_STRING_WCP = 438,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 439,                  /* NUM_WCP  */
  YYSYMBOL_440_ = 440,                     /* '.'  */
  YYSYMBOL_441_ = 441,                     /* ';'  */
  YYSYMBOL_442_ = 442,                     /* '='  */
  YYSYMBOL_443_ = 443,                     /* ','  */
  YYSYMBOL_YYACCEPT = 444,                 /* $accept  */
  YYSYMBOL_S = 445,                        /* S  */
  YYSYMBOL_446_1 = 446,                    /* $@1  */
  YYSYMBOL_447_2 = 447,                    /* $@2  */
  YYSYMBOL_start = 448,                    /* start  */
  YYSYMBOL_449_3 = 449,                    /* $@3  */
  YYSYMBOL_450_4 = 450,                    /* $@4  */
  YYSYMBOL_451_5 = 451,                    /* $@5  */
  YYSYMBOL_452_6 = 452,                    /* $@6  */
  YYSYMBOL_453_7 = 453,                    /* $@7  */
  YYSYMBOL_454_8 = 454,                    /* $@8  */
  YYSYMBOL_455_9 = 455,                    /* $@9  */
  YYSYMBOL_456_10 = 456,                   /* $@10  */
  YYSYMBOL_457_11 = 457,                   /* $@11  */
  YYSYMBOL_458_12 = 458,                   /* $@12  */
  YYSYMBOL_459_13 = 459,                   /* $@13  */
  YYSYMBOL_460_14 = 460,                   /* $@14  */
  YYSYMBOL_461_15 = 461,                   /* $@15  */
  YYSYMBOL_462_16 = 462,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 463,              /* pjallowdirs  */
  YYSYMBOL_464_17 = 464,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 465,             /* pathjumpsets  */
  YYSYMBOL_466_18 = 466,                   /* $@18  */
  YYSYMBOL_glb = 467,                      /* glb  */
  YYSYMBOL_468_19 = 468,                   /* $@19  */
  YYSYMBOL_469_20 = 469,                   /* $@20  */
  YYSYMBOL_470_21 = 470,                   /* $@21  */
  YYSYMBOL_471_22 = 471,                   /* $@22  */
  YYSYMBOL_472_23 = 472,                   /* $@23  */
  YYSYMBOL_473_24 = 473,                   /* $@24  */
  YYSYMBOL_474_25 = 474,                   /* $@25  */
  YYSYMBOL_475_26 = 475,                   /* $@26  */
  YYSYMBOL_476_27 = 476,                   /* $@27  */
  YYSYMBOL_477_28 = 477,                   /* $@28  */
  YYSYMBOL_478_29 = 478,                   /* $@29  */
  YYSYMBOL_479_30 = 479,                   /* $@30  */
  YYSYMBOL_480_31 = 480,                   /* $@31  */
  YYSYMBOL_481_32 = 481,                   /* $@32  */
  YYSYMBOL_482_33 = 482,                   /* $@33  */
  YYSYMBOL_483_34 = 483,                   /* $@34  */
  YYSYMBOL_layout = 484,                   /* layout  */
  YYSYMBOL_485_35 = 485,                   /* $@35  */
  YYSYMBOL_486_36 = 486,                   /* $@36  */
  YYSYMBOL_487_37 = 487,                   /* $@37  */
  YYSYMBOL_488_38 = 488,                   /* $@38  */
  YYSYMBOL_489_39 = 489,                   /* $@39  */
  YYSYMBOL_490_40 = 490,                   /* $@40  */
  YYSYMBOL_491_41 = 491,                   /* $@41  */
  YYSYMBOL_492_42 = 492,                   /* $@42  */
  YYSYMBOL_493_43 = 493,                   /* $@43  */
  YYSYMBOL_494_44 = 494,                   /* $@44  */
  YYSYMBOL_495_45 = 495,                   /* $@45  */
  YYSYMBOL_496_46 = 496,                   /* $@46  */
  YYSYMBOL_497_47 = 497,                   /* $@47  */
  YYSYMBOL_pal = 498,                      /* pal  */
  YYSYMBOL_499_48 = 499,                   /* $@48  */
  YYSYMBOL_listersets = 500,               /* listersets  */
  YYSYMBOL_501_49 = 501,                   /* $@49  */
  YYSYMBOL_502_50 = 502,                   /* $@50  */
  YYSYMBOL_listersets2 = 503,              /* listersets2  */
  YYSYMBOL_504_51 = 504,                   /* $@51  */
  YYSYMBOL_505_52 = 505,                   /* $@52  */
  YYSYMBOL_506_53 = 506,                   /* $@53  */
  YYSYMBOL_507_54 = 507,                   /* $@54  */
  YYSYMBOL_508_55 = 508,                   /* $@55  */
  YYSYMBOL_509_56 = 509,                   /* $@56  */
  YYSYMBOL_510_57 = 510,                   /* $@57  */
  YYSYMBOL_displaysets = 511,              /* displaysets  */
  YYSYMBOL_512_58 = 512,                   /* $@58  */
  YYSYMBOL_513_59 = 513,                   /* $@59  */
  YYSYMBOL_514_60 = 514,                   /* $@60  */
  YYSYMBOL_515_61 = 515,                   /* $@61  */
  YYSYMBOL_516_62 = 516,                   /* $@62  */
  YYSYMBOL_517_63 = 517,                   /* $@63  */
  YYSYMBOL_518_64 = 518,                   /* $@64  */
  YYSYMBOL_519_65 = 519,                   /* $@65  */
  YYSYMBOL_520_66 = 520,                   /* $@66  */
  YYSYMBOL_521_67 = 521,                   /* $@67  */
  YYSYMBOL_522_68 = 522,                   /* $@68  */
  YYSYMBOL_523_69 = 523,                   /* $@69  */
  YYSYMBOL_524_70 = 524,                   /* $@70  */
  YYSYMBOL_525_71 = 525,                   /* $@71  */
  YYSYMBOL_timesets = 526,                 /* timesets  */
  YYSYMBOL_527_72 = 527,                   /* $@72  */
  YYSYMBOL_528_73 = 528,                   /* $@73  */
  YYSYMBOL_529_74 = 529,                   /* $@74  */
  YYSYMBOL_530_75 = 530,                   /* $@75  */
  YYSYMBOL_531_76 = 531,                   /* $@76  */
  YYSYMBOL_532_77 = 532,                   /* $@77  */
  YYSYMBOL_533_78 = 533,                   /* $@78  */
  YYSYMBOL_534_79 = 534,                   /* $@79  */
  YYSYMBOL_535_80 = 535,                   /* $@80  */
  YYSYMBOL_536_81 = 536,                   /* $@81  */
  YYSYMBOL_537_82 = 537,                   /* $@82  */
  YYSYMBOL_mouseconf = 538,                /* mouseconf  */
  YYSYMBOL_539_83 = 539,                   /* $@83  */
  YYSYMBOL_540_84 = 540,                   /* $@84  */
  YYSYMBOL_541_85 = 541,                   /* $@85  */
  YYSYMBOL_542_86 = 542,                   /* $@86  */
  YYSYMBOL_543_87 = 543,                   /* $@87  */
  YYSYMBOL_544_88 = 544,                   /* $@88  */
  YYSYMBOL_545_89 = 545,                   /* $@89  */
  YYSYMBOL_546_90 = 546,                   /* $@90  */
  YYSYMBOL_547_91 = 547,                   /* $@91  */
  YYSYMBOL_548_92 = 548,                   /* $@92  */
  YYSYMBOL_549_93 = 549,                   /* $@93  */
  YYSYMBOL_550_94 = 550,                   /* $@94  */
  YYSYMBOL_cols = 551,                     /* cols  */
  YYSYMBOL_552_95 = 552,                   /* $@95  */
  YYSYMBOL_553_96 = 553,                   /* $@96  */
  YYSYMBOL_554_97 = 554,                   /* $@97  */
  YYSYMBOL_555_98 = 555,                   /* $@98  */
  YYSYMBOL_556_99 = 556,                   /* $@99  */
  YYSYMBOL_557_100 = 557,                  /* $@100  */
  YYSYMBOL_558_101 = 558,                  /* $@101  */
  YYSYMBOL_559_102 = 559,                  /* $@102  */
  YYSYMBOL_560_103 = 560,                  /* $@103  */
  YYSYMBOL_561_104 = 561,                  /* $@104  */
  YYSYMBOL_562_105 = 562,                  /* $@105  */
  YYSYMBOL_563_106 = 563,                  /* $@106  */
  YYSYMBOL_564_107 = 564,                  /* $@107  */
  YYSYMBOL_565_108 = 565,                  /* $@108  */
  YYSYMBOL_566_109 = 566,                  /* $@109  */
  YYSYMBOL_567_110 = 567,                  /* $@110  */
  YYSYMBOL_568_111 = 568,                  /* $@111  */
  YYSYMBOL_569_112 = 569,                  /* $@112  */
  YYSYMBOL_570_113 = 570,                  /* $@113  */
  YYSYMBOL_571_114 = 571,                  /* $@114  */
  YYSYMBOL_labelcolors = 572,              /* labelcolors  */
  YYSYMBOL_573_115 = 573,                  /* $@115  */
  YYSYMBOL_574_116 = 574,                  /* $@116  */
  YYSYMBOL_labelcolor = 575,               /* labelcolor  */
  YYSYMBOL_576_117 = 576,                  /* $@117  */
  YYSYMBOL_577_118 = 577,                  /* $@118  */
  YYSYMBOL_578_119 = 578,                  /* $@119  */
  YYSYMBOL_faces = 579,                    /* faces  */
  YYSYMBOL_580_120 = 580,                  /* $@120  */
  YYSYMBOL_581_121 = 581,                  /* $@121  */
  YYSYMBOL_face = 582,                     /* face  */
  YYSYMBOL_583_122 = 583,                  /* $@122  */
  YYSYMBOL_584_123 = 584,                  /* $@123  */
  YYSYMBOL_startup = 585,                  /* startup  */
  YYSYMBOL_586_124 = 586,                  /* $@124  */
  YYSYMBOL_587_125 = 587,                  /* $@125  */
  YYSYMBOL_588_126 = 588,                  /* $@126  */
  YYSYMBOL_589_127 = 589,                  /* $@127  */
  YYSYMBOL_590_128 = 590,                  /* $@128  */
  YYSYMBOL_591_129 = 591,                  /* $@129  */
  YYSYMBOL_592_130 = 592,                  /* $@130  */
  YYSYMBOL_593_131 = 593,                  /* $@131  */
  YYSYMBOL_594_132 = 594,                  /* $@132  */
  YYSYMBOL_paths = 595,                    /* paths  */
  YYSYMBOL_596_133 = 596,                  /* $@133  */
  YYSYMBOL_597_134 = 597,                  /* $@134  */
  YYSYMBOL_path = 598,                     /* path  */
  YYSYMBOL_599_135 = 599,                  /* $@135  */
  YYSYMBOL_600_136 = 600,                  /* $@136  */
  YYSYMBOL_601_137 = 601,                  /* $@137  */
  YYSYMBOL_602_138 = 602,                  /* $@138  */
  YYSYMBOL_603_139 = 603,                  /* $@139  */
  YYSYMBOL_604_140 = 604,                  /* $@140  */
  YYSYMBOL_keylist = 605,                  /* keylist  */
  YYSYMBOL_606_141 = 606,                  /* $@141  */
  YYSYMBOL_607_142 = 607,                  /* $@142  */
  YYSYMBOL_608_143 = 608,                  /* $@143  */
  YYSYMBOL_609_144 = 609,                  /* $@144  */
  YYSYMBOL_610_145 = 610,                  /* $@145  */
  YYSYMBOL_611_146 = 611,                  /* $@146  */
  YYSYMBOL_612_147 = 612,                  /* $@147  */
  YYSYMBOL_613_148 = 613,                  /* $@148  */
  YYSYMBOL_614_149 = 614,                  /* $@149  */
  YYSYMBOL_615_150 = 615,                  /* $@150  */
  YYSYMBOL_mods = 616,                     /* mods  */
  YYSYMBOL_617_151 = 617,                  /* $@151  */
  YYSYMBOL_618_152 = 618,                  /* $@152  */
  YYSYMBOL_619_153 = 619,                  /* $@153  */
  YYSYMBOL_620_154 = 620,                  /* $@154  */
  YYSYMBOL_621_155 = 621,                  /* $@155  */
  YYSYMBOL_622_156 = 622,                  /* $@156  */
  YYSYMBOL_623_157 = 623,                  /* $@157  */
  YYSYMBOL_624_158 = 624,                  /* $@158  */
  YYSYMBOL_filetypes = 625,                /* filetypes  */
  YYSYMBOL_626_159 = 626,                  /* $@159  */
  YYSYMBOL_627_160 = 627,                  /* $@160  */
  YYSYMBOL_628_161 = 628,                  /* $@161  */
  YYSYMBOL_629_162 = 629,                  /* $@162  */
  YYSYMBOL_630_163 = 630,                  /* $@163  */
  YYSYMBOL_ignoredirs = 631,               /* ignoredirs  */
  YYSYMBOL_632_164 = 632,                  /* $@164  */
  YYSYMBOL_subfiletypes = 633,             /* subfiletypes  */
  YYSYMBOL_634_165 = 634,                  /* $@165  */
  YYSYMBOL_635_166 = 635,                  /* $@166  */
  YYSYMBOL_filetype = 636,                 /* filetype  */
  YYSYMBOL_637_167 = 637,                  /* $@167  */
  YYSYMBOL_638_168 = 638,                  /* $@168  */
  YYSYMBOL_639_169 = 639,                  /* $@169  */
  YYSYMBOL_640_170 = 640,                  /* $@170  */
  YYSYMBOL_641_171 = 641,                  /* $@171  */
  YYSYMBOL_642_172 = 642,                  /* $@172  */
  YYSYMBOL_643_173 = 643,                  /* $@173  */
  YYSYMBOL_644_174 = 644,                  /* $@174  */
  YYSYMBOL_645_175 = 645,                  /* $@175  */
  YYSYMBOL_646_176 = 646,                  /* $@176  */
  YYSYMBOL_647_177 = 647,                  /* $@177  */
  YYSYMBOL_648_178 = 648,                  /* $@178  */
  YYSYMBOL_649_179 = 649,                  /* $@179  */
  YYSYMBOL_650_180 = 650,                  /* $@180  */
  YYSYMBOL_651_181 = 651,                  /* $@181  */
  YYSYMBOL_652_182 = 652,                  /* $@182  */
  YYSYMBOL_653_183 = 653,                  /* $@183  */
  YYSYMBOL_654_184 = 654,                  /* $@184  */
  YYSYMBOL_655_185 = 655,                  /* $@185  */
  YYSYMBOL_656_186 = 656,                  /* $@186  */
  YYSYMBOL_657_187 = 657,                  /* $@187  */
  YYSYMBOL_658_188 = 658,                  /* $@188  */
  YYSYMBOL_659_189 = 659,                  /* $@189  */
  YYSYMBOL_660_190 = 660,                  /* $@190  */
  YYSYMBOL_661_191 = 661,                  /* $@191  */
  YYSYMBOL_662_192 = 662,                  /* $@192  */
  YYSYMBOL_663_193 = 663,                  /* $@193  */
  YYSYMBOL_filecontent = 664,              /* filecontent  */
  YYSYMBOL_665_194 = 665,                  /* $@194  */
  YYSYMBOL_ft_type = 666,                  /* ft_type  */
  YYSYMBOL_ftcommands = 667,               /* ftcommands  */
  YYSYMBOL_668_195 = 668,                  /* $@195  */
  YYSYMBOL_669_196 = 669,                  /* $@196  */
  YYSYMBOL_670_197 = 670,                  /* $@197  */
  YYSYMBOL_671_198 = 671,                  /* $@198  */
  YYSYMBOL_672_199 = 672,                  /* $@199  */
  YYSYMBOL_673_200 = 673,                  /* $@200  */
  YYSYMBOL_674_201 = 674,                  /* $@201  */
  YYSYMBOL_675_202 = 675,                  /* $@202  */
  YYSYMBOL_676_203 = 676,                  /* $@203  */
  YYSYMBOL_677_204 = 677,                  /* $@204  */
  YYSYMBOL_678_205 = 678,                  /* $@205  */
  YYSYMBOL_679_206 = 679,                  /* $@206  */
  YYSYMBOL_commands = 680,                 /* commands  */
  YYSYMBOL_flags = 681,                    /* flags  */
  YYSYMBOL_hotkeys = 682,                  /* hotkeys  */
  YYSYMBOL_683_207 = 683,                  /* $@207  */
  YYSYMBOL_684_208 = 684,                  /* $@208  */
  YYSYMBOL_hotkey = 685,                   /* hotkey  */
  YYSYMBOL_686_209 = 686,                  /* $@209  */
  YYSYMBOL_687_210 = 687,                  /* $@210  */
  YYSYMBOL_688_211 = 688,                  /* $@211  */
  YYSYMBOL_689_212 = 689,                  /* $@212  */
  YYSYMBOL_690_213 = 690,                  /* $@213  */
  YYSYMBOL_buttons = 691,                  /* buttons  */
  YYSYMBOL_692_214 = 692,                  /* $@214  */
  YYSYMBOL_693_215 = 693,                  /* $@215  */
  YYSYMBOL_button = 694,                   /* button  */
  YYSYMBOL_695_216 = 695,                  /* $@216  */
  YYSYMBOL_696_217 = 696,                  /* $@217  */
  YYSYMBOL_697_218 = 697,                  /* $@218  */
  YYSYMBOL_698_219 = 698,                  /* $@219  */
  YYSYMBOL_699_220 = 699,                  /* $@220  */
  YYSYMBOL_700_221 = 700,                  /* $@221  */
  YYSYMBOL_701_222 = 701,                  /* $@222  */
  YYSYMBOL_fonts = 702,                    /* fonts  */
  YYSYMBOL_703_223 = 703,                  /* $@223  */
  YYSYMBOL_704_224 = 704,                  /* $@224  */
  YYSYMBOL_705_225 = 705,                  /* $@225  */
  YYSYMBOL_706_226 = 706,                  /* $@226  */
  YYSYMBOL_707_227 = 707,                  /* $@227  */
  YYSYMBOL_708_228 = 708,                  /* $@228  */
  YYSYMBOL_xftfonts = 709,                 /* xftfonts  */
  YYSYMBOL_710_229 = 710,                  /* $@229  */
  YYSYMBOL_711_230 = 711,                  /* $@230  */
  YYSYMBOL_712_231 = 712,                  /* $@231  */
  YYSYMBOL_713_232 = 713,                  /* $@232  */
  YYSYMBOL_714_233 = 714,                  /* $@233  */
  YYSYMBOL_715_234 = 715,                  /* $@234  */
  YYSYMBOL_volumemanager = 716,            /* volumemanager  */
  YYSYMBOL_717_235 = 717,                  /* $@235  */
  YYSYMBOL_718_236 = 718,                  /* $@236  */
  YYSYMBOL_719_237 = 719,                  /* $@237  */
  YYSYMBOL_720_238 = 720,                  /* $@238  */
  YYSYMBOL_721_239 = 721,                  /* $@239  */
  YYSYMBOL_722_240 = 722,                  /* $@240  */
  YYSYMBOL_723_241 = 723,                  /* $@241  */
  YYSYMBOL_724_242 = 724,                  /* $@242  */
  YYSYMBOL_725_243 = 725,                  /* $@243  */
  YYSYMBOL_clockbarsets = 726,             /* clockbarsets  */
  YYSYMBOL_727_244 = 727,                  /* $@244  */
  YYSYMBOL_728_245 = 728,                  /* $@245  */
  YYSYMBOL_729_246 = 729,                  /* $@246  */
  YYSYMBOL_730_247 = 730,                  /* $@247  */
  YYSYMBOL_731_248 = 731,                  /* $@248  */
  YYSYMBOL_732_249 = 732,                  /* $@249  */
  YYSYMBOL_733_250 = 733,                  /* $@250  */
  YYSYMBOL_bool = 734,                     /* bool  */
  YYSYMBOL_command = 735,                  /* command  */
  YYSYMBOL_ownop = 736,                    /* ownop  */
  YYSYMBOL_737_251 = 737,                  /* $@251  */
  YYSYMBOL_ownopbody = 738,                /* ownopbody  */
  YYSYMBOL_739_252 = 739,                  /* $@252  */
  YYSYMBOL_740_253 = 740,                  /* $@253  */
  YYSYMBOL_741_254 = 741,                  /* $@254  */
  YYSYMBOL_742_255 = 742,                  /* $@255  */
  YYSYMBOL_743_256 = 743,                  /* $@256  */
  YYSYMBOL_744_257 = 744,                  /* $@257  */
  YYSYMBOL_745_258 = 745,                  /* $@258  */
  YYSYMBOL_746_259 = 746,                  /* $@259  */
  YYSYMBOL_747_260 = 747,                  /* $@260  */
  YYSYMBOL_748_261 = 748,                  /* $@261  */
  YYSYMBOL_749_262 = 749,                  /* $@262  */
  YYSYMBOL_750_263 = 750,                  /* $@263  */
  YYSYMBOL_751_264 = 751,                  /* $@264  */
  YYSYMBOL_752_265 = 752,                  /* $@265  */
  YYSYMBOL_dndaction = 753,                /* dndaction  */
  YYSYMBOL_754_266 = 754,                  /* $@266  */
  YYSYMBOL_dcaction = 755,                 /* dcaction  */
  YYSYMBOL_756_267 = 756,                  /* $@267  */
  YYSYMBOL_showaction = 757,               /* showaction  */
  YYSYMBOL_758_268 = 758,                  /* $@268  */
  YYSYMBOL_rshowaction = 759,              /* rshowaction  */
  YYSYMBOL_760_269 = 760,                  /* $@269  */
  YYSYMBOL_useraction = 761,               /* useraction  */
  YYSYMBOL_762_270 = 762,                  /* $@270  */
  YYSYMBOL_useractionbody = 763,           /* useractionbody  */
  YYSYMBOL_764_271 = 764,                  /* $@271  */
  YYSYMBOL_rowup = 765,                    /* rowup  */
  YYSYMBOL_766_272 = 766,                  /* $@272  */
  YYSYMBOL_rowdown = 767,                  /* rowdown  */
  YYSYMBOL_768_273 = 768,                  /* $@273  */
  YYSYMBOL_changehiddenflag = 769,         /* changehiddenflag  */
  YYSYMBOL_770_274 = 770,                  /* $@274  */
  YYSYMBOL_changehiddenflagbody = 771,     /* changehiddenflagbody  */
  YYSYMBOL_772_275 = 772,                  /* $@275  */
  YYSYMBOL_773_276 = 773,                  /* $@276  */
  YYSYMBOL_774_277 = 774,                  /* $@277  */
  YYSYMBOL_copyop = 775,                   /* copyop  */
  YYSYMBOL_776_278 = 776,                  /* $@278  */
  YYSYMBOL_copyopbody = 777,               /* copyopbody  */
  YYSYMBOL_778_279 = 778,                  /* $@279  */
  YYSYMBOL_779_280 = 779,                  /* $@280  */
  YYSYMBOL_780_281 = 780,                  /* $@281  */
  YYSYMBOL_781_282 = 781,                  /* $@282  */
  YYSYMBOL_782_283 = 782,                  /* $@283  */
  YYSYMBOL_783_284 = 783,                  /* $@284  */
  YYSYMBOL_784_285 = 784,                  /* $@285  */
  YYSYMBOL_785_286 = 785,                  /* $@286  */
  YYSYMBOL_786_287 = 786,                  /* $@287  */
  YYSYMBOL_787_288 = 787,                  /* $@288  */
  YYSYMBOL_788_289 = 788,                  /* $@289  */
  YYSYMBOL_789_290 = 789,                  /* $@290  */
  YYSYMBOL_790_291 = 790,                  /* $@291  */
  YYSYMBOL_791_292 = 791,                  /* $@292  */
  YYSYMBOL_792_293 = 792,                  /* $@293  */
  YYSYMBOL_793_294 = 793,                  /* $@294  */
  YYSYMBOL_794_295 = 794,                  /* $@295  */
  YYSYMBOL_795_296 = 795,                  /* $@296  */
  YYSYMBOL_796_297 = 796,                  /* $@297  */
  YYSYMBOL_797_298 = 797,                  /* $@298  */
  YYSYMBOL_firstrow = 798,                 /* firstrow  */
  YYSYMBOL_799_299 = 799,                  /* $@299  */
  YYSYMBOL_lastrow = 800,                  /* lastrow  */
  YYSYMBOL_801_300 = 801,                  /* $@300  */
  YYSYMBOL_pageup = 802,                   /* pageup  */
  YYSYMBOL_803_301 = 803,                  /* $@301  */
  YYSYMBOL_pagedown = 804,                 /* pagedown  */
  YYSYMBOL_805_302 = 805,                  /* $@302  */
  YYSYMBOL_selectop = 806,                 /* selectop  */
  YYSYMBOL_807_303 = 807,                  /* $@303  */
  YYSYMBOL_selectallop = 808,              /* selectallop  */
  YYSYMBOL_809_304 = 809,                  /* $@304  */
  YYSYMBOL_selectnoneop = 810,             /* selectnoneop  */
  YYSYMBOL_811_305 = 811,                  /* $@305  */
  YYSYMBOL_invertallop = 812,              /* invertallop  */
  YYSYMBOL_813_306 = 813,                  /* $@306  */
  YYSYMBOL_parentdirop = 814,              /* parentdirop  */
  YYSYMBOL_815_307 = 815,                  /* $@307  */
  YYSYMBOL_enterdirop = 816,               /* enterdirop  */
  YYSYMBOL_817_308 = 817,                  /* $@308  */
  YYSYMBOL_enterdiropbody = 818,           /* enterdiropbody  */
  YYSYMBOL_819_309 = 819,                  /* $@309  */
  YYSYMBOL_820_310 = 820,                  /* $@310  */
  YYSYMBOL_821_311 = 821,                  /* $@311  */
  YYSYMBOL_822_312 = 822,                  /* $@312  */
  YYSYMBOL_823_313 = 823,                  /* $@313  */
  YYSYMBOL_changelistersetop = 824,        /* changelistersetop  */
  YYSYMBOL_825_314 = 825,                  /* $@314  */
  YYSYMBOL_changelistersetopbody = 826,    /* changelistersetopbody  */
  YYSYMBOL_827_315 = 827,                  /* $@315  */
  YYSYMBOL_828_316 = 828,                  /* $@316  */
  YYSYMBOL_829_317 = 829,                  /* $@317  */
  YYSYMBOL_830_318 = 830,                  /* $@318  */
  YYSYMBOL_switchlisterop = 831,           /* switchlisterop  */
  YYSYMBOL_832_319 = 832,                  /* $@319  */
  YYSYMBOL_filterselectop = 833,           /* filterselectop  */
  YYSYMBOL_834_320 = 834,                  /* $@320  */
  YYSYMBOL_filterselectopbody = 835,       /* filterselectopbody  */
  YYSYMBOL_836_321 = 836,                  /* $@321  */
  YYSYMBOL_837_322 = 837,                  /* $@322  */
  YYSYMBOL_filterunselectop = 838,         /* filterunselectop  */
  YYSYMBOL_839_323 = 839,                  /* $@323  */
  YYSYMBOL_filterunselectopbody = 840,     /* filterunselectopbody  */
  YYSYMBOL_841_324 = 841,                  /* $@324  */
  YYSYMBOL_842_325 = 842,                  /* $@325  */
  YYSYMBOL_pathtoothersideop = 843,        /* pathtoothersideop  */
  YYSYMBOL_844_326 = 844,                  /* $@326  */
  YYSYMBOL_quitop = 845,                   /* quitop  */
  YYSYMBOL_846_327 = 846,                  /* $@327  */
  YYSYMBOL_quitopbody = 847,               /* quitopbody  */
  YYSYMBOL_848_328 = 848,                  /* $@328  */
  YYSYMBOL_849_329 = 849,                  /* $@329  */
  YYSYMBOL_deleteop = 850,                 /* deleteop  */
  YYSYMBOL_851_330 = 851,                  /* $@330  */
  YYSYMBOL_deleteopbody = 852,             /* deleteopbody  */
  YYSYMBOL_853_331 = 853,                  /* $@331  */
  YYSYMBOL_reloadop = 854,                 /* reloadop  */
  YYSYMBOL_855_332 = 855,                  /* $@332  */
  YYSYMBOL_reloadopbody = 856,             /* reloadopbody  */
  YYSYMBOL_857_333 = 857,                  /* $@333  */
  YYSYMBOL_858_334 = 858,                  /* $@334  */
  YYSYMBOL_859_335 = 859,                  /* $@335  */
  YYSYMBOL_860_336 = 860,                  /* $@336  */
  YYSYMBOL_861_337 = 861,                  /* $@337  */
  YYSYMBOL_862_338 = 862,                  /* $@338  */
  YYSYMBOL_makedirop = 863,                /* makedirop  */
  YYSYMBOL_864_339 = 864,                  /* $@339  */
  YYSYMBOL_renameop = 865,                 /* renameop  */
  YYSYMBOL_866_340 = 866,                  /* $@340  */
  YYSYMBOL_dirsizeop = 867,                /* dirsizeop  */
  YYSYMBOL_868_341 = 868,                  /* $@341  */
  YYSYMBOL_simddop = 869,                  /* simddop  */
  YYSYMBOL_870_342 = 870,                  /* $@342  */
  YYSYMBOL_startprogop = 871,              /* startprogop  */
  YYSYMBOL_872_343 = 872,                  /* $@343  */
  YYSYMBOL_startprogopbody = 873,          /* startprogopbody  */
  YYSYMBOL_874_344 = 874,                  /* $@344  */
  YYSYMBOL_875_345 = 875,                  /* $@345  */
  YYSYMBOL_876_346 = 876,                  /* $@346  */
  YYSYMBOL_877_347 = 877,                  /* $@347  */
  YYSYMBOL_878_348 = 878,                  /* $@348  */
  YYSYMBOL_879_349 = 879,                  /* $@349  */
  YYSYMBOL_880_350 = 880,                  /* $@350  */
  YYSYMBOL_881_351 = 881,                  /* $@351  */
  YYSYMBOL_882_352 = 882,                  /* $@352  */
  YYSYMBOL_883_353 = 883,                  /* $@353  */
  YYSYMBOL_searchentryop = 884,            /* searchentryop  */
  YYSYMBOL_885_354 = 885,                  /* $@354  */
  YYSYMBOL_searchentryopbody = 886,        /* searchentryopbody  */
  YYSYMBOL_887_355 = 887,                  /* $@355  */
  YYSYMBOL_888_356 = 888,                  /* $@356  */
  YYSYMBOL_889_357 = 889,                  /* $@357  */
  YYSYMBOL_890_358 = 890,                  /* $@358  */
  YYSYMBOL_enterpathop = 891,              /* enterpathop  */
  YYSYMBOL_892_359 = 892,                  /* $@359  */
  YYSYMBOL_enterpathopbody = 893,          /* enterpathopbody  */
  YYSYMBOL_894_360 = 894,                  /* $@360  */
  YYSYMBOL_895_361 = 895,                  /* $@361  */
  YYSYMBOL_896_362 = 896,                  /* $@362  */
  YYSYMBOL_897_363 = 897,                  /* $@363  */
  YYSYMBOL_scrolllisterop = 898,           /* scrolllisterop  */
  YYSYMBOL_899_364 = 899,                  /* $@364  */
  YYSYMBOL_scrolllisteropbody = 900,       /* scrolllisteropbody  */
  YYSYMBOL_901_365 = 901,                  /* $@365  */
  YYSYMBOL_902_366 = 902,                  /* $@366  */
  YYSYMBOL_createsymlinkop = 903,          /* createsymlinkop  */
  YYSYMBOL_904_367 = 904,                  /* $@367  */
  YYSYMBOL_createsymlinkopbody = 905,      /* createsymlinkopbody  */
  YYSYMBOL_906_368 = 906,                  /* $@368  */
  YYSYMBOL_907_369 = 907,                  /* $@369  */
  YYSYMBOL_908_370 = 908,                  /* $@370  */
  YYSYMBOL_changesymlinkop = 909,          /* changesymlinkop  */
  YYSYMBOL_910_371 = 910,                  /* $@371  */
  YYSYMBOL_changesymlinkopbody = 911,      /* changesymlinkopbody  */
  YYSYMBOL_912_372 = 912,                  /* $@372  */
  YYSYMBOL_913_373 = 913,                  /* $@373  */
  YYSYMBOL_914_374 = 914,                  /* $@374  */
  YYSYMBOL_chmodop = 915,                  /* chmodop  */
  YYSYMBOL_916_375 = 916,                  /* $@375  */
  YYSYMBOL_chmodopbody = 917,              /* chmodopbody  */
  YYSYMBOL_918_376 = 918,                  /* $@376  */
  YYSYMBOL_919_377 = 919,                  /* $@377  */
  YYSYMBOL_920_378 = 920,                  /* $@378  */
  YYSYMBOL_921_379 = 921,                  /* $@379  */
  YYSYMBOL_chtimeop = 922,                 /* chtimeop  */
  YYSYMBOL_923_380 = 923,                  /* $@380  */
  YYSYMBOL_chtimeopbody = 924,             /* chtimeopbody  */
  YYSYMBOL_925_381 = 925,                  /* $@381  */
  YYSYMBOL_926_382 = 926,                  /* $@382  */
  YYSYMBOL_927_383 = 927,                  /* $@383  */
  YYSYMBOL_928_384 = 928,                  /* $@384  */
  YYSYMBOL_togglelistermodeop = 929,       /* togglelistermodeop  */
  YYSYMBOL_930_385 = 930,                  /* $@385  */
  YYSYMBOL_togglelistermodeopbody = 931,   /* togglelistermodeopbody  */
  YYSYMBOL_932_386 = 932,                  /* $@386  */
  YYSYMBOL_setsortmodeop = 933,            /* setsortmodeop  */
  YYSYMBOL_934_387 = 934,                  /* $@387  */
  YYSYMBOL_setsortmodeopbody = 935,        /* setsortmodeopbody  */
  YYSYMBOL_936_388 = 936,                  /* $@388  */
  YYSYMBOL_937_389 = 937,                  /* $@389  */
  YYSYMBOL_938_390 = 938,                  /* $@390  */
  YYSYMBOL_939_391 = 939,                  /* $@391  */
  YYSYMBOL_940_392 = 940,                  /* $@392  */
  YYSYMBOL_941_393 = 941,                  /* $@393  */
  YYSYMBOL_942_394 = 942,                  /* $@394  */
  YYSYMBOL_943_395 = 943,                  /* $@395  */
  YYSYMBOL_944_396 = 944,                  /* $@396  */
  YYSYMBOL_945_397 = 945,                  /* $@397  */
  YYSYMBOL_946_398 = 946,                  /* $@398  */
  YYSYMBOL_947_399 = 947,                  /* $@399  */
  YYSYMBOL_948_400 = 948,                  /* $@400  */
  YYSYMBOL_949_401 = 949,                  /* $@401  */
  YYSYMBOL_setfilterop = 950,              /* setfilterop  */
  YYSYMBOL_951_402 = 951,                  /* $@402  */
  YYSYMBOL_setfilteropbody = 952,          /* setfilteropbody  */
  YYSYMBOL_953_403 = 953,                  /* $@403  */
  YYSYMBOL_954_404 = 954,                  /* $@404  */
  YYSYMBOL_955_405 = 955,                  /* $@405  */
  YYSYMBOL_956_406 = 956,                  /* $@406  */
  YYSYMBOL_957_407 = 957,                  /* $@407  */
  YYSYMBOL_958_408 = 958,                  /* $@408  */
  YYSYMBOL_959_409 = 959,                  /* $@409  */
  YYSYMBOL_960_410 = 960,                  /* $@410  */
  YYSYMBOL_961_411 = 961,                  /* $@411  */
  YYSYMBOL_962_412 = 962,                  /* $@412  */
  YYSYMBOL_963_413 = 963,                  /* $@413  */
  YYSYMBOL_964_414 = 964,                  /* $@414  */
  YYSYMBOL_965_415 = 965,                  /* $@415  */
  YYSYMBOL_966_416 = 966,                  /* $@416  */
  YYSYMBOL_967_417 = 967,                  /* $@417  */
  YYSYMBOL_shortkeyfromlistop = 968,       /* shortkeyfromlistop  */
  YYSYMBOL_969_418 = 969,                  /* $@418  */
  YYSYMBOL_chownop = 970,                  /* chownop  */
  YYSYMBOL_971_419 = 971,                  /* $@419  */
  YYSYMBOL_chownopbody = 972,              /* chownopbody  */
  YYSYMBOL_973_420 = 973,                  /* $@420  */
  YYSYMBOL_974_421 = 974,                  /* $@421  */
  YYSYMBOL_975_422 = 975,                  /* $@422  */
  YYSYMBOL_976_423 = 976,                  /* $@423  */
  YYSYMBOL_scriptop = 977,                 /* scriptop  */
  YYSYMBOL_978_424 = 978,                  /* $@424  */
  YYSYMBOL_scriptopbody = 979,             /* scriptopbody  */
  YYSYMBOL_980_425 = 980,                  /* $@425  */
  YYSYMBOL_981_426 = 981,                  /* $@426  */
  YYSYMBOL_982_427 = 982,                  /* $@427  */
  YYSYMBOL_983_428 = 983,                  /* $@428  */
  YYSYMBOL_984_429 = 984,                  /* $@429  */
  YYSYMBOL_985_430 = 985,                  /* $@430  */
  YYSYMBOL_986_431 = 986,                  /* $@431  */
  YYSYMBOL_987_432 = 987,                  /* $@432  */
  YYSYMBOL_988_433 = 988,                  /* $@433  */
  YYSYMBOL_989_434 = 989,                  /* $@434  */
  YYSYMBOL_990_435 = 990,                  /* $@435  */
  YYSYMBOL_991_436 = 991,                  /* $@436  */
  YYSYMBOL_992_437 = 992,                  /* $@437  */
  YYSYMBOL_993_438 = 993,                  /* $@438  */
  YYSYMBOL_994_439 = 994,                  /* $@439  */
  YYSYMBOL_995_440 = 995,                  /* $@440  */
  YYSYMBOL_996_441 = 996,                  /* $@441  */
  YYSYMBOL_997_442 = 997,                  /* $@442  */
  YYSYMBOL_998_443 = 998,                  /* $@443  */
  YYSYMBOL_999_444 = 999,                  /* $@444  */
  YYSYMBOL_1000_445 = 1000,                /* $@445  */
  YYSYMBOL_1001_446 = 1001,                /* $@446  */
  YYSYMBOL_1002_447 = 1002,                /* $@447  */
  YYSYMBOL_1003_448 = 1003,                /* $@448  */
  YYSYMBOL_1004_449 = 1004,                /* $@449  */
  YYSYMBOL_1005_450 = 1005,                /* $@450  */
  YYSYMBOL_1006_451 = 1006,                /* $@451  */
  YYSYMBOL_1007_452 = 1007,                /* $@452  */
  YYSYMBOL_1008_453 = 1008,                /* $@453  */
  YYSYMBOL_showdircacheop = 1009,          /* showdircacheop  */
  YYSYMBOL_1010_454 = 1010,                /* $@454  */
  YYSYMBOL_parentactionop = 1011,          /* parentactionop  */
  YYSYMBOL_1012_455 = 1012,                /* $@455  */
  YYSYMBOL_nooperationop = 1013,           /* nooperationop  */
  YYSYMBOL_1014_456 = 1014,                /* $@456  */
  YYSYMBOL_goftpop = 1015,                 /* goftpop  */
  YYSYMBOL_1016_457 = 1016,                /* $@457  */
  YYSYMBOL_goftpopbody = 1017,             /* goftpopbody  */
  YYSYMBOL_1018_458 = 1018,                /* $@458  */
  YYSYMBOL_1019_459 = 1019,                /* $@459  */
  YYSYMBOL_1020_460 = 1020,                /* $@460  */
  YYSYMBOL_1021_461 = 1021,                /* $@461  */
  YYSYMBOL_1022_462 = 1022,                /* $@462  */
  YYSYMBOL_1023_463 = 1023,                /* $@463  */
  YYSYMBOL_1024_464 = 1024,                /* $@464  */
  YYSYMBOL_internalviewop = 1025,          /* internalviewop  */
  YYSYMBOL_1026_465 = 1026,                /* $@465  */
  YYSYMBOL_internalviewopbody = 1027,      /* internalviewopbody  */
  YYSYMBOL_1028_466 = 1028,                /* $@466  */
  YYSYMBOL_1029_467 = 1029,                /* $@467  */
  YYSYMBOL_1030_468 = 1030,                /* $@468  */
  YYSYMBOL_1031_469 = 1031,                /* $@469  */
  YYSYMBOL_clipboardop = 1032,             /* clipboardop  */
  YYSYMBOL_1033_470 = 1033,                /* $@470  */
  YYSYMBOL_clipboardopbody = 1034,         /* clipboardopbody  */
  YYSYMBOL_1035_471 = 1035,                /* $@471  */
  YYSYMBOL_searchop = 1036,                /* searchop  */
  YYSYMBOL_1037_472 = 1037,                /* $@472  */
  YYSYMBOL_searchopbody = 1038,            /* searchopbody  */
  YYSYMBOL_1039_473 = 1039,                /* $@473  */
  YYSYMBOL_1040_474 = 1040,                /* $@474  */
  YYSYMBOL_dirbookmarkop = 1041,           /* dirbookmarkop  */
  YYSYMBOL_1042_475 = 1042,                /* $@475  */
  YYSYMBOL_opencontextmenuop = 1043,       /* opencontextmenuop  */
  YYSYMBOL_1044_476 = 1044,                /* $@476  */
  YYSYMBOL_opencontextmenuopbody = 1045,   /* opencontextmenuopbody  */
  YYSYMBOL_1046_477 = 1046,                /* $@477  */
  YYSYMBOL_runcustomaction = 1047,         /* runcustomaction  */
  YYSYMBOL_1048_478 = 1048,                /* $@478  */
  YYSYMBOL_runcustomactionbody = 1049,     /* runcustomactionbody  */
  YYSYMBOL_1050_479 = 1050,                /* $@479  */
  YYSYMBOL_openworkermenuop = 1051,        /* openworkermenuop  */
  YYSYMBOL_1052_480 = 1052,                /* $@480  */
  YYSYMBOL_changelabelop = 1053,           /* changelabelop  */
  YYSYMBOL_1054_481 = 1054,                /* $@481  */
  YYSYMBOL_changelabelopbody = 1055,       /* changelabelopbody  */
  YYSYMBOL_1056_482 = 1056,                /* $@482  */
  YYSYMBOL_1057_483 = 1057,                /* $@483  */
  YYSYMBOL_modifytabsop = 1058,            /* modifytabsop  */
  YYSYMBOL_1059_484 = 1059,                /* $@484  */
  YYSYMBOL_modifytabsopbody = 1060,        /* modifytabsopbody  */
  YYSYMBOL_1061_485 = 1061,                /* $@485  */
  YYSYMBOL_1062_486 = 1062,                /* $@486  */
  YYSYMBOL_1063_487 = 1063,                /* $@487  */
  YYSYMBOL_1064_488 = 1064,                /* $@488  */
  YYSYMBOL_1065_489 = 1065,                /* $@489  */
  YYSYMBOL_1066_490 = 1066,                /* $@490  */
  YYSYMBOL_1067_491 = 1067,                /* $@491  */
  YYSYMBOL_changelayoutop = 1068,          /* changelayoutop  */
  YYSYMBOL_1069_492 = 1069,                /* $@492  */
  YYSYMBOL_changelayoutopbody = 1070,      /* changelayoutopbody  */
  YYSYMBOL_1071_493 = 1071,                /* $@493  */
  YYSYMBOL_1072_494 = 1072,                /* $@494  */
  YYSYMBOL_1073_495 = 1073,                /* $@495  */
  YYSYMBOL_1074_496 = 1074,                /* $@496  */
  YYSYMBOL_1075_497 = 1075,                /* $@497  */
  YYSYMBOL_1076_498 = 1076,                /* $@498  */
  YYSYMBOL_1077_499 = 1077,                /* $@499  */
  YYSYMBOL_1078_500 = 1078,                /* $@500  */
  YYSYMBOL_1079_501 = 1079,                /* $@501  */
  YYSYMBOL_1080_502 = 1080,                /* $@502  */
  YYSYMBOL_1081_503 = 1081,                /* $@503  */
  YYSYMBOL_1082_504 = 1082,                /* $@504  */
  YYSYMBOL_1083_505 = 1083,                /* $@505  */
  YYSYMBOL_changecolumnsop = 1084,         /* changecolumnsop  */
  YYSYMBOL_1085_506 = 1085,                /* $@506  */
  YYSYMBOL_changecolumnsopbody = 1086,     /* changecolumnsopbody  */
  YYSYMBOL_1087_507 = 1087,                /* $@507  */
  YYSYMBOL_1088_508 = 1088,                /* $@508  */
  YYSYMBOL_1089_509 = 1089,                /* $@509  */
  YYSYMBOL_1090_510 = 1090,                /* $@510  */
  YYSYMBOL_1091_511 = 1091,                /* $@511  */
  YYSYMBOL_1092_512 = 1092,                /* $@512  */
  YYSYMBOL_1093_513 = 1093,                /* $@513  */
  YYSYMBOL_1094_514 = 1094,                /* $@514  */
  YYSYMBOL_1095_515 = 1095,                /* $@515  */
  YYSYMBOL_1096_516 = 1096,                /* $@516  */
  YYSYMBOL_1097_517 = 1097,                /* $@517  */
  YYSYMBOL_1098_518 = 1098,                /* $@518  */
  YYSYMBOL_1099_519 = 1099,                /* $@519  */
  YYSYMBOL_1100_520 = 1100,                /* $@520  */
  YYSYMBOL_volumemanagerop = 1101,         /* volumemanagerop  */
  YYSYMBOL_1102_521 = 1102,                /* $@521  */
  YYSYMBOL_switchbuttonbankop = 1103,      /* switchbuttonbankop  */
  YYSYMBOL_1104_522 = 1104,                /* $@522  */
  YYSYMBOL_switchbuttonbankopbody = 1105,  /* switchbuttonbankopbody  */
  YYSYMBOL_1106_523 = 1106,                /* $@523  */
  YYSYMBOL_1107_524 = 1107,                /* $@524  */
  YYSYMBOL_1108_525 = 1108,                /* $@525  */
  YYSYMBOL_1109_526 = 1109,                /* $@526  */
  YYSYMBOL_pathjumpop = 1110,              /* pathjumpop  */
  YYSYMBOL_1111_527 = 1111,                /* $@527  */
  YYSYMBOL_pathjumpopbody = 1112,          /* pathjumpopbody  */
  YYSYMBOL_1113_528 = 1113,                /* $@528  */
  YYSYMBOL_1114_529 = 1114,                /* $@529  */
  YYSYMBOL_1115_530 = 1115,                /* $@530  */
  YYSYMBOL_commandmenuop = 1116,           /* commandmenuop  */
  YYSYMBOL_1117_531 = 1117,                /* $@531  */
  YYSYMBOL_commandmenuopbody = 1118,       /* commandmenuopbody  */
  YYSYMBOL_1119_532 = 1119,                /* $@532  */
  YYSYMBOL_viewnewestfilesop = 1120,       /* viewnewestfilesop  */
  YYSYMBOL_1121_533 = 1121,                /* $@533  */
  YYSYMBOL_dircompareop = 1122,            /* dircompareop  */
  YYSYMBOL_1123_534 = 1123,                /* $@534  */
  YYSYMBOL_tabprofilesop = 1124,           /* tabprofilesop  */
  YYSYMBOL_1125_535 = 1125,                /* $@535  */
  YYSYMBOL_externalvdirop = 1126,          /* externalvdirop  */
  YYSYMBOL_1127_536 = 1127,                /* $@536  */
  YYSYMBOL_externalvdiropbody = 1128,      /* externalvdiropbody  */
  YYSYMBOL_1129_537 = 1129,                /* $@537  */
  YYSYMBOL_opentabmenuop = 1130,           /* opentabmenuop  */
  YYSYMBOL_1131_538 = 1131,                /* $@538  */
  YYSYMBOL_directorypresets = 1132,        /* directorypresets  */
  YYSYMBOL_1133_539 = 1133,                /* $@539  */
  YYSYMBOL_1134_540 = 1134,                /* $@540  */
  YYSYMBOL_directorypreset = 1135,         /* directorypreset  */
  YYSYMBOL_1136_541 = 1136,                /* $@541  */
  YYSYMBOL_1137_542 = 1137,                /* $@542  */
  YYSYMBOL_1138_543 = 1138,                /* $@543  */
  YYSYMBOL_1139_544 = 1139,                /* $@544  */
  YYSYMBOL_1140_545 = 1140,                /* $@545  */
  YYSYMBOL_1141_546 = 1141,                /* $@546  */
  YYSYMBOL_1142_547 = 1142,                /* $@547  */
  YYSYMBOL_1143_548 = 1143,                /* $@548  */
  YYSYMBOL_1144_549 = 1144,                /* $@549  */
  YYSYMBOL_1145_550 = 1145,                /* $@550  */
  YYSYMBOL_1146_551 = 1146,                /* $@551  */
  YYSYMBOL_1147_552 = 1147,                /* $@552  */
  YYSYMBOL_1148_553 = 1148,                /* $@553  */
  YYSYMBOL_1149_554 = 1149,                /* $@554  */
  YYSYMBOL_1150_555 = 1150,                /* $@555  */
  YYSYMBOL_1151_556 = 1151,                /* $@556  */
  YYSYMBOL_1152_557 = 1152,                /* $@557  */
  YYSYMBOL_1153_558 = 1153,                /* $@558  */
  YYSYMBOL_1154_559 = 1154,                /* $@559  */
  YYSYMBOL_directorypreset_filter = 1155,  /* directorypreset_filter  */
  YYSYMBOL_1156_560 = 1156,                /* $@560  */
  YYSYMBOL_1157_561 = 1157,                /* $@561  */
  YYSYMBOL_1158_562 = 1158,                /* $@562  */
  YYSYMBOL_helpop = 1159,                  /* helpop  */
  YYSYMBOL_1160_563 = 1160                 /* $@563  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2512

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  444
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  717
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1257
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2978

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   694


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   443,     2,   440,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   441,
       2,   442,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   325,   325,   325,   325,   328,   329,   330,   329,   333,
     334,   335,   334,   346,   347,   346,   358,   359,   358,   370,
     371,   370,   382,   383,   384,   385,   386,   387,   386,   390,
     391,   390,   393,   395,   395,   396,   398,   398,   399,   401,
     401,   402,   402,   403,   403,   404,   404,   405,   406,   406,
     407,   407,   408,   408,   409,   409,   410,   410,   412,   413,
     413,   414,   414,   415,   416,   416,   417,   417,   418,   418,
     419,   419,   420,   420,   421,   422,   424,   424,   425,   425,
     426,   426,   427,   427,   428,   428,   429,   429,   430,   430,
     431,   431,   432,   432,   433,   433,   434,   434,   435,   435,
     436,   436,   437,   439,   439,   440,   442,   442,   443,   443,
     444,   446,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   451,   451,   452,   452,   453,   455,   455,   456,   456,
     457,   457,   458,   458,   459,   459,   460,   460,   461,   461,
     462,   462,   463,   463,   464,   464,   465,   465,   466,   466,
     467,   467,   468,   468,   469,   471,   471,   472,   472,   473,
     473,   474,   474,   475,   475,   476,   476,   477,   477,   478,
     478,   479,   479,   480,   480,   481,   481,   482,   484,   484,
     485,   485,   486,   486,   487,   487,   488,   488,   489,   489,
     490,   491,   490,   492,   493,   492,   494,   495,   494,   496,
     498,   498,   502,   502,   506,   506,   510,   510,   514,   514,
     518,   518,   522,   522,   526,   526,   530,   530,   534,   534,
     538,   538,   542,   542,   546,   546,   550,   550,   554,   554,
     557,   557,   561,   561,   565,   565,   569,   570,   569,   575,
     577,   579,   586,   579,   589,   591,   591,   595,   595,   599,
     599,   600,   602,   606,   602,   609,   611,   611,   614,   614,
     615,   617,   617,   618,   618,   619,   619,   620,   620,   621,
     621,   622,   622,   623,   623,   624,   624,   625,   625,   626,
     628,   629,   628,   635,   637,   637,   641,   641,   642,   642,
     645,   645,   646,   647,   646,   659,   661,   664,   669,   670,
     661,   672,   675,   680,   681,   686,   687,   672,   689,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   695,   696,
     696,   697,   697,   698,   698,   699,   701,   702,   701,   705,
     706,   705,   717,   717,   718,   720,   720,   721,   723,   726,
     723,   735,   737,   737,   738,   738,   739,   739,   740,   740,
     741,   741,   743,   743,   744,   744,   745,   745,   746,   746,
     747,   748,   748,   749,   749,   750,   751,   751,   754,   754,
     757,   757,   760,   760,   763,   763,   764,   764,   765,   765,
     766,   766,   767,   767,   768,   768,   769,   769,   770,   770,
     771,   771,   772,   772,   773,   773,   774,   774,   775,   777,
     777,   778,   780,   781,   782,   783,   784,   787,   788,   787,
     791,   792,   791,   795,   796,   795,   799,   800,   799,   803,
     804,   803,   807,   810,   807,   813,   815,   816,   817,   819,
     821,   822,   821,   825,   827,   827,   828,   829,   828,   832,
     833,   832,   845,   847,   848,   847,   854,   856,   856,   860,
     860,   861,   861,   864,   865,   864,   868,   869,   868,   881,
     884,   883,   891,   890,   898,   897,   905,   904,   912,   911,
     919,   918,   925,   928,   927,   935,   934,   942,   941,   949,
     948,   956,   955,   963,   962,   969,   972,   971,   976,   975,
     980,   979,   984,   983,   988,   987,   992,   991,   996,   995,
    1000,   999,  1004,  1003,  1007,  1009,  1009,  1010,  1010,  1011,
    1011,  1012,  1012,  1013,  1013,  1014,  1014,  1015,  1015,  1016,
    1018,  1019,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,
    1089,  1090,  1091,  1093,  1093,  1096,  1096,  1097,  1097,  1098,
    1098,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,  1103,
    1103,  1104,  1104,  1105,  1105,  1106,  1106,  1107,  1107,  1108,
    1108,  1109,  1109,  1110,  1112,  1112,  1115,  1115,  1118,  1118,
    1121,  1121,  1124,  1124,  1127,  1127,  1128,  1130,  1130,  1137,
    1137,  1144,  1144,  1147,  1147,  1148,  1148,  1149,  1149,  1150,
    1152,  1152,  1155,  1155,  1156,  1156,  1157,  1157,  1158,  1158,
    1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,  1163,  1163,
    1164,  1164,  1165,  1165,  1166,  1166,  1167,  1167,  1168,  1168,
    1169,  1169,  1170,  1170,  1171,  1171,  1172,  1172,  1173,  1173,
    1174,  1174,  1175,  1177,  1177,  1184,  1184,  1191,  1191,  1198,
    1198,  1205,  1205,  1212,  1212,  1219,  1219,  1226,  1226,  1233,
    1233,  1240,  1240,  1243,  1243,  1244,  1244,  1245,  1245,  1246,
    1246,  1247,  1247,  1248,  1250,  1250,  1253,  1253,  1254,  1254,
    1255,  1255,  1256,  1256,  1257,  1259,  1259,  1262,  1262,  1265,
    1265,  1266,  1266,  1267,  1269,  1269,  1272,  1272,  1273,  1273,
    1274,  1276,  1276,  1279,  1279,  1282,  1282,  1283,  1283,  1284,
    1286,  1286,  1289,  1289,  1290,  1292,  1292,  1295,  1295,  1296,
    1296,  1297,  1297,  1298,  1298,  1299,  1299,  1300,  1300,  1301,
    1303,  1303,  1306,  1306,  1309,  1309,  1312,  1312,  1319,  1319,
    1322,  1322,  1323,  1323,  1324,  1324,  1325,  1325,  1326,  1326,
    1327,  1327,  1328,  1328,  1329,  1329,  1330,  1330,  1331,  1331,
    1332,  1334,  1334,  1337,  1337,  1338,  1338,  1339,  1339,  1340,
    1340,  1341,  1343,  1343,  1346,  1346,  1347,  1347,  1348,  1348,
    1349,  1349,  1350,  1352,  1352,  1355,  1355,  1356,  1356,  1357,
    1359,  1359,  1362,  1362,  1363,  1363,  1364,  1364,  1365,  1367,
    1367,  1370,  1370,  1371,  1371,  1372,  1372,  1373,  1375,  1375,
    1378,  1378,  1379,  1379,  1380,  1380,  1381,  1381,  1382,  1384,
    1384,  1387,  1387,  1388,  1388,  1389,  1389,  1390,  1390,  1391,
    1393,  1393,  1396,  1396,  1397,  1399,  1399,  1404,  1404,  1405,
    1405,  1406,  1406,  1407,  1407,  1408,  1408,  1409,  1409,  1410,
    1410,  1411,  1411,  1412,  1412,  1413,  1413,  1414,  1414,  1415,
    1415,  1416,  1416,  1417,  1417,  1418,  1420,  1420,  1423,  1423,
    1424,  1424,  1425,  1425,  1426,  1426,  1427,  1427,  1428,  1428,
    1429,  1429,  1430,  1430,  1431,  1431,  1432,  1432,  1433,  1433,
    1434,  1434,  1435,  1435,  1436,  1436,  1437,  1437,  1438,  1440,
    1440,  1443,  1443,  1446,  1446,  1447,  1447,  1448,  1448,  1449,
    1449,  1450,  1452,  1452,  1455,  1455,  1456,  1456,  1457,  1457,
    1458,  1458,  1459,  1459,  1460,  1460,  1461,  1461,  1462,  1462,
    1463,  1463,  1464,  1464,  1465,  1465,  1466,  1466,  1467,  1467,
    1468,  1468,  1469,  1469,  1470,  1470,  1471,  1471,  1472,  1472,
    1473,  1473,  1474,  1474,  1475,  1475,  1476,  1476,  1477,  1477,
    1478,  1478,  1479,  1479,  1480,  1480,  1481,  1481,  1482,  1482,
    1483,  1483,  1484,  1486,  1486,  1489,  1489,  1492,  1492,  1495,
    1495,  1498,  1498,  1499,  1499,  1500,  1500,  1501,  1501,  1502,
    1502,  1503,  1503,  1504,  1504,  1505,  1507,  1507,  1510,  1510,
    1511,  1511,  1512,  1512,  1513,  1513,  1515,  1517,  1517,  1520,
    1520,  1521,  1523,  1523,  1526,  1526,  1527,  1527,  1528,  1530,
    1530,  1533,  1533,  1536,  1536,  1537,  1539,  1539,  1542,  1542,
    1543,  1545,  1545,  1548,  1548,  1551,  1551,  1552,  1552,  1553,
    1555,  1555,  1558,  1558,  1559,  1559,  1560,  1560,  1561,  1561,
    1562,  1562,  1563,  1563,  1564,  1564,  1565,  1567,  1567,  1575,
    1575,  1576,  1576,  1577,  1577,  1578,  1578,  1579,  1579,  1580,
    1580,  1581,  1581,  1582,  1582,  1583,  1583,  1584,  1584,  1585,
    1585,  1586,  1586,  1587,  1587,  1588,  1590,  1590,  1598,  1598,
    1599,  1599,  1600,  1600,  1601,  1601,  1602,  1602,  1603,  1603,
    1604,  1604,  1605,  1605,  1606,  1606,  1607,  1607,  1608,  1608,
    1609,  1609,  1610,  1610,  1611,  1611,  1612,  1614,  1614,  1617,
    1617,  1620,  1620,  1621,  1621,  1622,  1622,  1623,  1623,  1624,
    1626,  1626,  1629,  1629,  1630,  1630,  1631,  1631,  1632,  1634,
    1634,  1637,  1637,  1638,  1640,  1640,  1643,  1643,  1646,  1646,
    1649,  1649,  1652,  1652,  1653,  1655,  1655,  1662,  1663,  1662,
    1665,  1667,  1667,  1668,  1668,  1669,  1669,  1670,  1670,  1671,
    1671,  1672,  1672,  1673,  1673,  1674,  1674,  1675,  1675,  1676,
    1676,  1677,  1677,  1678,  1678,  1679,  1679,  1680,  1680,  1681,
    1681,  1682,  1682,  1683,  1683,  1684,  1685,  1684,  1686,  1688,
    1688,  1689,  1689,  1690,  1690,  1691,  1693,  1693
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "CLOCKBARSETS_WCP", "MODUS_WCP",
  "TIMESPACE_WCP", "VERSION_WCP", "EXTERN_WCP", "UPDATETIME_WCP",
  "PROGRAM_WCP", "SHOWHINTS_WCP", "KEY_WCP", "DOUBLE_WCP", "MOD_WCP",
  "CONTROL_WCP", "SHIFT_WCP", "LOCK_WCP", "MOD1_WCP", "MOD2_WCP",
  "MOD3_WCP", "MOD4_WCP", "MOD5_WCP", "DNDACTION_WCP", "DCACTION_WCP",
  "SHOWACTION_WCP", "RSHOWACTION_WCP", "USERACTION_WCP", "ROWUP_WCP",
  "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP", "COPYOP_WCP", "FIRSTROW_WCP",
  "LASTROW_WCP", "PAGEUP_WCP", "PAGEDOWN_WCP", "SELECTOP_WCP",
  "SELECTALLOP_WCP", "SELECTNONEOP_WCP", "INVERTALLOP_WCP",
  "PARENTDIROP_WCP", "ENTERDIROP_WCP", "CHANGELISTERSETOP_WCP",
  "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP", "FILTERUNSELECTOP_WCP",
  "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP", "DELETEOP_WCP", "RELOADOP_WCP",
  "MAKEDIROP_WCP", "RENAMEOP_WCP", "DIRSIZEOP_WCP", "SIMDDOP_WCP",
  "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP", "ENTERPATHOP_WCP",
  "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP", "CHANGESYMLINKOP_WCP",
  "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP", "SETSORTMODEOP_WCP",
  "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP", "CHOWNOP_WCP",
  "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP", "TIMESTRING_WCP",
  "COLOR_WCP", "PATTERNIGNORECASE_WCP", "PATTERNUSEREGEXP_WCP",
  "PATTERNUSEFULLNAME_WCP", "COM_WCP", "SEPARATEEACHENTRY_WCP",
  "RECURSIVE_WCP", "START_WCP", "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP",
  "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP", "INBACKGROUND_WCP", "TAKEDIRS_WCP",
  "ACTIONNUMBER_WCP", "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP",
  "FOLLOWSYMLINKS_WCP", "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP",
  "REQUESTDEST_WCP", "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP",
  "NEVER_WCP", "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP",
  "ACTIVE_WCP", "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP",
  "CURRENT_WCP", "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "STRING_WCP", "NUM_WCP", "'.'",
  "';'", "'='", "','", "$accept", "S", "$@1", "$@2", "start", "$@3", "$@4",
  "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13",
  "$@14", "$@15", "$@16", "pjallowdirs", "$@17", "pathjumpsets", "$@18",
  "glb", "$@19", "$@20", "$@21", "$@22", "$@23", "$@24", "$@25", "$@26",
  "$@27", "$@28", "$@29", "$@30", "$@31", "$@32", "$@33", "$@34", "layout",
  "$@35", "$@36", "$@37", "$@38", "$@39", "$@40", "$@41", "$@42", "$@43",
  "$@44", "$@45", "$@46", "$@47", "pal", "$@48", "listersets", "$@49",
  "$@50", "listersets2", "$@51", "$@52", "$@53", "$@54", "$@55", "$@56",
  "$@57", "displaysets", "$@58", "$@59", "$@60", "$@61", "$@62", "$@63",
  "$@64", "$@65", "$@66", "$@67", "$@68", "$@69", "$@70", "$@71",
  "timesets", "$@72", "$@73", "$@74", "$@75", "$@76", "$@77", "$@78",
  "$@79", "$@80", "$@81", "$@82", "mouseconf", "$@83", "$@84", "$@85",
  "$@86", "$@87", "$@88", "$@89", "$@90", "$@91", "$@92", "$@93", "$@94",
  "cols", "$@95", "$@96", "$@97", "$@98", "$@99", "$@100", "$@101",
  "$@102", "$@103", "$@104", "$@105", "$@106", "$@107", "$@108", "$@109",
  "$@110", "$@111", "$@112", "$@113", "$@114", "labelcolors", "$@115",
  "$@116", "labelcolor", "$@117", "$@118", "$@119", "faces", "$@120",
  "$@121", "face", "$@122", "$@123", "startup", "$@124", "$@125", "$@126",
  "$@127", "$@128", "$@129", "$@130", "$@131", "$@132", "paths", "$@133",
  "$@134", "path", "$@135", "$@136", "$@137", "$@138", "$@139", "$@140",
  "keylist", "$@141", "$@142", "$@143", "$@144", "$@145", "$@146", "$@147",
  "$@148", "$@149", "$@150", "mods", "$@151", "$@152", "$@153", "$@154",
  "$@155", "$@156", "$@157", "$@158", "filetypes", "$@159", "$@160",
  "$@161", "$@162", "$@163", "ignoredirs", "$@164", "subfiletypes",
  "$@165", "$@166", "filetype", "$@167", "$@168", "$@169", "$@170",
  "$@171", "$@172", "$@173", "$@174", "$@175", "$@176", "$@177", "$@178",
  "$@179", "$@180", "$@181", "$@182", "$@183", "$@184", "$@185", "$@186",
  "$@187", "$@188", "$@189", "$@190", "$@191", "$@192", "$@193",
  "filecontent", "$@194", "ft_type", "ftcommands", "$@195", "$@196",
  "$@197", "$@198", "$@199", "$@200", "$@201", "$@202", "$@203", "$@204",
  "$@205", "$@206", "commands", "flags", "hotkeys", "$@207", "$@208",
  "hotkey", "$@209", "$@210", "$@211", "$@212", "$@213", "buttons",
  "$@214", "$@215", "button", "$@216", "$@217", "$@218", "$@219", "$@220",
  "$@221", "$@222", "fonts", "$@223", "$@224", "$@225", "$@226", "$@227",
  "$@228", "xftfonts", "$@229", "$@230", "$@231", "$@232", "$@233",
  "$@234", "volumemanager", "$@235", "$@236", "$@237", "$@238", "$@239",
  "$@240", "$@241", "$@242", "$@243", "clockbarsets", "$@244", "$@245",
  "$@246", "$@247", "$@248", "$@249", "$@250", "bool", "command", "ownop",
  "$@251", "ownopbody", "$@252", "$@253", "$@254", "$@255", "$@256",
  "$@257", "$@258", "$@259", "$@260", "$@261", "$@262", "$@263", "$@264",
  "$@265", "dndaction", "$@266", "dcaction", "$@267", "showaction",
  "$@268", "rshowaction", "$@269", "useraction", "$@270", "useractionbody",
  "$@271", "rowup", "$@272", "rowdown", "$@273", "changehiddenflag",
  "$@274", "changehiddenflagbody", "$@275", "$@276", "$@277", "copyop",
  "$@278", "copyopbody", "$@279", "$@280", "$@281", "$@282", "$@283",
  "$@284", "$@285", "$@286", "$@287", "$@288", "$@289", "$@290", "$@291",
  "$@292", "$@293", "$@294", "$@295", "$@296", "$@297", "$@298",
  "firstrow", "$@299", "lastrow", "$@300", "pageup", "$@301", "pagedown",
  "$@302", "selectop", "$@303", "selectallop", "$@304", "selectnoneop",
  "$@305", "invertallop", "$@306", "parentdirop", "$@307", "enterdirop",
  "$@308", "enterdiropbody", "$@309", "$@310", "$@311", "$@312", "$@313",
  "changelistersetop", "$@314", "changelistersetopbody", "$@315", "$@316",
  "$@317", "$@318", "switchlisterop", "$@319", "filterselectop", "$@320",
  "filterselectopbody", "$@321", "$@322", "filterunselectop", "$@323",
  "filterunselectopbody", "$@324", "$@325", "pathtoothersideop", "$@326",
  "quitop", "$@327", "quitopbody", "$@328", "$@329", "deleteop", "$@330",
  "deleteopbody", "$@331", "reloadop", "$@332", "reloadopbody", "$@333",
  "$@334", "$@335", "$@336", "$@337", "$@338", "makedirop", "$@339",
  "renameop", "$@340", "dirsizeop", "$@341", "simddop", "$@342",
  "startprogop", "$@343", "startprogopbody", "$@344", "$@345", "$@346",
  "$@347", "$@348", "$@349", "$@350", "$@351", "$@352", "$@353",
  "searchentryop", "$@354", "searchentryopbody", "$@355", "$@356", "$@357",
  "$@358", "enterpathop", "$@359", "enterpathopbody", "$@360", "$@361",
  "$@362", "$@363", "scrolllisterop", "$@364", "scrolllisteropbody",
  "$@365", "$@366", "createsymlinkop", "$@367", "createsymlinkopbody",
  "$@368", "$@369", "$@370", "changesymlinkop", "$@371",
  "changesymlinkopbody", "$@372", "$@373", "$@374", "chmodop", "$@375",
  "chmodopbody", "$@376", "$@377", "$@378", "$@379", "chtimeop", "$@380",
  "chtimeopbody", "$@381", "$@382", "$@383", "$@384", "togglelistermodeop",
  "$@385", "togglelistermodeopbody", "$@386", "setsortmodeop", "$@387",
  "setsortmodeopbody", "$@388", "$@389", "$@390", "$@391", "$@392",
  "$@393", "$@394", "$@395", "$@396", "$@397", "$@398", "$@399", "$@400",
  "$@401", "setfilterop", "$@402", "setfilteropbody", "$@403", "$@404",
  "$@405", "$@406", "$@407", "$@408", "$@409", "$@410", "$@411", "$@412",
  "$@413", "$@414", "$@415", "$@416", "$@417", "shortkeyfromlistop",
  "$@418", "chownop", "$@419", "chownopbody", "$@420", "$@421", "$@422",
  "$@423", "scriptop", "$@424", "scriptopbody", "$@425", "$@426", "$@427",
  "$@428", "$@429", "$@430", "$@431", "$@432", "$@433", "$@434", "$@435",
  "$@436", "$@437", "$@438", "$@439", "$@440", "$@441", "$@442", "$@443",
  "$@444", "$@445", "$@446", "$@447", "$@448", "$@449", "$@450", "$@451",
  "$@452", "$@453", "showdircacheop", "$@454", "parentactionop", "$@455",
  "nooperationop", "$@456", "goftpop", "$@457", "goftpopbody", "$@458",
  "$@459", "$@460", "$@461", "$@462", "$@463", "$@464", "internalviewop",
  "$@465", "internalviewopbody", "$@466", "$@467", "$@468", "$@469",
  "clipboardop", "$@470", "clipboardopbody", "$@471", "searchop", "$@472",
  "searchopbody", "$@473", "$@474", "dirbookmarkop", "$@475",
  "opencontextmenuop", "$@476", "opencontextmenuopbody", "$@477",
  "runcustomaction", "$@478", "runcustomactionbody", "$@479",
  "openworkermenuop", "$@480", "changelabelop", "$@481",
  "changelabelopbody", "$@482", "$@483", "modifytabsop", "$@484",
  "modifytabsopbody", "$@485", "$@486", "$@487", "$@488", "$@489", "$@490",
  "$@491", "changelayoutop", "$@492", "changelayoutopbody", "$@493",
  "$@494", "$@495", "$@496", "$@497", "$@498", "$@499", "$@500", "$@501",
  "$@502", "$@503", "$@504", "$@505", "changecolumnsop", "$@506",
  "changecolumnsopbody", "$@507", "$@508", "$@509", "$@510", "$@511",
  "$@512", "$@513", "$@514", "$@515", "$@516", "$@517", "$@518", "$@519",
  "$@520", "volumemanagerop", "$@521", "switchbuttonbankop", "$@522",
  "switchbuttonbankopbody", "$@523", "$@524", "$@525", "$@526",
  "pathjumpop", "$@527", "pathjumpopbody", "$@528", "$@529", "$@530",
  "commandmenuop", "$@531", "commandmenuopbody", "$@532",
  "viewnewestfilesop", "$@533", "dircompareop", "$@534", "tabprofilesop",
  "$@535", "externalvdirop", "$@536", "externalvdiropbody", "$@537",
  "opentabmenuop", "$@538", "directorypresets", "$@539", "$@540",
  "directorypreset", "$@541", "$@542", "$@543", "$@544", "$@545", "$@546",
  "$@547", "$@548", "$@549", "$@550", "$@551", "$@552", "$@553", "$@554",
  "$@555", "$@556", "$@557", "$@558", "$@559", "directorypreset_filter",
  "$@560", "$@561", "$@562", "helpop", "$@563", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
      46,    59,    61,    44
};
#endif

#define YYPACT_NINF (-2259)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2259,    99,   -55, -2259,  -333,  -284,  -274,  -261,  -214,  -182,
   -2259,    18,   260,   290,   300,   324,   336,   346,   349,   351,
     355,   371,   373,   378,   380, -2259,    29, -2259,    21, -2259,
   -2259, -2259, -2259,   646,   342,   979, -2259,     6, -2259,  -156,
     405,   420,   -82,   -23,    -9,    -4,    -2,     5,   449,   464,
     466,    88,   529,   159,   169,   175,   177,   184,   633,    75,
     206,   209,   210,   212,   652,   599,   595,   -15,   575,   223,
     224,   227,   235,   255,   256,   674,   262,   263,   271,   272,
     720,   301,   303,   305,   311,   312,   314,   738,   327,   315,
     802,   398,   411, -2259,   304,   404,   414,   428,   296,   440,
     354,   574, -2259,   412,   354,   331,   354,   354,   354,   535,
     354,    18,   510,   541,   542,   675,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   687,   688,   689,   690,
    1125,  1130, -2259,   696,   697,  -120,  -131,    18,  1133,  1134,
    1136,  1137,  1139,  1140,   695,  1141,  1143,  1144,   702,   706,
     709,   711,   712,   713,    18,   265,   714,   716,   354,    18,
     717,   718,   719,   721,   722,   723,    18,   724,  1148,   354,
      18,  1155,  1158,   725,   728, -2259, -2259,  1159,   727,   729,
     730,   731,   732,   733, -2259, -2259,   734,   735,   736,   737,
     739,   740,   741,  1160,   341,   742,   743,   744,   745,   746,
    1166,  1173,  1177,  1185,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,  1187,   760,   761,   762,   763,   764,
   -2259,   767,   768,   769,   770,   771,   772,   773,   774,   775,
     776,   777,   778,   779,   780,   781,   782,   783,   784, -2259,
     832,  1221,   785,   786,   787,   788,   789,   790,   791,   792,
     793, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   354, -2259,
   -2259, -2259,   794,   795,   796,   797,   798,   799, -2259,   800,
     801,   803,   804,   805,   806,   807, -2259,   808,   809,   810,
     811,   812,   813, -2259, -2259, -2259,   814, -2259, -2259, -2259,
   -2259,   815,  1239,  1253,  1255,    29, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259,   126,    80,   354,   354,   821,   822,    29,
     820,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     833,   834,   835,  1258,   839,   840,   841,   -27,   842, -2259,
   -2259, -2259,    29, -2259,   836,   844,   845,   846,   847,   354,
     848,   849,   850,    29, -2259, -2259, -2259, -2259, -2259,   851,
     852,   853,   854,   855,   856,   857,   858,   859,   860,   861,
     862,   863,   866,   865,   867,   868,   869,  1103,  1269,  1284,
      18, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
     352,    18,   361,    18,    20,   871,   872,    18,   283,    18,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   327,
      18, -2259,   137,    18,    29,   875,    29,    30,    30, -2259,
      29,    29,    29,    29,    29,    29,    29,   874,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   354,   354,
     888,   354,    29,   887,   889,   890,   891,   892,   893,  1186,
    1186,  1186, -2259,    29,   894,   895,   896,   897,   898,   899,
     900,   901,   902, -2259,    29,    29,    29,    29,    29,   905,
     906,   907,   908,   909,   910,   911,   912,   913,   914,   915,
     916,   917, -2259,   918,   919,   920,   921,  1288,  1289, -2259,
      75, -2259,    21,    21,    21,    21,    21,    21,    21,    21,
      21,   922,   923,  1313,  1326,   924,  1357, -2259,   925,   926,
    1359,   927,   928,  1367, -2259,   930,   931,   932,   933,   934,
    1360,  1374,   936,   937,   938,   939,   940,  1380,   942,   943,
     944,   945,   946,   947,   948,   949,   950,   951,   952,   953,
     954,  1393,   957,  1395, -2259, -2259,   958,  1398,  1399,  1400,
   -2259,   646,   646,   646,   646,   646,   646,   342,   342,   342,
     342,   342,   342,   342,   979,   979,   979,   979,   979,   979,
   -2259, -2259,     6,   961,   963,  1403,   965,   966,  1405, -2259,
   -2259,   967, -2259,   969,   970,   971,   972,  1412,   974,   975,
    1414,  1415, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
     341,   341,   341,   341,   341,   341,   341,   341,   341,   980,
     981,   982,   983, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
     978,  1421,  1422,  1423, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   987,
     988,   989,   990,   991,   992,   993,   994,   995,   996,   997,
     998,   999,    75,  1000,  1001,  1002,  1003, -2259, -2259,    47,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
    1006,  1008, -2259, -2259,  1009, -2259,  1010,  1012, -2259,  1013,
    1014, -2259,   571,  1016,   354,   354,  1017, -2259,     7,   354,
     354,   354,  1018,   354,  1225,    62,  1019,  1020,  1021,  1022,
    1024,   354,  1025,   354,   354,   354,   354,  1026, -2259, -2259,
   -2259,   -15,  1028, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259,  1029,   -10, -2259,    87,
     222, -2259,  1030,   354,  1031,   354,  1032, -2259,   354,   354,
     304,   304,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259,   412,   412,   412,   412,
     412,   412,   686, -2259, -2259, -2259,   331,   331,   331,   331,
     331,   331,   331,   331,   331, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259,   135,    75,  1005,  1015,  1448,  1023,  1027,
     430,   116,  1033,   599,  1034,  1036,   116,  1037,  1038,   595,
   -2259, -2259, -2259, -2259, -2259,  1039,  1041,  1042,  1043,  1044,
    1035,  1469,  1470,  1476,  1483,  1048,  1485,  1486,  1050,  1051,
    1052,  1053,  1054,  1493,  1494,  1056,  1058,  1059,  1060,  1046,
    1061,  1062,  1063,  1066,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,   -15,   871,   -15, -2259,  1074,   430,   116,   575,  1075,
    1076,  1077,    27,  1078,  1079,  1080,  1081,  1082,  1083,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,   398,  1092,  1093,
    1095,  1096,  1097,   112,  1098,  1099, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   341,
     341,   341,   341, -2259, -2259, -2259, -2259, -2259, -2259,  1100,
    1101,  1102,  1104,  1105,  1106,  1107,  1108,   412,   412,   412,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,    75,
      75,    75,    75,    75,    75,    75,    75,    75,    75,    75,
      75,    75,    75,    75,    75,    75,  1109,  1110,  1111,  1498,
   -2259,  1065,  1094, -2259, -2259, -2259,  1541,  1547,  1551,  1552,
    1553,  1554,  1555,  1556,  1557,  1558,  1559,  1560,  1561,  1562,
    1563,  1564,  1565,  1566,  1567,  1568,  1569,  1570,  1571,  1572,
    1573,  1574,  1575,  1576,  1577,  1578,  1579,  1580,  1581,  1582,
    1583,  1584,  1585,  1586,  1587,  1588,  1589,  1590,  1591,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,  1602,
    1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,  1611,  1612,
    1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,   430,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  1623,  1624,  1625,  1189, -2259, -2259, -2259,  1626, -2259,
    1192, -2259, -2259, -2259, -2259, -2259, -2259,  1182,  1628, -2259,
   -2259, -2259, -2259,  1630, -2259,    20, -2259, -2259, -2259, -2259,
   -2259, -2259,    20, -2259, -2259, -2259, -2259,  1195,  1196,  1197,
    1198, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259,  1634,  1635, -2259, -2259, -2259, -2259,  1199,
    1200,  1636, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259,  1204, -2259, -2259,
   -2259, -2259,  1203,  1205,  1206,  1207,  1208,  1209,  1210,  1211,
    1212,  1213,  1214,  1215,  1216,  1217,  1641, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  1222,  1220,  1223, -2259,  1224,  1226,   832,   352,   352,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259,  1227,   361,   361,
   -2259,   361,  1228,    20,    20,    20,    20,    20,  1231,    20,
     430,   430,   430,   430, -2259,  1643, -2259,    20,    20,    20,
      20,    20,    20, -2259,    20,    20,    20,    20,  1230,  1232,
    1233,  1234,    20,    20,    20,    20,    20,    20,    20,    20,
     283, -2259, -2259,   137,   137,   137,  1238,   168, -2259,   137,
     137,   137,   137,   137,   137,   137,   137,   137,   137,   137,
     137,   137,   137,  1236,    30,    30,    30,    30, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259,    30,    30,    30,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1237,  1218,  1229,  1103, -2259, -2259, -2259,
   -2259, -2259,    85,  1660,  1662,  1675,  1676,  1677,  1508,  1679,
    1680,  1510,   344,  1682,  1683,  1684,  1685,  1686,  1687,  1688,
    1689,  1690,    11,  1505,  1692,  -159,  -157,  1693,  1509,  1499,
     124,  1696,  1697,  1698,  1699,    39,   -16,  1514,  1515,    -5,
    1516,   268,  1517,   180,   192,  1704,   455,    70,  1705,  1706,
    1707,  -127,   -85,   101,  1708,  1314,  1411,  1711,  -117,  1390,
     559,  1713,  -119,  1293,  1341,  1301,   467,   147,  1717,  1718,
    1719,  1345,  1721,  1722,   352,  1627,  1629,   352, -2259, -2259,
   -2259,   361, -2259, -2259, -2259, -2259, -2259, -2259, -2259,  1286,
   -2259,  1724,  1726,  1728,  1729,   430,  1292, -2259, -2259, -2259,
   -2259, -2259,  1731, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
     283,   283, -2259, -2259, -2259,  1295,  1296,  1297,   137, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   112,   112,
     112,   112,   112,   112,   112,   112,   112,   112,   112,   112,
     112,   112, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259,  1300,  1302, -2259,    47,    47,  1298,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,  1738,
     430, -2259, -2259, -2259, -2259,  1312,  1739, -2259, -2259,  1315,
    1740,  1316,  1317,  1318,  1319,  1320,  1321,  1322,  1323,  1324,
    1325,  1327,  1328,  1751, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259,  1329,  1330,  1752,  1331,  1764, -2259,  1332,
    1333,  1772,  1335,  1336,  1775, -2259,  1338,  1777,  1340,  1779,
    1342,  1343,  1344,  1783, -2259, -2259, -2259, -2259,  1346,  1347,
    1348,  1349,  1350,  1351,  1790,  1353,  1354,  1355,  1356,  1795,
    1361,  1798,  1368,  1805,  1369,  1370,  1371,  1810,  1379,  1818,
    1382,  1383,  1385,  1386,  1825,  1388,  1827,  1391,  1394,  1828,
    1396,  1397,  1401,  1404,  1406,  1407,  1416,  1417,  1418,  1831,
   -2259,  1419,  1420,  1424,  1425,  1836,  1431,  1432,  1433,  1434,
    1435,  1436,  1438,  1439,  1440,  1441,  1442,  1446,  1451,  1452,
    1453,  1458,  1459,  1460,  1838, -2259, -2259, -2259,  1461,  1462,
    1467,  1468,  1472,  1473,  1474,  1849,  1477,  1478,  1480,  1907,
    1481,  1482,  1908, -2259,  1487,  1921,  1488,  1923, -2259,  1489,
    1490,  1930,  1495,  1931,  1497,  1500,  1501,  1502,  1503,  1504,
    1507,  1511,  1512,  1513,  1522,  1523,  1524,  1932, -2259,  1525,
    1526,  1935,  1527,  1936,  1528,  1946,  1529,  1947,  1530,  1531,
    1532,  1533,  1950,  1518,  1535,  1536,  1537,  1538,  1539,  1540,
    1542,  1543,  1544,  1545,  1546,  1548,  1549,  1952, -2259, -2259,
   -2259,  1550,  1953, -2259, -2259, -2259,  1622,  1631, -2259,   352,
   -2259,   361, -2259, -2259, -2259, -2259, -2259,  1978,  1632, -2259,
      20,    20,    20,    20, -2259, -2259, -2259, -2259, -2259, -2259,
     728, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259,   135,  1633,  1637, -2259, -2259,
    1638,   354,   354,   152,  1639,   354,   354,   354,   354,   354,
   -2259, -2259,  1640, -2259,   160, -2259,   354,   354,   354,   354,
     354,   354,    93,     8,   354,  -135,    45,   354, -2259,  1642,
     395, -2259,    66, -2259,  1644,   354, -2259,  1645,   354, -2259,
      10, -2259,   354, -2259,    77,   354,   354, -2259,   354,   236,
    1646,   354,   354,   354, -2259,   354,   354,   354,   354, -2259,
     145, -2259,   385, -2259,   354,   354,   354, -2259,  -332, -2259,
     354,   354,   354,   354, -2259,  1647, -2259,   166,   310, -2259,
     354,   479,  1648,  1649,   357,    81,   354,   354,   354, -2259,
     354,   354,   354,   354, -2259,   319,  1650,   354,   354,   354,
     354,  1651,  1653,  1654,  1655,   447,   354,   354,   354,   354,
    1656,  1657,  1658, -2259,   354,  1659,  1661,  1663,   354,   354,
    1664, -2259,   354,  1665,   -11, -2259,  1666,   354, -2259,   354,
   -2259,  1667, -2259,  1668,   354, -2259,   528, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259,   354,   354,  1669,
     354, -2259,   356,  1670, -2259,   323, -2259,  1672, -2259,   354,
   -2259,   354,   354,   354,   354, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  1673, -2259,  1674,  1678, -2259, -2259,  1035,     7,     7,
       7,     7, -2259,  1681,  1225, -2259, -2259, -2259, -2259,    27,
      27,    27, -2259, -2259, -2259, -2259,  1694,  1695,  1700,  1701,
    1702,  1703,  1709,  1710,  1712,  1714,  1715,  1716,  1720,  1723,
    1725,  1727,  1730,  1732,  1733,  1734,  1735,  1736,  1737,  1741,
    1742,  1743,  1744,  1745,  1746,  1747,  1748,  1749,  1750,  1753,
    1754,  1755,  1756,  1757,  1758,  1759,  1760,  1761,  1762,  1763,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1773,  1774,  1776,
    1778,  1780,  1781,  1782,  1784,  1785,  1786,  1787,  1788,  1789,
    1791,  1792,  1793,  1794,  1796,  1797,  1799,  1800,  1801,  1802,
    1803,  1804,  1806,  1807,  1808,  1809,  1811,  1812,  1813,  1814,
    1815,  1816,  1817,  1819,  1820,  1821,  1822,  1823,  1824,  1826,
    1829,  1830,  1832,  1833,  1834,  1835,  1837,  1839,  1840,  1841,
    1842,  1843,  1844,  1845,  1846,  1847,  1848,  1850,  1851,  1852,
    1853,  1854,  1855,  1856,  1859,  1860,  1861,  1862,  1863,  1864,
    1865,  1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,
    1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  1906,  1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,
    1917,  1918,  1919,   559,   559,   559,   559,   559,   559,   559,
     559,   559,  1920,  1922,  1924,  1925,  1926,  1927,  1928,  1929,
    1933,  1934,  1937,  1938,  1939,  1940,  1941,  1942,  1943,   147,
     147,   147,   147,   147,   147,   147,   147,   147,   147,   147,
     147,   147,   147,  1944,  1945,  1948, -2259, -2259, -2259, -2259,
   -2259,     7,  1949, -2259, -2259, -2259, -2259,   135,   135, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
    1985, -2259, -2259,    85,    85,    85,    85,    85,    85,    85,
      85,    85,    85,    85,    85,    85,    85,  1508,  1510,  1510,
    1510,   344,   344,   344,   344,   344,   344,   344,   344,   344,
     344,   344,   344,   344,   344,   344,   344,   344,   344,   344,
     344,    11,    11,    11,    11,    11,  1505,  1505,  1505,  1505,
    -159,  -159,  -157,  -157,  1509,  1509,  1499,   124,   124,   124,
     124,   124,   124,    39,    39,    39,    39,    39,    39,    39,
      39,    39,    39,   -16,   -16,   -16,   -16,  1514,  1514,  1514,
    1514,  1515,  1515,    -5,    -5,    -5,  1516,  1516,  1516,   268,
     268,   268,   268,  1517,   180,   180,   180,   180,   180,   180,
     180,   180,   180,   180,   180,   180,   180,   180,   192,   192,
     192,   192,   192,   192,   192,   192,   192,   192,   192,   192,
     192,   192,   192,   455,   455,   455,   455,    70,    70,    70,
      70,    70,    70,    70,    70,    70,    70,    70,    70,    70,
      70,    70,    70,    70,    70,    70,    70,    70,    70,    70,
      70,    70,    70,    70,    70,    70,  -127,  -127,  -127,  -127,
    -127,  -127,  -127,   -85,   -85,   -85,   -85,   101,   101,  1314,
    1411,  -117,  -117,  1390,  1390,  1390,  1390,  1390,  1390,  1390,
     559,   559,   559,   559,  -119,  -119,  -119,  -119,  1293,  1293,
    1293,  1341,  1301,   467,   467,   467,   467,  1345,  1186,  1186,
     430, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,  1987,  1989,
    1951,  1990, -2259,  1671, -2259,   116,  1691,     7, -2259,  1954,
   -2259, -2259,  1186, -2259,  1991, -2259,   116, -2259
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    75,     6,   279,    19,
      10,    13,    16,   472,   519,   485,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   240,
       0,     0,     0,     0,     0,   446,   283,   334,   433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,  1210,     0,    59,   110,     0,     0,     0,     0,     0,
       0,   177,    61,   199,     0,   504,     0,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     7,     0,     0,     0,     0,    32,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    32,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,    32,     0,     0,     0,
      32,     0,     0,     0,   105,   106,   108,     0,     0,     0,
       0,     0,     0,     0,   520,   521,     0,     0,     0,     0,
       0,     0,     0,     0,   102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     255,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     9,   443,    20,   280,    11,   326,   329,     0,    14,
     430,    17,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,     0,     0,     0,    24,     0,     0,     0,
       0,     0,     0,    23,    33,    27,     0,    25,  1207,    30,
      39,     0,     0,     0,     0,    75,    41,    43,    45,    48,
      50,    52,    56,     0,     0,     0,     0,     0,     0,    75,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   190,
     193,   196,    75,    64,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    75,    66,    70,    72,    68,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   244,     0,     0,
      32,   261,   263,   267,   265,   269,   273,   271,   277,   275,
     459,    32,   295,    32,   398,   337,     0,    32,   442,    32,
     460,   462,   464,   466,   468,   470,   507,   505,   509,   511,
     513,   515,   517,   473,   475,   477,   479,   481,   483,    35,
      32,    36,  1248,    32,    75,     0,    75,   125,   125,    47,
      75,    75,    75,    75,    75,    75,    75,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    58,    76,
      78,    80,    82,    84,    86,    88,    90,    92,     0,     0,
       0,     0,    75,     0,     0,     0,     0,     0,     0,   325,
     325,   325,    63,    75,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    74,    75,    75,    75,    75,    75,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,     0,     0,     0,     0,     0,     0,   252,
     240,     8,   279,   279,   279,   279,   279,   279,   279,   279,
     279,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,     0,    12,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   332,    15,     0,     0,     0,     0,
      18,   472,   472,   472,   472,   472,   472,   519,   519,   519,
     519,   519,   519,   519,   485,   485,   485,   485,   485,   485,
      34,    28,    38,     0,     0,     0,     0,     0,     0,    31,
      40,     0,    60,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,    44,    46,    49,    51,    53,    57,   155,
     157,   159,   161,   167,   169,   171,   165,   175,   163,   173,
     102,   102,   102,   102,   102,   102,   102,   102,   102,     0,
       0,     0,     0,    62,   178,   180,   182,   184,   186,   188,
       0,     0,     0,     0,    65,   486,   488,   494,   496,   498,
     500,   490,   492,   502,    67,    71,    73,    69,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   240,     0,     0,     0,     0,   241,   237,   260,
     239,   262,   264,   268,   266,   270,   274,   272,   278,   276,
       0,     0,   453,   456,     0,   444,     0,     0,   292,     0,
       0,   281,     0,     0,     0,     0,     0,   350,   425,     0,
       0,     0,     0,     0,   341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   327,   335,
     330,   334,     0,   436,   439,   431,   461,   463,   465,   467,
     469,   471,   508,   506,   510,   512,   514,   516,   518,   474,
     476,   478,   480,   482,   484,    37,     0,     0,  1245,     0,
       0,  1208,     0,     0,     0,     0,     0,   119,     0,     0,
     110,   110,   177,   177,   177,   177,   177,   177,   177,   177,
     177,   177,   177,    77,    79,    81,    83,    85,    87,    89,
      91,    93,    94,    96,    98,   100,   199,   199,   199,   199,
     199,   199,     0,   191,   194,   197,   504,   504,   504,   504,
     504,   504,   504,   504,   504,   200,   202,   204,   214,   216,
     208,   206,   212,   210,   220,   218,   224,   222,   229,   226,
     230,   232,   234,   251,   240,     0,     0,     0,     0,     0,
     428,   308,     0,   446,     0,     0,   308,     0,     0,   283,
     402,   403,   404,   405,   406,     0,     0,     0,     0,     0,
     401,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   334,   337,   334,   333,     0,   428,   308,   433,     0,
       0,     0,  1255,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1210,     0,     0,
       0,     0,     0,   154,     0,     0,   107,   109,   156,   158,
     160,   162,   168,   170,   172,   166,   176,   164,   174,   102,
     102,   102,   102,   179,   181,   183,   185,   187,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   199,   199,   199,
     487,   489,   495,   497,   499,   501,   491,   493,   503,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,     0,     0,     0,     0,
     238,     0,     0,   253,   447,   449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   585,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   583,   572,   573,   574,   575,   576,   577,   578,   579,
     586,   580,   581,   582,   584,   587,   588,   589,   590,   591,
     592,     0,     0,     0,     0,   445,   284,   286,     0,   290,
       0,   282,   342,   344,   348,   352,   346,     0,     0,   407,
     410,   413,   416,     0,   422,   398,   354,   356,   358,   361,
     363,   338,   398,   380,   376,   378,   382,     0,     0,     0,
       0,   374,   386,   384,   388,   390,   392,   394,   396,   328,
     336,   331,   434,     0,     0,   432,  1211,  1241,  1243,     0,
       0,     0,  1213,  1215,  1223,  1231,  1225,  1219,  1217,  1221,
    1227,  1229,  1239,  1233,  1235,  1237,  1209,     0,   111,   113,
     115,   117,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   121,   123,    95,
      97,    99,   101,   309,   311,   313,   315,   317,   319,   321,
     323,   192,   195,   198,   201,   203,   205,   215,   217,   209,
     207,   213,   211,   221,   219,   225,   223,   227,   231,   233,
     235,     0,     0,     0,   242,     0,     0,   255,   459,   459,
     593,   429,   624,   626,   628,   630,   632,   637,   639,   641,
     650,   693,   695,   697,   699,   701,   703,   705,   707,   709,
     711,   724,   735,   737,   744,   751,   753,   760,   765,   780,
     782,   784,   786,   788,   811,   822,   833,   840,   849,   858,
     880,   885,   916,   949,   951,   962,  1023,  1025,  1027,  1029,
    1046,  1062,  1069,  1071,  1076,  1081,  1083,  1090,  1107,  1167,
    1169,  1180,  1057,  1189,   869,  1136,  1194,  1196,  1198,  1200,
    1205,  1256,   454,   426,   296,   301,   457,     0,   295,   295,
     293,   295,     0,   398,   398,   398,   398,   398,     0,   398,
     428,   428,   428,   428,   419,     0,   360,   398,   398,   398,
     398,   398,   398,   365,   398,   398,   398,   398,     0,     0,
       0,     0,   398,   398,   398,   398,   398,   398,   398,   398,
     442,   437,   440,  1248,  1248,  1248,     0,     0,  1246,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,     0,   125,   125,   125,   125,   126,   128,
     130,   132,   134,   136,   138,   140,   142,   144,   146,   148,
     150,   152,   125,   125,   125,   325,   325,   325,   325,   325,
     325,   325,   325,     0,     0,     0,   244,   258,   256,   254,
     448,   450,   623,     0,     0,     0,     0,     0,   636,     0,
       0,   649,   692,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   723,   734,     0,   743,   750,     0,   759,   764,
     779,     0,     0,     0,     0,   810,   821,   832,   839,   848,
     857,   868,   884,   915,   948,     0,   961,  1022,     0,     0,
       0,  1045,  1056,  1068,     0,  1075,  1080,     0,  1089,  1106,
    1135,     0,  1179,  1188,  1061,  1193,   879,  1166,     0,     0,
       0,  1204,     0,     0,   459,     0,     0,   459,   451,   285,
     287,   295,   291,   288,   343,   345,   349,   353,   347,     0,
     351,     0,     0,     0,     0,   428,     0,   355,   357,   359,
     362,   364,     0,   381,   377,   379,   383,   366,   368,   370,
     372,   375,   387,   385,   389,   391,   393,   395,   397,   435,
     442,   442,  1212,  1242,  1244,     0,     0,     0,  1248,  1214,
    1216,  1224,  1232,  1226,  1220,  1218,  1222,  1228,  1230,  1240,
    1234,  1236,  1238,   103,   112,   114,   116,   118,   154,   154,
     154,   154,   154,   154,   154,   154,   154,   154,   154,   154,
     154,   154,   120,   122,   124,   310,   312,   314,   316,   318,
     320,   322,   324,   249,     0,     0,   243,   260,   260,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   625,   627,   629,   631,     0,     0,   638,   640,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   694,   696,   698,   700,   702,   704,
     706,   708,   710,     0,     0,     0,     0,     0,   736,     0,
       0,     0,     0,     0,     0,   752,     0,     0,     0,     0,
       0,     0,     0,     0,   781,   783,   785,   787,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     950,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,  1026,  1028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,  1082,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1195,  1197,
    1199,     0,     0,  1206,  1257,   455,     0,     0,   458,   459,
     294,   295,   399,   408,   411,   414,   417,     0,     0,   339,
     398,   398,   398,   398,   438,   441,  1249,  1251,  1253,  1247,
     105,   127,   129,   131,   133,   135,   137,   139,   141,   143,
     145,   147,   149,   151,   153,   251,     0,     0,   259,   257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     594,   427,     0,   633,     0,   642,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,   712,     0,   725,     0,     0,   738,     0,     0,   745,
       0,   754,     0,   761,     0,     0,     0,   766,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,     0,   812,
       0,   823,     0,   834,     0,     0,     0,   841,     0,   850,
       0,     0,     0,     0,   859,     0,   881,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   917,
       0,     0,     0,     0,   952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   963,     0,     0,     0,     0,     0,     0,
       0,  1030,     0,     0,     0,  1047,     0,     0,  1063,     0,
    1072,     0,  1077,     0,     0,  1084,     0,  1091,  1109,  1111,
    1113,  1115,  1117,  1119,  1121,  1123,  1125,     0,     0,     0,
       0,  1108,     0,     0,  1170,     0,  1181,     0,  1058,     0,
    1190,     0,     0,     0,     0,   870,  1138,  1140,  1142,  1144,
    1146,  1148,  1150,  1152,  1154,  1156,  1158,  1160,  1162,  1164,
    1137,     0,  1201,     0,     0,   452,   289,   401,   425,   425,
     425,   425,   420,     0,   341,   367,   369,   371,   373,  1255,
    1255,  1255,   104,   250,   245,   247,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
    1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,  1166,  1166,     0,     0,     0,   400,   409,   412,   415,
     418,   425,     0,   340,  1250,  1252,  1254,   251,   251,   595,
     597,   599,   601,   609,   603,   605,   607,   611,   613,   615,
     617,   619,   621,   634,   643,   645,   647,   652,   654,   656,
     658,   660,   662,   668,   664,   666,   670,   672,   674,   680,
     676,   678,   684,   686,   688,   682,   690,   713,   715,   717,
     719,   721,   726,   728,   730,   732,   739,   741,   746,   748,
     755,   757,   762,   767,   769,   771,   773,   775,   777,   802,
     790,   798,   792,   794,   796,   800,   806,   804,   808,   813,
     815,   817,   819,   824,   826,   828,   830,   835,   837,   842,
     846,   844,   851,   853,   855,   864,   866,   860,   862,   882,
     887,   889,   897,   905,   899,   893,   891,   895,   901,   903,
     913,   907,   909,   911,   918,   920,   922,   924,   926,   928,
     930,   932,   934,   936,   940,   938,   942,   944,   946,   957,
     959,   953,   955,   964,   966,   968,   970,   972,   974,   976,
     978,   980,   982,   994,   984,   986,   988,   990,   992,   996,
     998,  1000,  1002,  1004,  1006,  1008,  1010,  1012,  1014,  1016,
    1018,  1020,  1031,  1033,  1035,  1037,  1039,  1041,  1043,  1048,
    1050,  1052,  1054,  1064,  1066,  1073,  1078,  1087,  1085,  1092,
    1094,  1096,  1098,  1100,  1102,  1104,  1110,  1112,  1114,  1116,
    1118,  1120,  1122,  1124,  1126,  1127,  1129,  1131,  1133,  1171,
    1173,  1175,  1177,  1182,  1184,  1186,  1059,  1191,   875,   877,
     871,   873,  1139,  1141,  1143,  1145,  1147,  1149,  1151,  1153,
    1155,  1157,  1159,  1161,  1163,  1165,  1202,   297,   302,   421,
       0,   246,   248,   623,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   636,   649,   649,
     649,   692,   692,   692,   692,   692,   692,   692,   692,   692,
     692,   692,   692,   692,   692,   692,   692,   692,   692,   692,
     692,   723,   723,   723,   723,   723,   734,   734,   734,   734,
     743,   743,   750,   750,   759,   759,   764,   779,   779,   779,
     779,   779,   779,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   821,   821,   821,   821,   832,   832,   832,
     832,   839,   839,   848,   848,   848,   857,   857,   857,   868,
     868,   868,   868,   884,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   948,   948,
     948,   948,   948,   948,   948,   948,   948,   948,   948,   948,
     948,   948,   948,   961,   961,   961,   961,  1022,  1022,  1022,
    1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,
    1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,
    1022,  1022,  1022,  1022,  1022,  1022,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1056,  1056,  1056,  1056,  1068,  1068,  1075,
    1080,  1089,  1089,  1106,  1106,  1106,  1106,  1106,  1106,  1106,
    1135,  1135,  1135,  1135,  1179,  1179,  1179,  1179,  1188,  1188,
    1188,  1061,  1193,   879,   879,   879,   879,  1204,   325,   325,
     428,   596,   598,   600,   602,   610,   604,   606,   608,   612,
     614,   616,   618,   620,   622,   635,   644,   646,   648,   653,
     655,   657,   659,   661,   663,   669,   665,   667,   671,   673,
     675,   681,   677,   679,   685,   687,   689,   683,   691,   714,
     716,   718,   720,   722,   727,   729,   731,   733,   740,   742,
     747,   749,   756,   758,   763,   768,   770,   772,   774,   776,
     778,   803,   791,   799,   793,   795,   797,   801,   807,   805,
     809,   814,   816,   818,   820,   825,   827,   829,   831,   836,
     838,   843,   847,   845,   852,   854,   856,   865,   867,   861,
     863,   883,   888,   890,   898,   906,   900,   894,   892,   896,
     902,   904,   914,   908,   910,   912,   919,   921,   923,   925,
     927,   929,   931,   933,   935,   937,   941,   939,   943,   945,
     947,   958,   960,   954,   956,   965,   967,   969,   971,   973,
     975,   977,   979,   981,   983,   995,   985,   987,   989,   991,
     993,   997,   999,  1001,  1003,  1005,  1007,  1009,  1011,  1013,
    1015,  1017,  1019,  1021,  1032,  1034,  1036,  1038,  1040,  1042,
    1044,  1049,  1051,  1053,  1055,  1065,  1067,  1074,  1079,  1088,
    1086,  1093,  1095,  1097,  1099,  1101,  1103,  1105,  1128,  1130,
    1132,  1134,  1172,  1174,  1176,  1178,  1183,  1185,  1187,  1060,
    1192,   876,   878,   872,   874,  1203,   298,   303,     0,     0,
       0,     0,   299,     0,   423,   308,     0,   425,   300,     0,
     424,   304,   325,   305,     0,   306,   308,   307
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2259, -2259, -2259, -2259,   266, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,  1652,
   -2259,  1426, -2259,   416, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
    -479, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259,   117, -2259,  -326, -2259, -2259,  -410,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259,  -639, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259,   277, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259,  -169, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259,  -481, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   540, -2259,
   -2259, -1873, -2259, -2259, -2259,   726, -2259, -2259, -1164, -2259,
   -2259,   367, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  1149, -2259, -2259, -1341, -2259, -2259, -2259, -2259, -2259,
   -2259,  -844, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259,  -460, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  -627, -2259, -2259, -2259, -2259, -2259,  1112, -2259,   -95,
   -2259, -2259, -1151, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
     -87, -2259, -2259, -2078, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259,  -892, -2259,  1114, -2259,
   -2259, -1357, -2259, -2259, -2259, -2259, -2259,  1162, -2259, -2259,
   -1263, -2259, -2259, -2259, -2259, -2259, -2259, -2259,   512, -2259,
   -2259, -2259, -2259, -2259, -2259,   505, -2259, -2259, -2259, -2259,
   -2259, -2259,    74, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259,   377, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
    -101, -2259, -2259, -2259, -1570, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,  -576,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -1807, -2259, -2259,
   -2259, -2259, -2259, -1657, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -1801, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -1899, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2134, -2259, -2259, -2259, -2259, -2126, -2259, -2259, -2259,
   -2259, -2259, -2259, -2106, -2259, -2259, -2259, -2259,  -614, -2259,
   -2259, -2259, -1532, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -1804,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -1770, -2259, -2259, -2259, -2259, -2259, -2259, -1877,
   -2259, -2259, -2259, -2259, -2259, -2259, -2035, -2259, -2259, -2259,
   -2259, -1810, -2259, -2259, -2259, -2259, -2259, -1535, -2259, -2259,
   -2259, -2259, -2259, -1558, -2259, -2259, -2259, -2259, -2259, -2259,
   -1658, -2259, -2259, -2259, -2259, -2259, -2259,  -647, -2259, -2259,
   -2259, -1636, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -1714, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -1584, -2259,
   -2259, -2259, -2259, -2259, -2259, -1792, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -1709, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -1620, -2259, -2259, -2259, -2259, -2259, -2259,
    -744, -2259, -2259, -2259, -2093, -2259, -2259, -2259, -2259, -2259,
   -2259,  -720, -2259, -2259, -2259,  -717, -2259, -2259, -2259, -2259,
   -2259, -2086, -2259, -2259, -2259, -2259, -1673, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2258, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -1274, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -1637, -2259, -2259, -2259, -2259, -2259, -2259, -1903, -2259,
   -2259, -2259, -2259, -2259,  -742, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259,  -743, -2259, -2259, -2259,  1113, -2259,
   -2259,  -635, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259, -2259,
   -2259,  -985, -2259, -2259, -2259, -2259, -2259
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,     2,    11,    25,    59,   241,    66,   383,    67,
     387,    68,   389,    65,   381,    88,   410,    91,   413,   168,
     409,    90,   582,    58,   414,   420,   421,   422,   423,   424,
     425,   478,   426,   174,   194,   463,   474,   477,   475,   476,
     323,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     939,   940,   941,   942,   292,  1880,   177,   293,   294,   600,
    1424,  1425,  1426,  1427,   923,  1443,  1444,  1236,  1608,  1609,
    1610,  1611,  1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,
    1620,  1621,   193,   772,   773,   774,   775,   781,   779,   776,
     777,   778,   782,   780,   203,   796,   797,   798,   799,   800,
     801,   459,   957,   460,   958,   461,   959,   132,   969,   970,
     971,   975,   974,   977,   976,   972,   973,   979,   978,   981,
     980,   982,   672,   983,   984,   985,   367,   834,   498,   833,
    1456,   989,  2337,  2338,  1895,   369,   679,  1277,   837,  1638,
    1637,    64,   502,   503,   505,   504,   506,   508,   507,   510,
     509,   141,   382,   849,   523,  1358,  1359,  1861,  1361,   846,
    1541,  1143,  1535,  2758,  2959,  2965,  1536,  2759,  2960,  2972,
    2974,  2976,   641,  1445,  1446,  1447,  1448,  1449,  1450,  1451,
    1452,   145,   384,   891,   385,   893,   731,   553,   892,   874,
    1382,  2094,   551,  1363,  1364,  1367,  1365,   860,  1366,  1377,
    1378,  1379,  1380,  1381,  1870,  1871,  1872,  1873,  1392,  1385,
    1386,  1384,  1387,  1394,  1393,  1395,  1396,  1397,  1398,  1399,
    1158,  2087,   855,   867,  1370,  2088,  1371,  2089,  1372,  2090,
    1373,  2091,  1555,  2331,  1375,  2967,  1068,  1463,   147,   388,
     898,   559,  1400,   896,  1580,   897,  1581,   139,   380,   843,
     516,  1278,  1279,  1859,   840,  1534,   841,  1537,    75,   561,
     562,   563,   564,   565,   566,    87,   574,   575,   576,   577,
     578,   579,   214,   806,   807,   812,   813,   808,   809,   810,
     811,   814,    80,   568,   567,   569,   570,   571,   572,   573,
     186,  1069,  1070,  1462,  1649,  2563,  2564,  2565,  2566,  2568,
    2569,  2570,  2567,  2571,  2572,  2573,  2574,  2575,  2576,  1071,
    1464,  1072,  1465,  1073,  1466,  1074,  1467,  1075,  1468,  1656,
    2577,  1076,  1469,  1077,  1470,  1078,  1471,  1660,  2578,  2579,
    2580,  1079,  1472,  1673,  2581,  2582,  2583,  2584,  2585,  2586,
    2588,  2589,  2587,  2590,  2591,  2592,  2594,  2595,  2593,  2599,
    2596,  2597,  2598,  2600,  1080,  1473,  1081,  1474,  1082,  1475,
    1083,  1476,  1084,  1477,  1085,  1478,  1086,  1479,  1087,  1480,
    1088,  1481,  1089,  1482,  1685,  2601,  2602,  2603,  2604,  2605,
    1090,  1483,  1687,  2606,  2607,  2608,  2609,  1091,  1484,  1092,
    1485,  1691,  2610,  2611,  1093,  1486,  1694,  2612,  2613,  1094,
    1487,  1095,  1488,  1697,  2614,  2615,  1096,  1489,  1699,  2616,
    1097,  1490,  1703,  2617,  2618,  2619,  2620,  2621,  2622,  1098,
    1491,  1099,  1492,  1100,  1493,  1101,  1494,  1102,  1495,  1714,
    2624,  2626,  2627,  2628,  2625,  2629,  2623,  2631,  2630,  2632,
    1103,  1496,  1719,  2633,  2634,  2635,  2636,  1104,  1497,  1721,
    2637,  2638,  2639,  2640,  1105,  1498,  1723,  2641,  2642,  1106,
    1499,  1727,  2643,  2645,  2644,  1107,  1500,  1729,  2646,  2647,
    2648,  1108,  1501,  1734,  2651,  2652,  2649,  2650,  1109,  1526,
    1832,  2755,  2756,  2753,  2754,  1110,  1502,  1736,  2653,  1111,
    1503,  1739,  2654,  2655,  2660,  2659,  2661,  2656,  2658,  2662,
    2663,  2657,  2665,  2666,  2667,  2664,  1112,  1504,  1749,  2668,
    2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2679,
    2678,  2680,  2681,  2682,  1113,  1505,  1114,  1506,  1755,  2685,
    2686,  2683,  2684,  1115,  1507,  1774,  2687,  2688,  2689,  2690,
    2691,  2692,  2693,  2694,  2695,  2696,  2698,  2699,  2700,  2701,
    2702,  2697,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,
    2711,  2712,  2713,  2714,  2715,  1116,  1508,  1117,  1509,  1118,
    1510,  1119,  1511,  1785,  2716,  2717,  2718,  2719,  2720,  2721,
    2722,  1120,  1512,  1789,  2723,  2724,  2725,  2726,  1121,  1524,
    1825,  2751,  1122,  1513,  1792,  2727,  2728,  1123,  1514,  1124,
    1515,  1795,  2729,  1125,  1516,  1797,  2730,  1126,  1517,  1127,
    1518,  1801,  2732,  2731,  1128,  1519,  1803,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  1129,  1520,  1817,  2283,  2284,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2740,  2741,  2742,  2743,
    1130,  1527,  1847,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  1131,  1521,  1132,
    1522,  1821,  2744,  2745,  2746,  2747,  1133,  1523,  1823,  2748,
    2749,  2750,  1134,  1525,  1827,  2752,  1135,  1528,  1136,  1529,
    1137,  1530,  1138,  1531,  1852,  2757,  1139,  1532,   172,   412,
     917,   588,  1403,  1409,  1410,  1415,  1414,  1416,  1411,  1413,
    1417,  1418,  1412,  1420,  1421,  1422,  1419,  1404,  1405,   902,
    1588,  1201,  2099,  2100,  2101,  1140,  1533
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     642,   643,  1148,   204,  1193,   215,   216,   217,   601,   219,
    2327,  2328,  2329,  2330,  1376,  1460,  1461,  1539,  1540,   680,
    1542,  1383,  2103,    12,    13,  2516,  2517,  2518,  2519,  2520,
    2521,  2522,  2523,  2524,    60,    61,    39,    40,  1689,    41,
    1692,   456,   525,  1579,  1708,   593,   594,   595,   596,   597,
    2136,  2137,   142,  1194,   247,   248,  1778,   275,    42,    43,
      44,    45,    46,    47,    48,   244,   245,   835,   286,   143,
     900,  1819,  2189,  2190,  2191,    14,  2133,    15,  2157,  2149,
    2150,   526,    16,  1683,    17,   861,   862,   863,   864,   865,
    2160,  2161,  1756,   527,   528,   529,   530,   531,  1786,     3,
    1799,     4,  1199,    18,   894,    19,     5,   903,   904,   905,
     906,   907,    20,   908,   909,   910,   431,   432,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,  1222,  1223,  1224,  1225,  1226,  1227,  1228,  1229,
    1230,   783,   784,   785,   786,   787,   788,   789,   790,   791,
    1779,  1780,  1781,  1782,  1783,   986,     6,   386,  2180,  2181,
     875,  2130,   427,   428,   429,     7,   901,  1833,  1834,  1835,
    1836,  1837,  1838,  1839,  1840,  1841,  1724,  1353,  1725,     8,
    2268,   532,   533,   534,  1141,  2109,  2197,  2198,  2199,  2200,
    2201,   828,  2202,  2203,  2204,  1800,  2134,  1726,  1787,  1788,
    1860,  1684,   583,   987,   434,   435,  1709,   836,  2158,  1710,
     249,  1711,  1544,  1545,  1546,  1547,  1548,  1200,  1550,  1142,
    2110,   246,  1712,  1874,  1875,     9,  1557,  1558,  1559,  1560,
    1561,  1562,  1715,  1563,  1564,  1565,  1566,   433,   469,  1784,
    2121,  1571,  1572,  1573,  1574,  1575,  1576,  1577,  1578,  1639,
    1640,  1641,  1642,  2559,  1820,  1643,  2269,  1644,  1645,    10,
     144,  2151,  2152,    26,  1189,   457,  1191,   250,  2138,  2167,
    1716,  1855,  2162,  2163,  1858,  1690,   598,  1693,  2131,  2132,
     535,   536,   537,   430,    49,   538,    92,  1757,   539,   540,
     541,   542,   543,    27,  1758,  1759,  1760,  1761,  1762,  1763,
    1764,  1765,  1766,    28,  2168,   269,  1767,  1768,  1769,  1770,
    1771,  1772,   584,  1713,  1700,   866,    50,   175,   176,  1717,
    2111,  2112,   126,  2113,  1701,  1702,   988,    29,   876,   877,
     911,   912,   181,   182,   585,   878,  2122,  2123,    51,    30,
    2182,  2183,   586,   587,   556,   557,   558,   629,   630,    31,
     632,  1718,    32,   990,    33,  1231,  1232,  1233,    34,  1646,
      95,   270,   271,   272,    21,   184,   185,   544,   545,   546,
     547,   127,   128,   129,    35,  1740,    36,   220,  1586,  1587,
      52,    37,  1741,    38,   310,  1737,  1738,   311,   130,  1742,
    1842,  1843,  1844,    89,    22,  1790,  1791,    53,  2184,  2185,
     312,  2221,  2222,   251,  2169,  2170,    23,  2171,    93,  2205,
    2206,    54,   511,   512,   513,   514,   599,    62,    63,    96,
     268,   518,   519,    94,   520,   276,   521,   548,    55,   914,
     915,   916,   283,    97,  1730,   549,   287,    76,    98,   996,
      99,    77,    78,    79,   926,   927,    56,   100,    24,  1773,
     913,  1731,   101,   550,  2139,  2140,  2141,  2142,    57,  1647,
    1239,  1240,  1241,  1242,  2561,  2562,   131,   102,  1648,   103,
    1234,  1732,  1733,  1898,  1899,  1235,  2808,  2809,  1551,  1552,
    1553,  1554,  2938,  2939,  2940,  2941,  2810,  2811,  1254,  1255,
    1256,  1257,  1258,  1259,  1260,  1261,  1262,  1263,  1264,  1265,
    1266,  1267,  1268,  1269,  1270,  1845,  1743,  1744,  2812,  2813,
    1846,  1745,   515,   997,  1746,  1747,  1748,  2208,  2209,  2210,
    2086,   522,  1661,  1662,  1663,  1664,  1665,  1666,  1667,  2207,
     104,  1668,   105,  1669,  2230,  2231,  2232,  2233,  2234,  2235,
    2236,  2237,  2238,   998,   999,  1000,  1001,  1002,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,
    1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,  1040,  2145,  2146,  2147,  2148,
     313,   314,   315,   316,   317,   318,  2085,   319,   320,   321,
     322,   106,  1804,   857,   858,  1805,  2839,  2840,   868,   869,
     870,   107,   872,   187,   188,   189,   190,   108,  1806,   109,
     884,  1751,   886,   887,   888,   889,   110,   943,   944,   945,
     946,   947,   948,  1828,  2925,  2926,   501,   111,  1752,   850,
     851,   852,   853,   854,  1041,  2929,  2930,   517,   133,   524,
    1829,   134,   135,   555,   136,   560,   137,   138,  1753,  1754,
     140,   146,   919,  1867,   921,   148,   149,   924,   925,   150,
    1830,  1831,  1042,  2218,  2219,  2220,   581,   151,   154,   589,
    2249,  2250,  2251,   205,   206,   207,   208,   209,   210,  2212,
    2213,  2214,  2215,  1043,  1044,   211,   212,   152,   153,  2239,
     195,   196,   197,   198,   155,   156,  1045,  2804,  2805,  2806,
    2807,   419,  1046,   157,   158,   199,   200,   201,   202,  2095,
    2096,  2097,  2098,  1047,   159,   438,  2296,  2297,  2298,  1048,
    1049,  1050,   191,   192,    69,    70,    71,    72,    73,    74,
    1051,  1052,   166,   160,   213,   161,  1670,   162,   462,  2300,
    2301,  2302,  1671,   163,   164,  1053,   165,   169,  1911,   473,
    2835,  2836,  2837,  2838,  1054,   167,  1055,  1672,  1582,  1583,
    1584,  2776,  2777,  2778,  1589,  1590,  1591,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,  1599,  1600,  1601,  1602,  1251,  1252,
    1253,   949,   950,   951,   952,   953,   954,   955,   956,  1056,
    2799,  2800,  2801,  2802,  2803,  1057,   170,  1058,  1807,  1808,
    1809,  1810,  1811,  1812,  1059,  1813,  1814,  1815,  1816,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,   171,
     590,  1060,   592,  2841,  2842,  2843,   602,   603,   604,   605,
     606,   607,   608,   178,  1061,  2946,  2947,  2948,  1062,   173,
    1063,  1064,  1065,   179,  1066,  2276,  2277,  2278,  2279,  2280,
    2281,  2282,  1067,  2831,  2832,  2833,  2834,   180,   633,   681,
     682,   683,   684,   685,   686,   687,   688,   689,   183,   644,
     960,   961,   962,   963,   964,   965,   966,   967,   968,  2970,
     654,   655,   656,   657,   658,  2885,  2886,  2887,  2888,  2889,
    2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,
    2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,
    2910,  2911,  2912,  2913,  2779,  2780,  2781,  2782,  2783,  2784,
    2785,  2786,  2787,  2788,  2789,  2790,  2791,  2792,  2793,  2794,
    2795,  2796,  2797,  2798,   742,   743,   744,   745,   746,   747,
     748,   218,   221,  1879,  2866,  2867,  2868,  2869,  2870,  2871,
    2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  1881,
    1882,  1883,  1884,  1885,  1886,  1887,  1888,  1889,  1890,  1891,
    1892,  1893,  1894,   222,   223,  1625,  1626,  1627,  1628,  1629,
    1630,  1631,  1632,  2761,  2762,  2763,  2764,  2765,  2766,  2767,
    2768,  2769,  2770,  2771,  2772,  2773,  2774,  2914,  2915,  2916,
    2917,  2918,  2919,  2920,  1604,  1605,  1606,  1607,  2852,  2853,
    2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,
    2864,  2865,  1622,  1623,  1624,  2542,  2543,  2544,  2545,  2546,
    2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,   928,
     929,   930,   931,   932,   933,   934,   935,   936,   937,   938,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,    81,    82,    83,
      84,    85,    86,   736,   737,   738,   739,   740,   741,   749,
     750,   751,   752,   753,   754,  2815,  2816,  2817,  2818,  2819,
    2820,  2847,  2848,  2849,  2850,  2951,  2952,  2953,  2954,  2881,
    2882,  2883,  2884,  2921,  2922,  2923,  2924,  2942,  2943,  2944,
    2945,  2844,  2845,  2846,  2334,  2335,  2336,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   239,   235,
     236,   237,   238,   240,   242,   243,   252,   258,   253,   254,
     262,   255,   256,   257,   263,   259,   260,   264,   261,   265,
     266,   267,   285,   273,   274,   277,   278,   279,   288,   280,
     281,   282,   289,   295,   309,   284,   290,   291,   296,   329,
     297,   298,   299,   300,   301,   302,   330,   303,   304,   305,
     331,   306,   307,   308,   324,   325,   326,   327,   328,   332,
     333,   343,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   368,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   390,   391,   392,   393,   394,
     395,   396,   397,   416,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   411,   417,   415,   418,   436,
     437,   439,   452,   497,   440,   441,   442,   443,   444,   445,
     446,   447,   499,   448,   464,   449,   450,   451,   453,   454,
     455,   458,   465,   466,   467,   468,   470,   471,   500,   472,
     640,   677,   873,   678,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   552,
     494,   495,   496,   554,   591,   609,   692,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   631,   634,   693,
     635,   636,   637,   638,   639,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   673,   674,   675,
     676,   695,   698,   707,   690,   691,   694,   696,   697,   699,
     700,   701,   702,   703,   704,   705,   706,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
     732,   733,   734,   756,   735,   757,   758,   759,   760,   761,
     762,   763,   764,   765,   766,   767,   768,   769,   770,   771,
     802,   792,   793,   794,   795,   803,   804,   805,   815,   816,
     817,   818,   819,   820,   821,   822,   823,   824,   825,   826,
     827,   829,   830,   831,   832,   838,   839,   991,   842,   844,
     845,   847,   993,   848,   856,   859,   871,   992,   879,   880,
     881,   882,   883,   885,   994,   890,   895,   899,   995,   918,
     920,   922,  1159,  1160,  1157,  1146,  1144,  1147,  1149,  1161,
    1152,  1150,  1153,  1154,  1155,  1156,  1162,  1163,  1164,  1177,
    1165,  1166,  1167,  1168,  1169,  1170,  1171,  1173,  1172,  1174,
    1175,  1176,  1274,  1275,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  1187,  1188,  1192,  1196,  1197,  1198,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1211,  1212,
    1213,  1214,  1215,  1276,  1218,  1217,  1219,  1220,  1221,  1237,
    1238,  1243,  1244,  1245,  1280,  1246,  1247,  1248,  1249,  1250,
    1281,  1271,  1272,  1273,  1282,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,  1291,  1292,  1293,  1294,  1295,  1296,  1297,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,  1311,  1312,  1313,  1314,  1315,  1316,  1317,
    1318,  1319,  1320,  1321,  1322,  1323,  1324,  1325,  1326,  1327,
    1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,  1336,  1337,
    1338,  1339,  1340,  1341,  1342,  1343,  1344,  1345,  1346,  1347,
    1348,  1349,  1350,  1351,  1368,  1352,  1354,  1355,  1357,  1356,
    1360,  1362,  1369,  1374,  1388,  1389,  1390,  1391,  1401,  1402,
    1408,  1406,  1407,  1423,  1428,  1442,  1429,  1430,  1431,  1432,
    1433,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,  1454,
    1453,  1634,  1455,  1556,  1650,  1457,  1651,  1458,  1538,  1543,
    1549,  1567,  1635,  1568,  1569,  1570,  1585,  1603,  1633,  1652,
    1653,  1654,  1655,  1657,  1658,  1659,  1674,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,  1682,  1686,  1688,  1695,  1698,  1696,
    1704,  1705,  1706,  1707,  1720,  1722,  1728,  1735,  1750,  1775,
    1776,  1777,  1793,  1796,  1794,  1798,  1802,  1818,  1822,  1824,
    1826,  1848,  1849,  1850,  1851,  1853,  1854,  1862,  1863,  1856,
    1864,  1857,  1865,  1866,  1868,  1869,  1876,  1877,  1878,  1896,
    1900,  1897,  1910,  1913,  1915,  1901,  1902,  1903,  1904,  1905,
    1906,  1907,  1908,  1909,  1912,  1928,  1931,  1914,  1916,  1917,
    1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,  1933,  1926,
    1927,  1929,  1930,  1932,  1934,  1935,  1936,  1937,  1938,  1939,
    1940,  1941,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,
    1950,  1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,
    2107,  2108,  1961,  1960,  2115,  2116,  2117,  2118,  2119,  1963,
    1962,  1964,  1965,  1966,  1967,  2124,  2125,  2126,  2127,  2128,
    2129,  1968,  1969,  2135,  1970,  1971,  2143,  1972,  1973,  1974,
    1975,  1976,  1979,  1977,  2154,  1989,  1978,  2156,  1980,  1981,
    1994,  2159,  2013,  1982,  2164,  2165,  1983,  2166,  1984,  1985,
    2173,  2174,  2175,  2021,  2176,  2177,  2178,  2179,  1986,  1987,
    1988,  1990,  1991,  2186,  2187,  2188,  1992,  1993,  2958,  2192,
    2193,  2194,  2195,  1995,  1996,  1997,  1998,  1999,  2000,  2211,
    2001,  2002,  2003,  2004,  2005,  2223,  2224,  2225,  2006,  2226,
    2227,  2228,  2229,  2007,  2008,  2009,  2241,  2242,  2243,  2244,
    2010,  2011,  2012,  2014,  2015,  2252,  2253,  2254,  2255,  2016,
    2017,  2025,  2028,  2259,  2018,  2019,  2020,  2263,  2264,  2022,
    2023,  2266,  2024,  2026,  2027,  2030,  2271,  2032,  2272,  2029,
    2031,  2033,  2034,  2275,  2035,  2037,  2051,  2036,  2038,  2054,
    2056,  2039,  2040,  2041,  2042,  2043,  2292,  2293,  2044,  2295,
    2058,  2060,  2045,  2046,  2065,  2047,  2080,  2082,  2304,  2066,
    2305,  2306,  2307,  2308,  2048,  2049,  2050,  2052,  2053,  2055,
    2057,  2059,  2061,  2062,  2063,  2064,  2067,  2068,  2069,  2070,
    2071,  2072,  2092,  2073,  2074,  2075,  2076,  2077,  2760,  2078,
    2079,  2961,  2081,  2962,  2964,  2975,  1636,  2102,  1151,  2333,
    2326,  2775,  2814,  1459,  1190,  1145,  2851,  2949,   755,  2927,
    2950,  2560,  1195,  2928,  2955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1216,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2963,     0,     0,     0,     0,     0,     0,
       0,   580,     0,     0,  2083,     0,     0,     0,     0,     0,
    2093,     0,     0,  2084,  2104,     0,  2106,  2114,  2105,  2120,
    2144,     0,  2153,  2155,  2172,  2196,  2216,  2217,  2240,     0,
    2245,  2246,  2247,  2248,  2256,  2257,  2258,  2260,     0,  2261,
       0,  2262,  2265,  2267,  2270,  2273,  2274,     0,  2294,  2299,
    2303,  2323,  2324,  2966,     0,     0,  2325,     0,     0,     0,
       0,  2968,  2332,     0,     0,     0,     0,     0,     0,  2969,
       0,     0,  2977,     0,     0,  2339,  2340,     0,     0,     0,
       0,  2341,  2342,  2343,  2344,     0,     0,     0,     0,     0,
    2345,  2346,     0,  2347,     0,  2348,  2349,  2350,     0,     0,
       0,  2351,     0,     0,  2352,     0,  2353,     0,  2354,     0,
       0,  2355,     0,  2356,  2357,  2358,  2359,  2360,  2361,     0,
       0,     0,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,     0,     0,  2372,  2373,  2374,  2375,  2376,  2377,
    2378,  2379,  2380,  2381,  2382,     0,  2383,  2384,  2385,  2386,
    2387,  2388,  2389,     0,  2390,  2391,     0,  2392,     0,  2393,
       0,  2394,  2395,  2396,     0,  2397,  2398,  2399,  2400,  2401,
    2402,     0,  2403,  2404,  2405,  2406,     0,  2407,  2408,     0,
    2409,  2410,  2411,  2412,  2413,  2414,     0,  2415,  2416,  2417,
    2418,     0,  2419,  2420,  2421,  2422,  2423,  2424,  2425,     0,
    2426,  2427,  2428,  2429,  2430,  2431,     0,  2432,     0,     0,
    2433,  2434,     0,  2435,  2436,  2437,  2438,     0,  2439,     0,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
       0,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2956,  2957,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,
    2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
    2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,     0,     0,
    2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,
    2515,  2525,     0,  2526,     0,  2527,  2528,  2529,  2530,  2531,
    2532,     0,     0,     0,  2533,  2534,     0,     0,  2535,  2536,
    2537,  2538,  2539,  2540,  2541,  2556,  2557,     0,     0,  2558,
       0,     0,     0,     0,     0,  2971,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2973
};

static const yytype_int16 yycheck[] =
{
     460,   461,   846,   104,   896,   106,   107,   108,   418,   110,
    2088,  2089,  2090,  2091,  1165,  1278,  1279,  1358,  1359,   500,
    1361,  1172,  1895,     5,     6,  2283,  2284,  2285,  2286,  2287,
    2288,  2289,  2290,  2291,    13,    14,     7,     8,   197,    10,
     197,    68,    22,  1400,     5,    15,    16,    17,    18,    19,
     185,   186,    67,   897,   185,   186,   183,   158,    29,    30,
      31,    32,    33,    34,    35,   185,   186,    20,   169,    84,
      80,   190,   404,   405,   406,    57,    68,    59,    68,    13,
      14,    61,    64,    72,    66,    78,    79,    80,    81,    82,
      13,    14,    22,    73,    74,    75,    76,    77,   183,     0,
     217,   156,    75,    85,   731,    87,   439,    20,    21,    22,
      23,    24,    94,    26,    27,    28,    36,    37,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    20,    21,    22,    23,    24,    25,    26,    27,
      28,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     277,   278,   279,   280,   281,    20,   440,   258,    13,    14,
      98,    68,    36,    37,    38,   439,   176,    20,    21,    22,
      23,    24,    25,    26,    27,    28,   181,  1069,   183,   440,
     191,   161,   162,   163,    68,    33,    20,    21,    22,    23,
      24,   672,    26,    27,    28,   312,   188,   202,   283,   284,
    1541,   190,    65,    68,   305,   306,   167,   160,   198,   170,
     341,   172,  1363,  1364,  1365,  1366,  1367,   190,  1369,   103,
      68,   341,   183,  1580,  1581,   439,  1377,  1378,  1379,  1380,
    1381,  1382,   248,  1384,  1385,  1386,  1387,   157,   339,   366,
      80,  1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,   164,
     165,   166,   167,  2331,   373,   170,   267,   172,   173,   441,
     275,   195,   196,     3,   891,   292,   893,   398,   403,    33,
     286,  1534,   195,   196,  1537,   434,   246,   434,   185,   186,
     260,   261,   262,   157,   255,   265,   442,   217,   268,   269,
     270,   271,   272,     3,   224,   225,   226,   227,   228,   229,
     230,   231,   232,     3,    68,    40,   236,   237,   238,   239,
     240,   241,   175,   274,   190,   308,   287,    13,    14,   335,
     168,   169,   247,   171,   200,   201,   191,     3,   266,   267,
     243,   244,    36,    37,   197,   273,   176,   177,   309,     3,
     195,   196,   205,   206,    61,    62,    63,   448,   449,     3,
     451,   367,     3,   834,     3,   243,   244,   245,     3,   274,
     442,    96,    97,    98,   346,    11,    12,   347,   348,   349,
     350,   296,   297,   298,     3,   183,     3,   111,   210,   211,
     351,     3,   190,     3,    43,   205,   206,    46,   313,   197,
     243,   244,   245,   387,   376,   294,   295,   368,    13,    14,
      59,   320,   321,   137,   168,   169,   388,   171,     3,   243,
     244,   382,    60,    61,    62,    63,   386,   396,   397,   442,
     154,    60,    61,     3,    63,   159,    65,   407,   399,   207,
     208,   209,   166,   442,   166,   415,   170,    95,   442,     9,
     442,    99,   100,   101,   770,   771,   417,   442,   430,   379,
     363,   183,     3,   433,   409,   410,   411,   412,   429,   374,
     939,   940,   941,   942,  2337,  2338,   391,     3,   383,     3,
     358,   203,   204,  1637,  1638,   363,  2610,  2611,  1370,  1371,
    1372,  1373,  2740,  2741,  2742,  2743,  2612,  2613,   969,   970,
     971,   972,   973,   974,   975,   976,   977,   978,   979,   980,
     981,   982,   983,   984,   985,   358,   314,   315,  2614,  2615,
     363,   319,   160,    83,   322,   323,   324,   207,   208,   209,
    1861,   160,   178,   179,   180,   181,   182,   183,   184,   363,
     442,   187,     3,   189,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   191,   192,   193,   194,
     249,   250,   251,   252,   253,   254,  1859,   256,   257,   258,
     259,   442,    43,   704,   705,    46,  2641,  2642,   709,   710,
     711,   442,   713,    39,    40,    41,    42,   442,    59,   442,
     721,   166,   723,   724,   725,   726,   442,   796,   797,   798,
     799,   800,   801,   166,  2727,  2728,   370,     4,   183,    68,
      69,    70,    71,    72,   214,  2731,  2732,   381,   442,   383,
     183,   442,   442,   387,   442,   389,     4,    58,   203,   204,
      65,    86,   763,  1555,   765,   442,   442,   768,   769,   442,
     203,   204,   242,   316,   317,   318,   410,   442,     4,   413,
     233,   234,   235,   352,   353,   354,   355,   356,   357,   210,
     211,   212,   213,   263,   264,   364,   365,   442,   442,   380,
     288,   289,   290,   291,   442,   442,   276,  2606,  2607,  2608,
    2609,   295,   282,   442,   442,   303,   304,   305,   306,  1870,
    1871,  1872,  1873,   293,     4,   309,   370,   371,   372,   299,
     300,   301,   158,   159,    88,    89,    90,    91,    92,    93,
     310,   311,     4,   442,   413,   442,   402,   442,   332,   426,
     427,   428,   408,   442,   442,   325,   442,   442,  1650,   343,
    2637,  2638,  2639,  2640,   334,   438,   336,   423,  1403,  1404,
    1405,  2578,  2579,  2580,  1409,  1410,  1411,  1412,  1413,  1414,
    1415,  1416,  1417,  1418,  1419,  1420,  1421,  1422,   957,   958,
     959,   105,   106,   107,   108,   109,   110,   111,   112,   369,
    2601,  2602,  2603,  2604,  2605,   375,     4,   377,   249,   250,
     251,   252,   253,   254,   384,   256,   257,   258,   259,  2623,
    2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,   431,
     414,   401,   416,  2643,  2644,  2645,   420,   421,   422,   423,
     424,   425,   426,   439,   414,  2748,  2749,  2750,   418,   438,
     420,   421,   422,   439,   424,   327,   328,   329,   330,   331,
     332,   333,   432,  2633,  2634,  2635,  2636,   439,   452,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   438,   463,
     806,   807,   808,   809,   810,   811,   812,   813,   814,  2967,
     474,   475,   476,   477,   478,  2687,  2688,  2689,  2690,  2691,
    2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,  2700,  2701,
    2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,  2711,
    2712,  2713,  2714,  2715,  2581,  2582,  2583,  2584,  2585,  2586,
    2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2595,  2596,
    2597,  2598,  2599,  2600,   567,   568,   569,   570,   571,   572,
     573,   416,   442,  1588,  2668,  2669,  2670,  2671,  2672,  2673,
    2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,  2682,  1608,
    1609,  1610,  1611,  1612,  1613,  1614,  1615,  1616,  1617,  1618,
    1619,  1620,  1621,   442,   442,  1445,  1446,  1447,  1448,  1449,
    1450,  1451,  1452,  2563,  2564,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  1424,  1425,  1426,  1427,  2654,  2655,
    2656,  2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,  2665,
    2666,  2667,  1442,  1443,  1444,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
    2733,  2734,  2735,  2736,  2737,  2738,  2739,    88,    89,    90,
      91,    92,    93,   561,   562,   563,   564,   565,   566,   574,
     575,   576,   577,   578,   579,  2617,  2618,  2619,  2620,  2621,
    2622,  2649,  2650,  2651,  2652,  2753,  2754,  2755,  2756,  2683,
    2684,  2685,  2686,  2723,  2724,  2725,  2726,  2744,  2745,  2746,
    2747,  2646,  2647,  2648,  2099,  2100,  2101,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,     3,   442,
     442,   442,   442,     3,   438,   438,     3,   442,     4,     3,
     438,     4,     3,     3,   438,     4,     3,   438,     4,   438,
     438,   438,     4,   439,   438,   438,   438,   438,     3,   438,
     438,   438,     4,     4,     4,   441,   441,   439,   441,     3,
     441,   441,   441,   441,   441,   441,     3,   442,   442,   442,
       3,   442,   442,   442,   442,   442,   442,   442,   442,     4,
     441,     4,   442,   442,   442,   442,   442,   442,   442,   442,
     442,   441,   441,   441,   441,   441,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   392,     4,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,     4,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,     3,   442,     3,   438,
     438,   441,     4,   160,   441,   441,   441,   441,   441,   441,
     441,   441,     3,   442,   438,   442,   442,   442,   439,   439,
     439,   439,   438,   438,   438,   438,   438,   438,     4,   439,
     104,     3,    67,     4,   443,   443,   443,   443,   443,   443,
     443,   443,   443,   443,   443,   443,   443,   441,   443,   438,
     443,   443,   443,   441,   439,   441,     3,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   439,   441,     3,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   439,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,     4,     3,     3,   442,   442,   442,   442,   442,   442,
     442,     4,   442,   442,   442,   442,   442,     3,   442,   442,
     442,   442,   442,     3,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,     4,   441,     4,
     442,     3,     3,   442,     4,   442,     3,   442,   442,     4,
     443,   442,   442,   442,   442,     3,   442,   442,     4,     4,
     442,   441,   441,   441,   441,     4,     4,     4,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   439,   438,   442,   439,   439,
     438,   438,     4,   439,   438,   438,   438,   442,   439,   439,
     439,   439,   438,   438,   441,   439,   438,   438,   441,   439,
     439,   439,     3,     3,   439,   441,   443,   441,   441,     3,
     441,   443,   441,   441,   441,   441,     3,   439,     3,   443,
       4,   441,   441,   441,   441,   441,     3,   441,     4,   441,
     441,   441,     4,   438,   443,   443,   443,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   439,   441,   443,   441,   441,   441,   441,
     441,   441,   441,   441,     3,   441,   441,   441,   441,   441,
       3,   442,   442,   442,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,   442,     4,     3,     3,   439,     4,
       4,   439,     4,     3,   439,   439,   439,   439,     4,     4,
       4,   442,   442,   439,   441,     4,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   439,
     438,   443,   439,    20,     4,   441,     4,   441,   441,   441,
     439,   441,   443,   441,   441,   441,   438,   441,   441,     4,
       4,     4,   174,     4,     4,   175,     4,     4,     4,     4,
       4,     4,     4,     4,     4,   190,     4,     4,   199,   190,
       4,     4,     4,     4,   190,   190,   190,   190,     4,     4,
       4,     4,     4,   302,   400,     4,   326,     4,   425,   378,
     419,     4,     4,     4,   379,     4,     4,   441,     4,   102,
       4,   102,     4,     4,   442,     4,   441,   441,   441,   439,
     442,   439,     4,     4,     4,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,     4,     4,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,     4,   442,
     442,   442,   442,   442,   442,   442,     4,   442,   442,     4,
     442,     4,   442,     4,   442,   442,   442,     4,   442,   442,
     442,   442,   442,   442,     4,   442,   442,   442,   442,     4,
    1901,  1902,     4,   442,  1905,  1906,  1907,  1908,  1909,     4,
     442,   442,   442,   442,     4,  1916,  1917,  1918,  1919,  1920,
    1921,   442,     4,  1924,   442,   442,  1927,   442,   442,     4,
     442,     4,     4,   442,  1935,     4,   442,  1938,   442,   442,
       4,  1942,     4,   442,  1945,  1946,   442,  1948,   442,   442,
    1951,  1952,  1953,     4,  1955,  1956,  1957,  1958,   442,   442,
     442,   442,   442,  1964,  1965,  1966,   442,   442,  2760,  1970,
    1971,  1972,  1973,   442,   442,   442,   442,   442,   442,  1980,
     442,   442,   442,   442,   442,  1986,  1987,  1988,   442,  1990,
    1991,  1992,  1993,   442,   442,   442,  1997,  1998,  1999,  2000,
     442,   442,   442,   442,   442,  2006,  2007,  2008,  2009,   442,
     442,     4,     4,  2014,   442,   442,   442,  2018,  2019,   442,
     442,  2022,   442,   442,   442,     4,  2027,     4,  2029,   442,
     442,   442,   442,  2034,     4,     4,     4,   442,   441,     4,
       4,   441,   441,   441,   441,   441,  2047,  2048,   441,  2050,
       4,     4,   441,   441,     4,   442,     4,     4,  2059,   441,
    2061,  2062,  2063,  2064,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   441,   441,   441,   441,
     441,   441,     4,   441,   441,   441,   441,   441,     3,   441,
     441,     4,   442,     4,     4,     4,  1456,  1880,   849,  2094,
    2087,  2577,  2616,  1277,   892,   843,  2653,  2751,   582,  2729,
    2752,    62,   898,  2730,  2757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   409,    -1,    -1,   442,    -1,    -1,    -1,    -1,    -1,
     438,    -1,    -1,   442,   441,    -1,   438,   438,   441,   439,
     438,    -1,   438,   438,   438,   438,   438,   438,   438,    -1,
     439,   438,   438,   438,   438,   438,   438,   438,    -1,   438,
      -1,   438,   438,   438,   438,   438,   438,    -1,   439,   439,
     438,   438,   438,   442,    -1,    -1,   438,    -1,    -1,    -1,
      -1,  2965,   441,    -1,    -1,    -1,    -1,    -1,    -1,   438,
      -1,    -1,  2976,    -1,    -1,   441,   441,    -1,    -1,    -1,
      -1,   441,   441,   441,   441,    -1,    -1,    -1,    -1,    -1,
     441,   441,    -1,   441,    -1,   441,   441,   441,    -1,    -1,
      -1,   441,    -1,    -1,   441,    -1,   441,    -1,   441,    -1,
      -1,   441,    -1,   441,   441,   441,   441,   441,   441,    -1,
      -1,    -1,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,    -1,    -1,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,    -1,   441,   441,   441,   441,
     441,   441,   441,    -1,   441,   441,    -1,   441,    -1,   441,
      -1,   441,   441,   441,    -1,   441,   441,   441,   441,   441,
     441,    -1,   441,   441,   441,   441,    -1,   441,   441,    -1,
     441,   441,   441,   441,   441,   441,    -1,   441,   441,   441,
     441,    -1,   441,   441,   441,   441,   441,   441,   441,    -1,
     441,   441,   441,   441,   441,   441,    -1,   441,    -1,    -1,
     441,   441,    -1,   441,   441,   441,   441,    -1,   441,    -1,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
      -1,   441,   441,   441,   441,   441,   441,   441,  2758,  2759,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,    -1,    -1,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,    -1,   441,    -1,   441,   441,   441,   441,   441,
     441,    -1,    -1,    -1,   441,   441,    -1,    -1,   441,   441,
     441,   441,   441,   441,   441,   441,   441,    -1,    -1,   441,
      -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2972
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   445,   446,     0,   156,   439,   440,   439,   440,   439,
     441,   447,     5,     6,    57,    59,    64,    66,    85,    87,
      94,   346,   376,   388,   430,   448,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   255,
     287,   309,   351,   368,   382,   399,   417,   429,   467,   449,
      13,    14,   396,   397,   585,   457,   451,   453,   455,    88,
      89,    90,    91,    92,    93,   702,    95,    99,   100,   101,
     726,    88,    89,    90,    91,    92,    93,   709,   459,   387,
     465,   461,   442,     3,     3,   442,   442,   442,   442,   442,
     442,     3,     3,     3,   442,     3,   442,   442,   442,   442,
     442,     4,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,   247,   296,   297,   298,
     313,   391,   551,   442,   442,   442,   442,     4,    58,   691,
      65,   595,    67,    84,   275,   625,    86,   682,   442,   442,
     442,   442,   442,   442,     4,   442,   442,   442,   442,     4,
     442,   442,   442,   442,   442,   442,     4,   438,   463,   442,
       4,   431,  1132,   438,   477,    13,    14,   500,   439,   439,
     439,    36,    37,   438,    11,    12,   734,    39,    40,    41,
      42,   158,   159,   526,   478,   288,   289,   290,   291,   303,
     304,   305,   306,   538,   734,   352,   353,   354,   355,   356,
     357,   364,   365,   413,   716,   734,   734,   734,   416,   734,
     448,   442,   442,   442,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,   442,     3,
       3,   450,   438,   438,   185,   186,   341,   185,   186,   341,
     398,   448,     3,     4,     3,     4,     3,     3,   442,     4,
       3,     4,   438,   438,   438,   438,   438,   438,   448,    40,
      96,    97,    98,   439,   438,   734,   448,   438,   438,   438,
     438,   438,   438,   448,   441,     4,   734,   448,     3,     4,
     441,   439,   498,   501,   502,     4,   441,   441,   441,   441,
     441,   441,   441,   442,   442,   442,   442,   442,   442,     4,
      43,    46,    59,   249,   250,   251,   252,   253,   254,   256,
     257,   258,   259,   484,   442,   442,   442,   442,   442,     3,
       3,     3,     4,   441,   442,   442,   442,   442,   442,   442,
     442,   442,   442,     4,   441,   441,   441,   441,   441,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   570,   392,   579,
       4,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     692,   458,   596,   452,   626,   628,   734,   454,   683,   456,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   464,
     460,   441,  1133,   462,   468,   442,     4,     3,     3,   467,
     469,   470,   471,   472,   473,   474,   476,    36,    37,    38,
     157,    36,    37,   157,   734,   734,   438,   438,   467,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   442,   442,
     442,   442,     4,   439,   439,   439,    68,   292,   439,   545,
     547,   549,   467,   479,   438,   438,   438,   438,   438,   734,
     438,   438,   439,   467,   480,   482,   483,   481,   475,   443,
     443,   443,   443,   443,   443,   443,   443,   443,   443,   443,
     443,   443,   441,   443,   443,   443,   443,   160,   572,     3,
       4,   448,   586,   587,   589,   588,   590,   592,   591,   594,
     593,    60,    61,    62,    63,   160,   694,   448,    60,    61,
      63,    65,   160,   598,   448,    22,    61,    73,    74,    75,
      76,    77,   161,   162,   163,   260,   261,   262,   265,   268,
     269,   270,   271,   272,   347,   348,   349,   350,   407,   415,
     433,   636,   438,   631,   441,   448,    61,    62,    63,   685,
     448,   703,   704,   705,   706,   707,   708,   728,   727,   729,
     730,   731,   732,   733,   710,   711,   712,   713,   714,   715,
     463,   448,   466,    65,   175,   197,   205,   206,  1135,   448,
     467,   439,   467,    15,    16,    17,    18,    19,   246,   386,
     503,   503,   467,   467,   467,   467,   467,   467,   467,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   734,
     734,   439,   734,   467,   441,   441,   441,   441,   441,   441,
     104,   616,   616,   616,   467,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   467,   467,   467,   467,   467,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   439,   566,   439,   439,   439,   439,     3,     4,   580,
     551,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     442,   442,     3,     3,   442,     4,   442,   442,     3,   442,
     442,     4,   442,   442,   442,   442,   442,     3,     3,   442,
     442,   442,   442,   442,     3,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,     4,   441,
       4,   630,   442,     3,     3,     4,   702,   702,   702,   702,
     702,   702,   726,   726,   726,   726,   726,   726,   726,   709,
     709,   709,   709,   709,   709,   465,   442,   442,     3,   442,
     442,     4,   443,   442,   442,   442,   442,     3,   442,   442,
       4,     4,   527,   528,   529,   530,   533,   534,   535,   532,
     537,   531,   536,   484,   484,   484,   484,   484,   484,   484,
     484,   484,   441,   441,   441,   441,   539,   540,   541,   542,
     543,   544,   442,     4,     4,     4,   717,   718,   721,   722,
     723,   724,   719,   720,   725,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   551,   441,
     441,   441,   441,   573,   571,    20,   160,   582,   439,   438,
     698,   700,   439,   693,   439,   438,   603,   438,   439,   597,
      68,    69,    70,    71,    72,   666,   438,   734,   734,   438,
     641,    78,    79,    80,    81,    82,   308,   667,   734,   734,
     734,   438,   734,    67,   633,    98,   266,   267,   273,   439,
     439,   439,   439,   438,   734,   438,   734,   734,   734,   734,
     439,   627,   632,   629,   625,   438,   687,   689,   684,   438,
      80,   176,  1153,    20,    21,    22,    23,    24,    26,    27,
      28,   243,   244,   363,   207,   208,   209,  1134,   439,   734,
     439,   734,   439,   508,   734,   734,   500,   500,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   494,
     495,   496,   497,   538,   538,   538,   538,   538,   538,   105,
     106,   107,   108,   109,   110,   111,   112,   546,   548,   550,
     716,   716,   716,   716,   716,   716,   716,   716,   716,   552,
     553,   554,   559,   560,   556,   555,   558,   557,   562,   561,
     564,   563,   565,   567,   568,   569,    20,    68,   191,   575,
     551,   442,   442,     4,   441,   441,     9,    83,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   214,   242,   263,   264,   276,   282,   293,   299,   300,
     301,   310,   311,   325,   334,   336,   369,   375,   377,   384,
     401,   414,   418,   420,   421,   422,   424,   432,   680,   735,
     736,   753,   755,   757,   759,   761,   765,   767,   769,   775,
     798,   800,   802,   804,   806,   808,   810,   812,   814,   816,
     824,   831,   833,   838,   843,   845,   850,   854,   863,   865,
     867,   869,   871,   884,   891,   898,   903,   909,   915,   922,
     929,   933,   950,   968,   970,   977,  1009,  1011,  1013,  1015,
    1025,  1032,  1036,  1041,  1043,  1047,  1051,  1053,  1058,  1068,
    1084,  1101,  1103,  1110,  1116,  1120,  1122,  1124,  1126,  1130,
    1159,    68,   103,   605,   443,   691,   441,   441,   605,   441,
     443,   595,   441,   441,   441,   441,   441,   439,   664,     3,
       3,     3,     3,   439,     3,     4,   441,   441,   441,   441,
     441,     3,     4,   441,   441,   441,   441,   443,   443,   443,
     443,   441,   441,   441,   441,   441,   441,   441,   441,   625,
     631,   625,   441,   680,   605,   682,   441,   441,   441,    75,
     190,  1155,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,  1132,   443,   441,   441,
     441,   441,    20,    21,    22,    23,    24,    25,    26,    27,
      28,   243,   244,   245,   358,   363,   511,   441,   441,   484,
     484,   484,   484,   441,   441,   441,   441,   441,   441,   441,
     441,   538,   538,   538,   551,   551,   551,   551,   551,   551,
     551,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   442,   442,   442,     4,   438,   439,   581,   695,   696,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,   680,     3,     3,     4,   439,   599,   600,
       4,   602,   439,   637,   638,   640,   642,   639,   442,     4,
     668,   670,   672,   674,     3,   678,   636,   643,   644,   645,
     646,   647,   634,   636,   655,   653,   654,   656,   439,   439,
     439,   439,   652,   658,   657,   659,   660,   661,   662,   663,
     686,     4,     4,  1136,  1151,  1152,   442,   442,     4,  1137,
    1138,  1142,  1146,  1143,  1140,  1139,  1141,  1144,  1145,  1150,
    1147,  1148,  1149,   439,   504,   505,   506,   507,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,     4,   509,   510,   617,   618,   619,   620,   621,
     622,   623,   624,   438,   439,   439,   574,   441,   441,   579,
     694,   694,   737,   681,   754,   756,   758,   760,   762,   766,
     768,   770,   776,   799,   801,   803,   805,   807,   809,   811,
     813,   815,   817,   825,   832,   834,   839,   844,   846,   851,
     855,   864,   866,   868,   870,   872,   885,   892,   899,   904,
     910,   916,   930,   934,   951,   969,   971,   978,  1010,  1012,
    1014,  1016,  1026,  1037,  1042,  1044,  1048,  1052,  1054,  1059,
    1069,  1102,  1104,  1111,  1033,  1117,   923,  1085,  1121,  1123,
    1125,  1127,  1131,  1160,   699,   606,   610,   701,   441,   598,
     598,   604,   598,   441,   636,   636,   636,   636,   636,   439,
     636,   680,   680,   680,   680,   676,    20,   636,   636,   636,
     636,   636,   636,   636,   636,   636,   636,   441,   441,   441,
     441,   636,   636,   636,   636,   636,   636,   636,   636,   685,
     688,   690,  1135,  1135,  1135,   438,   210,   211,  1154,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,   441,   503,   503,   503,   503,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   503,   503,   503,   616,   616,   616,   616,   616,
     616,   616,   616,   441,   443,   443,   572,   584,   583,   164,
     165,   166,   167,   170,   172,   173,   274,   374,   383,   738,
       4,     4,     4,     4,     4,   174,   763,     4,     4,   175,
     771,   178,   179,   180,   181,   182,   183,   184,   187,   189,
     402,   408,   423,   777,     4,     4,     4,     4,     4,     4,
       4,     4,     4,    72,   190,   818,   190,   826,     4,   197,
     434,   835,   197,   434,   840,     4,   190,   847,   199,   852,
     190,   200,   201,   856,     4,     4,     4,     4,     5,   167,
     170,   172,   183,   274,   873,   248,   286,   335,   367,   886,
     190,   893,   190,   900,   181,   183,   202,   905,   190,   911,
     166,   183,   203,   204,   917,   190,   931,   205,   206,   935,
     183,   190,   197,   314,   315,   319,   322,   323,   324,   952,
       4,   166,   183,   203,   204,   972,    22,   217,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   236,   237,   238,
     239,   240,   241,   379,   979,     4,     4,     4,   183,   277,
     278,   279,   280,   281,   366,  1017,   183,   283,   284,  1027,
     294,   295,  1038,     4,   400,  1045,   302,  1049,     4,   217,
     312,  1055,   326,  1060,    43,    46,    59,   249,   250,   251,
     252,   253,   254,   256,   257,   258,   259,  1070,     4,   190,
     373,  1105,   425,  1112,   378,  1034,   419,  1118,   166,   183,
     203,   204,   924,    20,    21,    22,    23,    24,    25,    26,
      27,    28,   243,   244,   245,   358,   363,  1086,     4,     4,
       4,   379,  1128,     4,     4,   694,   102,   102,   694,   697,
     598,   601,   441,     4,     4,     4,     4,   680,   442,     4,
     648,   649,   650,   651,   685,   685,   441,   441,   441,  1135,
     499,   511,   511,   511,   511,   511,   511,   511,   511,   511,
     511,   511,   511,   511,   511,   578,   439,   439,   582,   582,
     442,   442,   442,   442,   442,   442,   442,   442,   442,   442,
       4,   680,   442,     4,   442,     4,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,     4,   442,
     442,     4,   442,     4,   442,   442,     4,   442,   442,     4,
     442,     4,   442,     4,   442,   442,   442,     4,   442,   442,
     442,   442,   442,   442,     4,   442,   442,   442,   442,     4,
     442,     4,   442,     4,   442,   442,   442,     4,   442,     4,
     442,   442,   442,   442,     4,   442,     4,   442,   442,     4,
     442,   442,   442,   442,   442,   442,   442,   442,   442,     4,
     442,   442,   442,   442,     4,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,   442,   442,
     442,   442,   442,     4,   442,   442,   442,   442,   442,   442,
     442,     4,   442,   442,   442,     4,   442,   442,     4,   442,
       4,   442,     4,   442,   442,     4,   442,     4,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   442,   442,   442,
     442,     4,   442,   442,     4,   442,     4,   442,     4,   442,
       4,   442,   442,   442,   442,     4,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
       4,   442,     4,   442,   442,   694,   598,   665,   669,   671,
     673,   675,     4,   438,   635,   636,   636,   636,   636,  1156,
    1157,  1158,   498,   575,   441,   441,   438,   734,   734,    33,
      68,   168,   169,   171,   438,   734,   734,   734,   734,   734,
     439,    80,   176,   177,   734,   734,   734,   734,   734,   734,
      68,   185,   186,    68,   188,   734,   185,   186,   403,   409,
     410,   411,   412,   734,   438,   191,   192,   193,   194,    13,
      14,   195,   196,   438,   734,   438,   734,    68,   198,   734,
      13,    14,   195,   196,   734,   734,   734,    33,    68,   168,
     169,   171,   438,   734,   734,   734,   734,   734,   734,   734,
      13,    14,   195,   196,    13,    14,   734,   734,   734,   404,
     405,   406,   734,   734,   734,   734,   438,    20,    21,    22,
      23,    24,    26,    27,    28,   243,   244,   363,   207,   208,
     209,   734,   210,   211,   212,   213,   438,   438,   316,   317,
     318,   320,   321,   734,   734,   734,   734,   734,   734,   734,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   380,
     438,   734,   734,   734,   734,   439,   438,   438,   438,   233,
     234,   235,   734,   734,   734,   734,   438,   438,   438,   734,
     438,   438,   438,   734,   734,   438,   734,   438,   191,   267,
     438,   734,   734,   438,   438,   734,   327,   328,   329,   330,
     331,   332,   333,  1071,  1072,  1073,  1074,  1075,  1076,  1077,
    1078,  1079,   734,   734,   439,   734,   370,   371,   372,   439,
     426,   427,   428,   438,   734,   734,   734,   734,   734,  1087,
    1088,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
    1098,  1099,  1100,   438,   438,   438,   664,   667,   667,   667,
     667,   677,   441,   633,  1155,  1155,  1155,   576,   577,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,  1070,  1070,  1070,  1070,
    1070,  1070,  1070,  1070,  1070,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,   441,   441,   441,   667,
      62,   575,   575,   739,   740,   741,   742,   746,   743,   744,
     745,   747,   748,   749,   750,   751,   752,   764,   772,   773,
     774,   778,   779,   780,   781,   782,   783,   786,   784,   785,
     787,   788,   789,   792,   790,   791,   794,   795,   796,   793,
     797,   819,   820,   821,   822,   823,   827,   828,   829,   830,
     836,   837,   841,   842,   848,   849,   853,   857,   858,   859,
     860,   861,   862,   880,   874,   878,   875,   876,   877,   879,
     882,   881,   883,   887,   888,   889,   890,   894,   895,   896,
     897,   901,   902,   906,   908,   907,   912,   913,   914,   920,
     921,   918,   919,   932,   936,   937,   941,   945,   942,   939,
     938,   940,   943,   944,   949,   946,   947,   948,   953,   954,
     955,   956,   957,   958,   959,   960,   961,   962,   964,   963,
     965,   966,   967,   975,   976,   973,   974,   980,   981,   982,
     983,   984,   985,   986,   987,   988,   989,   995,   990,   991,
     992,   993,   994,   996,   997,   998,   999,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1007,  1008,  1018,  1019,  1020,  1021,
    1022,  1023,  1024,  1028,  1029,  1030,  1031,  1039,  1040,  1046,
    1050,  1057,  1056,  1061,  1062,  1063,  1064,  1065,  1066,  1067,
    1080,  1081,  1082,  1083,  1106,  1107,  1108,  1109,  1113,  1114,
    1115,  1035,  1119,   927,   928,   925,   926,  1129,   607,   611,
       3,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   763,   771,   771,   771,   777,
     777,   777,   777,   777,   777,   777,   777,   777,   777,   777,
     777,   777,   777,   777,   777,   777,   777,   777,   777,   818,
     818,   818,   818,   818,   826,   826,   826,   826,   835,   835,
     840,   840,   847,   847,   852,   856,   856,   856,   856,   856,
     856,   873,   873,   873,   873,   873,   873,   873,   873,   873,
     873,   886,   886,   886,   886,   893,   893,   893,   893,   900,
     900,   905,   905,   905,   911,   911,   911,   917,   917,   917,
     917,   931,   935,   935,   935,   935,   935,   935,   935,   935,
     935,   935,   935,   935,   935,   935,   952,   952,   952,   952,
     952,   952,   952,   952,   952,   952,   952,   952,   952,   952,
     952,   972,   972,   972,   972,   979,   979,   979,   979,   979,
     979,   979,   979,   979,   979,   979,   979,   979,   979,   979,
     979,   979,   979,   979,   979,   979,   979,   979,   979,   979,
     979,   979,   979,   979,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1027,  1027,  1027,  1027,  1038,  1038,  1045,  1049,  1055,
    1055,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1070,  1070,
    1070,  1070,  1105,  1105,  1105,  1105,  1112,  1112,  1112,  1034,
    1118,   924,   924,   924,   924,  1128,   616,   616,   680,   608,
     612,     4,     4,   102,     4,   609,   442,   679,   605,   438,
     667,   441,   613,   616,   614,     4,   615,   605
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   444,   446,   447,   445,   448,   449,   450,   448,   448,
     451,   452,   448,   453,   454,   448,   455,   456,   448,   457,
     458,   448,   448,   448,   448,   448,   459,   460,   448,   461,
     462,   448,   448,   464,   463,   463,   466,   465,   465,   468,
     467,   469,   467,   470,   467,   471,   467,   467,   472,   467,
     473,   467,   474,   467,   475,   467,   476,   467,   467,   477,
     467,   478,   467,   467,   479,   467,   480,   467,   481,   467,
     482,   467,   483,   467,   467,   467,   485,   484,   486,   484,
     487,   484,   488,   484,   489,   484,   490,   484,   491,   484,
     492,   484,   493,   484,   494,   484,   495,   484,   496,   484,
     497,   484,   484,   499,   498,   498,   501,   500,   502,   500,
     500,   504,   503,   505,   503,   506,   503,   507,   503,   508,
     503,   509,   503,   510,   503,   503,   512,   511,   513,   511,
     514,   511,   515,   511,   516,   511,   517,   511,   518,   511,
     519,   511,   520,   511,   521,   511,   522,   511,   523,   511,
     524,   511,   525,   511,   511,   527,   526,   528,   526,   529,
     526,   530,   526,   531,   526,   532,   526,   533,   526,   534,
     526,   535,   526,   536,   526,   537,   526,   526,   539,   538,
     540,   538,   541,   538,   542,   538,   543,   538,   544,   538,
     545,   546,   538,   547,   548,   538,   549,   550,   538,   538,
     552,   551,   553,   551,   554,   551,   555,   551,   556,   551,
     557,   551,   558,   551,   559,   551,   560,   551,   561,   551,
     562,   551,   563,   551,   564,   551,   565,   551,   566,   551,
     567,   551,   568,   551,   569,   551,   570,   571,   551,   551,
     551,   573,   574,   572,   572,   576,   575,   577,   575,   578,
     575,   575,   580,   581,   579,   579,   583,   582,   584,   582,
     582,   586,   585,   587,   585,   588,   585,   589,   585,   590,
     585,   591,   585,   592,   585,   593,   585,   594,   585,   585,
     596,   597,   595,   595,   599,   598,   600,   598,   601,   598,
     602,   598,   603,   604,   598,   598,   606,   607,   608,   609,
     605,   610,   611,   612,   613,   614,   615,   605,   605,   617,
     616,   618,   616,   619,   616,   620,   616,   621,   616,   622,
     616,   623,   616,   624,   616,   616,   626,   627,   625,   628,
     629,   625,   630,   625,   625,   632,   631,   631,   634,   635,
     633,   633,   637,   636,   638,   636,   639,   636,   640,   636,
     641,   636,   642,   636,   643,   636,   644,   636,   645,   636,
     636,   646,   636,   647,   636,   636,   648,   636,   649,   636,
     650,   636,   651,   636,   652,   636,   653,   636,   654,   636,
     655,   636,   656,   636,   657,   636,   658,   636,   659,   636,
     660,   636,   661,   636,   662,   636,   663,   636,   636,   665,
     664,   664,   666,   666,   666,   666,   666,   668,   669,   667,
     670,   671,   667,   672,   673,   667,   674,   675,   667,   676,
     677,   667,   678,   679,   667,   667,   680,   680,   680,   681,
     683,   684,   682,   682,   686,   685,   687,   688,   685,   689,
     690,   685,   685,   692,   693,   691,   691,   695,   694,   696,
     694,   697,   694,   698,   699,   694,   700,   701,   694,   694,
     703,   702,   704,   702,   705,   702,   706,   702,   707,   702,
     708,   702,   702,   710,   709,   711,   709,   712,   709,   713,
     709,   714,   709,   715,   709,   709,   717,   716,   718,   716,
     719,   716,   720,   716,   721,   716,   722,   716,   723,   716,
     724,   716,   725,   716,   716,   727,   726,   728,   726,   729,
     726,   730,   726,   731,   726,   732,   726,   733,   726,   726,
     734,   734,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   737,   736,   739,   738,   740,   738,   741,
     738,   742,   738,   743,   738,   744,   738,   745,   738,   746,
     738,   747,   738,   748,   738,   749,   738,   750,   738,   751,
     738,   752,   738,   738,   754,   753,   756,   755,   758,   757,
     760,   759,   762,   761,   764,   763,   763,   766,   765,   768,
     767,   770,   769,   772,   771,   773,   771,   774,   771,   771,
     776,   775,   778,   777,   779,   777,   780,   777,   781,   777,
     782,   777,   783,   777,   784,   777,   785,   777,   786,   777,
     787,   777,   788,   777,   789,   777,   790,   777,   791,   777,
     792,   777,   793,   777,   794,   777,   795,   777,   796,   777,
     797,   777,   777,   799,   798,   801,   800,   803,   802,   805,
     804,   807,   806,   809,   808,   811,   810,   813,   812,   815,
     814,   817,   816,   819,   818,   820,   818,   821,   818,   822,
     818,   823,   818,   818,   825,   824,   827,   826,   828,   826,
     829,   826,   830,   826,   826,   832,   831,   834,   833,   836,
     835,   837,   835,   835,   839,   838,   841,   840,   842,   840,
     840,   844,   843,   846,   845,   848,   847,   849,   847,   847,
     851,   850,   853,   852,   852,   855,   854,   857,   856,   858,
     856,   859,   856,   860,   856,   861,   856,   862,   856,   856,
     864,   863,   866,   865,   868,   867,   870,   869,   872,   871,
     874,   873,   875,   873,   876,   873,   877,   873,   878,   873,
     879,   873,   880,   873,   881,   873,   882,   873,   883,   873,
     873,   885,   884,   887,   886,   888,   886,   889,   886,   890,
     886,   886,   892,   891,   894,   893,   895,   893,   896,   893,
     897,   893,   893,   899,   898,   901,   900,   902,   900,   900,
     904,   903,   906,   905,   907,   905,   908,   905,   905,   910,
     909,   912,   911,   913,   911,   914,   911,   911,   916,   915,
     918,   917,   919,   917,   920,   917,   921,   917,   917,   923,
     922,   925,   924,   926,   924,   927,   924,   928,   924,   924,
     930,   929,   932,   931,   931,   934,   933,   936,   935,   937,
     935,   938,   935,   939,   935,   940,   935,   941,   935,   942,
     935,   943,   935,   944,   935,   945,   935,   946,   935,   947,
     935,   948,   935,   949,   935,   935,   951,   950,   953,   952,
     954,   952,   955,   952,   956,   952,   957,   952,   958,   952,
     959,   952,   960,   952,   961,   952,   962,   952,   963,   952,
     964,   952,   965,   952,   966,   952,   967,   952,   952,   969,
     968,   971,   970,   973,   972,   974,   972,   975,   972,   976,
     972,   972,   978,   977,   980,   979,   981,   979,   982,   979,
     983,   979,   984,   979,   985,   979,   986,   979,   987,   979,
     988,   979,   989,   979,   990,   979,   991,   979,   992,   979,
     993,   979,   994,   979,   995,   979,   996,   979,   997,   979,
     998,   979,   999,   979,  1000,   979,  1001,   979,  1002,   979,
    1003,   979,  1004,   979,  1005,   979,  1006,   979,  1007,   979,
    1008,   979,   979,  1010,  1009,  1012,  1011,  1014,  1013,  1016,
    1015,  1018,  1017,  1019,  1017,  1020,  1017,  1021,  1017,  1022,
    1017,  1023,  1017,  1024,  1017,  1017,  1026,  1025,  1028,  1027,
    1029,  1027,  1030,  1027,  1031,  1027,  1027,  1033,  1032,  1035,
    1034,  1034,  1037,  1036,  1039,  1038,  1040,  1038,  1038,  1042,
    1041,  1044,  1043,  1046,  1045,  1045,  1048,  1047,  1050,  1049,
    1049,  1052,  1051,  1054,  1053,  1056,  1055,  1057,  1055,  1055,
    1059,  1058,  1061,  1060,  1062,  1060,  1063,  1060,  1064,  1060,
    1065,  1060,  1066,  1060,  1067,  1060,  1060,  1069,  1068,  1071,
    1070,  1072,  1070,  1073,  1070,  1074,  1070,  1075,  1070,  1076,
    1070,  1077,  1070,  1078,  1070,  1079,  1070,  1080,  1070,  1081,
    1070,  1082,  1070,  1083,  1070,  1070,  1085,  1084,  1087,  1086,
    1088,  1086,  1089,  1086,  1090,  1086,  1091,  1086,  1092,  1086,
    1093,  1086,  1094,  1086,  1095,  1086,  1096,  1086,  1097,  1086,
    1098,  1086,  1099,  1086,  1100,  1086,  1086,  1102,  1101,  1104,
    1103,  1106,  1105,  1107,  1105,  1108,  1105,  1109,  1105,  1105,
    1111,  1110,  1113,  1112,  1114,  1112,  1115,  1112,  1112,  1117,
    1116,  1119,  1118,  1118,  1121,  1120,  1123,  1122,  1125,  1124,
    1127,  1126,  1129,  1128,  1128,  1131,  1130,  1133,  1134,  1132,
    1132,  1136,  1135,  1137,  1135,  1138,  1135,  1139,  1135,  1140,
    1135,  1141,  1135,  1142,  1135,  1143,  1135,  1144,  1135,  1145,
    1135,  1146,  1135,  1147,  1135,  1148,  1135,  1149,  1135,  1150,
    1135,  1151,  1135,  1152,  1135,  1153,  1154,  1135,  1135,  1156,
    1155,  1157,  1155,  1158,  1155,  1155,  1160,  1159
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,    10,     0,     0,     6,     0,     6,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     6,
       0,     8,     0,     8,     0,     8,     0,     0,     7,     5,
       0,     0,     0,     7,     0,     0,     8,     0,     8,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     8,
       0,     6,     0,     0,     7,     0,     0,     0,     0,     0,
      13,     0,     0,     0,     0,     0,     0,    20,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     0,     7,     0,
       0,     7,     0,     6,     0,     0,     4,     0,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       5,     0,     6,     0,     6,     5,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       6,     0,     1,     1,     1,     1,     1,     0,     0,     7,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     8,     0,     0,    14,     0,     2,     5,     0,     0,
       0,     0,     7,     0,     0,     6,     0,     0,     7,     0,
       0,     7,     0,     0,     0,     7,     0,     0,     6,     0,
       6,     0,     8,     0,     0,     7,     0,     0,     7,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     5,     0,     6,     0,     0,     4,     0,
       4,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     5,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       4,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     0,
       4,     0,     5,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     0,     4,     0,     4,     0,     4,
       0,     5,     0,     6,     0,     0,     4,     0,     0,     7,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     6,     0,     0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 325 "configparser.yy"
  { lconfig_parseinit();}
#line 5562 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 325 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5568 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 329 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5574 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 330 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5582 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 334 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5588 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 335 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5604 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 346 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5610 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 347 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5626 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 358 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5632 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 359 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5648 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 370 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5654 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 371 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5670 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 386 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5676 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 387 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5684 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 390 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5690 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 391 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5697 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 395 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5703 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 398 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5709 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 401 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5715 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 402 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5721 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 403 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5727 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 404 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5733 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 406 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5739 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 407 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5745 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 408 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5751 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 409 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5757 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 410 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5763 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 413 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5769 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 414 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5775 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 416 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5781 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 417 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5787 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 418 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5793 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 419 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5799 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 420 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5805 "configparser.cc"
    break;

  case 76: /* $@35: %empty  */
#line 424 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5811 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 425 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5817 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 426 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5823 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 427 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5829 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 428 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5835 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 429 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5841 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 430 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5847 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 431 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5853 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 432 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5859 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 433 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5865 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 434 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5871 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 435 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5877 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 436 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5883 "configparser.cc"
    break;

  case 103: /* $@48: %empty  */
#line 439 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5889 "configparser.cc"
    break;

  case 106: /* $@49: %empty  */
#line 442 "configparser.yy"
                   { lconfig_side = 0; }
#line 5895 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 443 "configparser.yy"
                    { lconfig_side = 1; }
#line 5901 "configparser.cc"
    break;

  case 111: /* $@51: %empty  */
#line 446 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5907 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 447 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 5913 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 448 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5919 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 449 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 5925 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 450 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 5931 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 451 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5937 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 452 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5943 "configparser.cc"
    break;

  case 126: /* $@58: %empty  */
#line 455 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 5949 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 456 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 5955 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 457 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 5961 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 458 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 5967 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 459 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 5973 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 460 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 5979 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 461 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 5985 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 462 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 5991 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 463 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 5997 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 464 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6003 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 465 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6009 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 466 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6015 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 467 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6021 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 468 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6027 "configparser.cc"
    break;

  case 155: /* $@72: %empty  */
#line 471 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6033 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 472 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6039 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 473 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6045 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 474 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6051 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 475 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6057 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 476 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6063 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 477 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6069 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 478 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6075 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 479 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6081 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 480 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6087 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 481 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6093 "configparser.cc"
    break;

  case 178: /* $@83: %empty  */
#line 484 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6099 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 485 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6105 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 486 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6111 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 487 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6117 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 488 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6123 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 489 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6129 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 490 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6135 "configparser.cc"
    break;

  case 191: /* $@90: %empty  */
#line 491 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6141 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 492 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6147 "configparser.cc"
    break;

  case 194: /* $@92: %empty  */
#line 493 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6153 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 494 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6159 "configparser.cc"
    break;

  case 197: /* $@94: %empty  */
#line 495 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6165 "configparser.cc"
    break;

  case 200: /* $@95: %empty  */
#line 498 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6174 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 502 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6183 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 506 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6192 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 510 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6201 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 514 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6210 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 518 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6219 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 522 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6228 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 526 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6237 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 530 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6246 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 534 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6255 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 538 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6264 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 542 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6273 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 546 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6282 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 550 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6291 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 554 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6299 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 557 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6308 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 561 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6317 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 565 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6326 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 569 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6332 "configparser.cc"
    break;

  case 237: /* $@114: %empty  */
#line 570 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6342 "configparser.cc"
    break;

  case 241: /* $@115: %empty  */
#line 579 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6354 "configparser.cc"
    break;

  case 242: /* $@116: %empty  */
#line 586 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6362 "configparser.cc"
    break;

  case 245: /* $@117: %empty  */
#line 591 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6371 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 595 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6380 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 599 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6386 "configparser.cc"
    break;

  case 252: /* $@120: %empty  */
#line 602 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6395 "configparser.cc"
    break;

  case 253: /* $@121: %empty  */
#line 606 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6403 "configparser.cc"
    break;

  case 256: /* $@122: %empty  */
#line 611 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6411 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 614 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6417 "configparser.cc"
    break;

  case 261: /* $@124: %empty  */
#line 617 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6423 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 618 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6429 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 619 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6435 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 620 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6441 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 621 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6447 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 622 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6453 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 623 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6459 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 624 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6465 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 625 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6471 "configparser.cc"
    break;

  case 280: /* $@133: %empty  */
#line 628 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6477 "configparser.cc"
    break;

  case 281: /* $@134: %empty  */
#line 629 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6488 "configparser.cc"
    break;

  case 284: /* $@135: %empty  */
#line 637 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6497 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 641 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6503 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 642 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6511 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 645 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6517 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 646 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6523 "configparser.cc"
    break;

  case 293: /* $@140: %empty  */
#line 647 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6540 "configparser.cc"
    break;

  case 296: /* $@141: %empty  */
#line 661 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6548 "configparser.cc"
    break;

  case 297: /* $@142: %empty  */
#line 664 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6558 "configparser.cc"
    break;

  case 298: /* $@143: %empty  */
#line 669 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6564 "configparser.cc"
    break;

  case 299: /* $@144: %empty  */
#line 670 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6570 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 672 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6578 "configparser.cc"
    break;

  case 302: /* $@146: %empty  */
#line 675 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6588 "configparser.cc"
    break;

  case 303: /* $@147: %empty  */
#line 680 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6594 "configparser.cc"
    break;

  case 304: /* $@148: %empty  */
#line 681 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6604 "configparser.cc"
    break;

  case 305: /* $@149: %empty  */
#line 686 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6610 "configparser.cc"
    break;

  case 306: /* $@150: %empty  */
#line 687 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6616 "configparser.cc"
    break;

  case 309: /* $@151: %empty  */
#line 691 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6622 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 692 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6628 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 693 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6634 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 694 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6640 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 695 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6646 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 696 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6652 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 697 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6658 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 698 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6664 "configparser.cc"
    break;

  case 326: /* $@159: %empty  */
#line 701 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6670 "configparser.cc"
    break;

  case 327: /* $@160: %empty  */
#line 702 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6678 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 705 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6684 "configparser.cc"
    break;

  case 330: /* $@162: %empty  */
#line 706 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6700 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 717 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6706 "configparser.cc"
    break;

  case 335: /* $@164: %empty  */
#line 720 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6712 "configparser.cc"
    break;

  case 338: /* $@165: %empty  */
#line 723 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6720 "configparser.cc"
    break;

  case 339: /* $@166: %empty  */
#line 726 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6734 "configparser.cc"
    break;

  case 342: /* $@167: %empty  */
#line 737 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6740 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 738 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6746 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 739 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6752 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 740 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6758 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 741 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6764 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 743 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6770 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 744 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6776 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 745 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6782 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 746 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6788 "configparser.cc"
    break;

  case 361: /* $@176: %empty  */
#line 748 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6794 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 749 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6800 "configparser.cc"
    break;

  case 366: /* $@178: %empty  */
#line 751 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6808 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 754 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6816 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 757 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6824 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 760 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6832 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 763 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6838 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 764 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6844 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 765 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6850 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 766 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6856 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 767 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6862 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 768 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6868 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 769 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6874 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 770 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6880 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 771 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6886 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 772 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6892 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 773 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6898 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 774 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 6904 "configparser.cc"
    break;

  case 399: /* $@194: %empty  */
#line 777 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 6910 "configparser.cc"
    break;

  case 402: /* ft_type: NORMAL_WCP  */
#line 780 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 6916 "configparser.cc"
    break;

  case 403: /* ft_type: NOTYETCHECKED_WCP  */
#line 781 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 6922 "configparser.cc"
    break;

  case 404: /* ft_type: UNKNOWN_WCP  */
#line 782 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 6928 "configparser.cc"
    break;

  case 405: /* ft_type: NOSELECT_WCP  */
#line 783 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 6934 "configparser.cc"
    break;

  case 406: /* ft_type: DIR_WCP  */
#line 784 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 6940 "configparser.cc"
    break;

  case 407: /* $@195: %empty  */
#line 787 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 6946 "configparser.cc"
    break;

  case 408: /* $@196: %empty  */
#line 788 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 6954 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 791 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 6960 "configparser.cc"
    break;

  case 411: /* $@198: %empty  */
#line 792 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 6968 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 795 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 6974 "configparser.cc"
    break;

  case 414: /* $@200: %empty  */
#line 796 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 6982 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 799 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 6988 "configparser.cc"
    break;

  case 417: /* $@202: %empty  */
#line 800 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 6996 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 803 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7002 "configparser.cc"
    break;

  case 420: /* $@204: %empty  */
#line 804 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7010 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 807 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7016 "configparser.cc"
    break;

  case 423: /* $@206: %empty  */
#line 810 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7024 "configparser.cc"
    break;

  case 430: /* $@207: %empty  */
#line 821 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7030 "configparser.cc"
    break;

  case 431: /* $@208: %empty  */
#line 822 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7038 "configparser.cc"
    break;

  case 434: /* $@209: %empty  */
#line 827 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7044 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 828 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7050 "configparser.cc"
    break;

  case 437: /* $@211: %empty  */
#line 829 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7058 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 832 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7064 "configparser.cc"
    break;

  case 440: /* $@213: %empty  */
#line 833 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7081 "configparser.cc"
    break;

  case 443: /* $@214: %empty  */
#line 847 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7087 "configparser.cc"
    break;

  case 444: /* $@215: %empty  */
#line 848 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7098 "configparser.cc"
    break;

  case 447: /* $@216: %empty  */
#line 856 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7107 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 860 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7113 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 861 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7121 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 864 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7127 "configparser.cc"
    break;

  case 454: /* $@220: %empty  */
#line 865 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7135 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 868 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7141 "configparser.cc"
    break;

  case 457: /* $@222: %empty  */
#line 869 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7158 "configparser.cc"
    break;

  case 460: /* $@223: %empty  */
#line 884 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7169 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 891 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7180 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 898 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7191 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 905 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7202 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 912 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7213 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 919 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7224 "configparser.cc"
    break;

  case 473: /* $@229: %empty  */
#line 928 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7235 "configparser.cc"
    break;

  case 475: /* $@230: %empty  */
#line 935 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7246 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 942 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7257 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 949 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7268 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 956 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7279 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 963 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7290 "configparser.cc"
    break;

  case 486: /* $@235: %empty  */
#line 972 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7298 "configparser.cc"
    break;

  case 488: /* $@236: %empty  */
#line 976 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7306 "configparser.cc"
    break;

  case 490: /* $@237: %empty  */
#line 980 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7314 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 984 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7322 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 988 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7330 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 992 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7338 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 996 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7346 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1000 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7354 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1004 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7362 "configparser.cc"
    break;

  case 505: /* $@244: %empty  */
#line 1009 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7368 "configparser.cc"
    break;

  case 507: /* $@245: %empty  */
#line 1010 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7374 "configparser.cc"
    break;

  case 509: /* $@246: %empty  */
#line 1011 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7380 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1012 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7386 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1013 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7392 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1014 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7398 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1015 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7404 "configparser.cc"
    break;

  case 520: /* bool: YES_WCP  */
#line 1018 "configparser.yy"
             { (yyval.num) = 1; }
#line 7410 "configparser.cc"
    break;

  case 521: /* bool: NO_WCP  */
#line 1019 "configparser.yy"
            { (yyval.num) = 0; }
#line 7416 "configparser.cc"
    break;

  case 593: /* $@251: %empty  */
#line 1093 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7422 "configparser.cc"
    break;

  case 594: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@251 ownopbody RIGHTBRACE_WCP  */
#line 1094 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7428 "configparser.cc"
    break;

  case 595: /* $@252: %empty  */
#line 1096 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7434 "configparser.cc"
    break;

  case 597: /* $@253: %empty  */
#line 1097 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7440 "configparser.cc"
    break;

  case 599: /* $@254: %empty  */
#line 1098 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7446 "configparser.cc"
    break;

  case 601: /* $@255: %empty  */
#line 1099 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7452 "configparser.cc"
    break;

  case 603: /* $@256: %empty  */
#line 1100 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7458 "configparser.cc"
    break;

  case 605: /* $@257: %empty  */
#line 1101 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7464 "configparser.cc"
    break;

  case 607: /* $@258: %empty  */
#line 1102 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7470 "configparser.cc"
    break;

  case 609: /* $@259: %empty  */
#line 1103 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7476 "configparser.cc"
    break;

  case 611: /* $@260: %empty  */
#line 1104 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7482 "configparser.cc"
    break;

  case 613: /* $@261: %empty  */
#line 1105 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7488 "configparser.cc"
    break;

  case 615: /* $@262: %empty  */
#line 1106 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7494 "configparser.cc"
    break;

  case 617: /* $@263: %empty  */
#line 1107 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7500 "configparser.cc"
    break;

  case 619: /* $@264: %empty  */
#line 1108 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7506 "configparser.cc"
    break;

  case 621: /* $@265: %empty  */
#line 1109 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7512 "configparser.cc"
    break;

  case 624: /* $@266: %empty  */
#line 1112 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7518 "configparser.cc"
    break;

  case 625: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@266 RIGHTBRACE_WCP  */
#line 1113 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7524 "configparser.cc"
    break;

  case 626: /* $@267: %empty  */
#line 1115 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7530 "configparser.cc"
    break;

  case 627: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@267 RIGHTBRACE_WCP  */
#line 1116 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7536 "configparser.cc"
    break;

  case 628: /* $@268: %empty  */
#line 1118 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7542 "configparser.cc"
    break;

  case 629: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@268 RIGHTBRACE_WCP  */
#line 1119 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7548 "configparser.cc"
    break;

  case 630: /* $@269: %empty  */
#line 1121 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7554 "configparser.cc"
    break;

  case 631: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1122 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7560 "configparser.cc"
    break;

  case 632: /* $@270: %empty  */
#line 1124 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7566 "configparser.cc"
    break;

  case 633: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@270 useractionbody RIGHTBRACE_WCP  */
#line 1125 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7572 "configparser.cc"
    break;

  case 634: /* $@271: %empty  */
#line 1127 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7578 "configparser.cc"
    break;

  case 637: /* $@272: %empty  */
#line 1130 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7588 "configparser.cc"
    break;

  case 638: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@272 RIGHTBRACE_WCP  */
#line 1135 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7594 "configparser.cc"
    break;

  case 639: /* $@273: %empty  */
#line 1137 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7604 "configparser.cc"
    break;

  case 640: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@273 RIGHTBRACE_WCP  */
#line 1142 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7610 "configparser.cc"
    break;

  case 641: /* $@274: %empty  */
#line 1144 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7616 "configparser.cc"
    break;

  case 642: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@274 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1145 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7622 "configparser.cc"
    break;

  case 643: /* $@275: %empty  */
#line 1147 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7628 "configparser.cc"
    break;

  case 645: /* $@276: %empty  */
#line 1148 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7634 "configparser.cc"
    break;

  case 647: /* $@277: %empty  */
#line 1149 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7640 "configparser.cc"
    break;

  case 650: /* $@278: %empty  */
#line 1152 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7646 "configparser.cc"
    break;

  case 651: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@278 copyopbody RIGHTBRACE_WCP  */
#line 1153 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7652 "configparser.cc"
    break;

  case 652: /* $@279: %empty  */
#line 1155 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7658 "configparser.cc"
    break;

  case 654: /* $@280: %empty  */
#line 1156 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7664 "configparser.cc"
    break;

  case 656: /* $@281: %empty  */
#line 1157 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7670 "configparser.cc"
    break;

  case 658: /* $@282: %empty  */
#line 1158 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7676 "configparser.cc"
    break;

  case 660: /* $@283: %empty  */
#line 1159 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7682 "configparser.cc"
    break;

  case 662: /* $@284: %empty  */
#line 1160 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7688 "configparser.cc"
    break;

  case 664: /* $@285: %empty  */
#line 1161 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7694 "configparser.cc"
    break;

  case 666: /* $@286: %empty  */
#line 1162 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7700 "configparser.cc"
    break;

  case 668: /* $@287: %empty  */
#line 1163 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7706 "configparser.cc"
    break;

  case 670: /* $@288: %empty  */
#line 1164 "configparser.yy"
                                        {}
#line 7712 "configparser.cc"
    break;

  case 672: /* $@289: %empty  */
#line 1165 "configparser.yy"
                                      {}
#line 7718 "configparser.cc"
    break;

  case 674: /* $@290: %empty  */
#line 1166 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7724 "configparser.cc"
    break;

  case 676: /* $@291: %empty  */
#line 1167 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7730 "configparser.cc"
    break;

  case 678: /* $@292: %empty  */
#line 1168 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7736 "configparser.cc"
    break;

  case 680: /* $@293: %empty  */
#line 1169 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7742 "configparser.cc"
    break;

  case 682: /* $@294: %empty  */
#line 1170 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7748 "configparser.cc"
    break;

  case 684: /* $@295: %empty  */
#line 1171 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7754 "configparser.cc"
    break;

  case 686: /* $@296: %empty  */
#line 1172 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7760 "configparser.cc"
    break;

  case 688: /* $@297: %empty  */
#line 1173 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7766 "configparser.cc"
    break;

  case 690: /* $@298: %empty  */
#line 1174 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7772 "configparser.cc"
    break;

  case 693: /* $@299: %empty  */
#line 1177 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7782 "configparser.cc"
    break;

  case 694: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@299 RIGHTBRACE_WCP  */
#line 1182 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7788 "configparser.cc"
    break;

  case 695: /* $@300: %empty  */
#line 1184 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7798 "configparser.cc"
    break;

  case 696: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@300 RIGHTBRACE_WCP  */
#line 1189 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7804 "configparser.cc"
    break;

  case 697: /* $@301: %empty  */
#line 1191 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7814 "configparser.cc"
    break;

  case 698: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@301 RIGHTBRACE_WCP  */
#line 1196 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7820 "configparser.cc"
    break;

  case 699: /* $@302: %empty  */
#line 1198 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7830 "configparser.cc"
    break;

  case 700: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1203 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7836 "configparser.cc"
    break;

  case 701: /* $@303: %empty  */
#line 1205 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7846 "configparser.cc"
    break;

  case 702: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1210 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7852 "configparser.cc"
    break;

  case 703: /* $@304: %empty  */
#line 1212 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7862 "configparser.cc"
    break;

  case 704: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1217 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7868 "configparser.cc"
    break;

  case 705: /* $@305: %empty  */
#line 1219 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7878 "configparser.cc"
    break;

  case 706: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1224 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7884 "configparser.cc"
    break;

  case 707: /* $@306: %empty  */
#line 1226 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7894 "configparser.cc"
    break;

  case 708: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1231 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7900 "configparser.cc"
    break;

  case 709: /* $@307: %empty  */
#line 1233 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7910 "configparser.cc"
    break;

  case 710: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1238 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7916 "configparser.cc"
    break;

  case 711: /* $@308: %empty  */
#line 1240 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 7922 "configparser.cc"
    break;

  case 712: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@308 enterdiropbody RIGHTBRACE_WCP  */
#line 1241 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7928 "configparser.cc"
    break;

  case 713: /* $@309: %empty  */
#line 1243 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 7934 "configparser.cc"
    break;

  case 715: /* $@310: %empty  */
#line 1244 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 7940 "configparser.cc"
    break;

  case 717: /* $@311: %empty  */
#line 1245 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 7946 "configparser.cc"
    break;

  case 719: /* $@312: %empty  */
#line 1246 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 7952 "configparser.cc"
    break;

  case 721: /* $@313: %empty  */
#line 1247 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 7958 "configparser.cc"
    break;

  case 724: /* $@314: %empty  */
#line 1250 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 7964 "configparser.cc"
    break;

  case 725: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@314 changelistersetopbody RIGHTBRACE_WCP  */
#line 1251 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7970 "configparser.cc"
    break;

  case 726: /* $@315: %empty  */
#line 1253 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 7976 "configparser.cc"
    break;

  case 728: /* $@316: %empty  */
#line 1254 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 7982 "configparser.cc"
    break;

  case 730: /* $@317: %empty  */
#line 1255 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 7988 "configparser.cc"
    break;

  case 732: /* $@318: %empty  */
#line 1256 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 7994 "configparser.cc"
    break;

  case 735: /* $@319: %empty  */
#line 1259 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8000 "configparser.cc"
    break;

  case 736: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@319 RIGHTBRACE_WCP  */
#line 1260 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8006 "configparser.cc"
    break;

  case 737: /* $@320: %empty  */
#line 1262 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8012 "configparser.cc"
    break;

  case 738: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@320 filterselectopbody RIGHTBRACE_WCP  */
#line 1263 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8018 "configparser.cc"
    break;

  case 739: /* $@321: %empty  */
#line 1265 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8024 "configparser.cc"
    break;

  case 741: /* $@322: %empty  */
#line 1266 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8030 "configparser.cc"
    break;

  case 744: /* $@323: %empty  */
#line 1269 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8036 "configparser.cc"
    break;

  case 745: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@323 filterunselectopbody RIGHTBRACE_WCP  */
#line 1270 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8042 "configparser.cc"
    break;

  case 746: /* $@324: %empty  */
#line 1272 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8048 "configparser.cc"
    break;

  case 748: /* $@325: %empty  */
#line 1273 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8054 "configparser.cc"
    break;

  case 751: /* $@326: %empty  */
#line 1276 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8060 "configparser.cc"
    break;

  case 752: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@326 RIGHTBRACE_WCP  */
#line 1277 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8066 "configparser.cc"
    break;

  case 753: /* $@327: %empty  */
#line 1279 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8072 "configparser.cc"
    break;

  case 754: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@327 quitopbody RIGHTBRACE_WCP  */
#line 1280 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8078 "configparser.cc"
    break;

  case 755: /* $@328: %empty  */
#line 1282 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8084 "configparser.cc"
    break;

  case 757: /* $@329: %empty  */
#line 1283 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8090 "configparser.cc"
    break;

  case 760: /* $@330: %empty  */
#line 1286 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8096 "configparser.cc"
    break;

  case 761: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@330 deleteopbody RIGHTBRACE_WCP  */
#line 1287 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8102 "configparser.cc"
    break;

  case 762: /* $@331: %empty  */
#line 1289 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8108 "configparser.cc"
    break;

  case 765: /* $@332: %empty  */
#line 1292 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8114 "configparser.cc"
    break;

  case 766: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@332 reloadopbody RIGHTBRACE_WCP  */
#line 1293 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8120 "configparser.cc"
    break;

  case 767: /* $@333: %empty  */
#line 1295 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8126 "configparser.cc"
    break;

  case 769: /* $@334: %empty  */
#line 1296 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8132 "configparser.cc"
    break;

  case 771: /* $@335: %empty  */
#line 1297 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8138 "configparser.cc"
    break;

  case 773: /* $@336: %empty  */
#line 1298 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8144 "configparser.cc"
    break;

  case 775: /* $@337: %empty  */
#line 1299 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8150 "configparser.cc"
    break;

  case 777: /* $@338: %empty  */
#line 1300 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8156 "configparser.cc"
    break;

  case 780: /* $@339: %empty  */
#line 1303 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8162 "configparser.cc"
    break;

  case 781: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@339 RIGHTBRACE_WCP  */
#line 1304 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8168 "configparser.cc"
    break;

  case 782: /* $@340: %empty  */
#line 1306 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8174 "configparser.cc"
    break;

  case 783: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@340 RIGHTBRACE_WCP  */
#line 1307 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8180 "configparser.cc"
    break;

  case 784: /* $@341: %empty  */
#line 1309 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8186 "configparser.cc"
    break;

  case 785: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@341 RIGHTBRACE_WCP  */
#line 1310 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8192 "configparser.cc"
    break;

  case 786: /* $@342: %empty  */
#line 1312 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8202 "configparser.cc"
    break;

  case 787: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@342 RIGHTBRACE_WCP  */
#line 1317 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8208 "configparser.cc"
    break;

  case 788: /* $@343: %empty  */
#line 1319 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8214 "configparser.cc"
    break;

  case 789: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@343 startprogopbody RIGHTBRACE_WCP  */
#line 1320 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8220 "configparser.cc"
    break;

  case 790: /* $@344: %empty  */
#line 1322 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8226 "configparser.cc"
    break;

  case 792: /* $@345: %empty  */
#line 1323 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8232 "configparser.cc"
    break;

  case 794: /* $@346: %empty  */
#line 1324 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8238 "configparser.cc"
    break;

  case 796: /* $@347: %empty  */
#line 1325 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8244 "configparser.cc"
    break;

  case 798: /* $@348: %empty  */
#line 1326 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8250 "configparser.cc"
    break;

  case 800: /* $@349: %empty  */
#line 1327 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8256 "configparser.cc"
    break;

  case 802: /* $@350: %empty  */
#line 1328 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8262 "configparser.cc"
    break;

  case 804: /* $@351: %empty  */
#line 1329 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8268 "configparser.cc"
    break;

  case 806: /* $@352: %empty  */
#line 1330 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8274 "configparser.cc"
    break;

  case 808: /* $@353: %empty  */
#line 1331 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8280 "configparser.cc"
    break;

  case 811: /* $@354: %empty  */
#line 1334 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8286 "configparser.cc"
    break;

  case 812: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@354 searchentryopbody RIGHTBRACE_WCP  */
#line 1335 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8292 "configparser.cc"
    break;

  case 813: /* $@355: %empty  */
#line 1337 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8298 "configparser.cc"
    break;

  case 815: /* $@356: %empty  */
#line 1338 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8304 "configparser.cc"
    break;

  case 817: /* $@357: %empty  */
#line 1339 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8310 "configparser.cc"
    break;

  case 819: /* $@358: %empty  */
#line 1340 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8316 "configparser.cc"
    break;

  case 822: /* $@359: %empty  */
#line 1343 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8322 "configparser.cc"
    break;

  case 823: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@359 enterpathopbody RIGHTBRACE_WCP  */
#line 1344 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8328 "configparser.cc"
    break;

  case 824: /* $@360: %empty  */
#line 1346 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8334 "configparser.cc"
    break;

  case 826: /* $@361: %empty  */
#line 1347 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8340 "configparser.cc"
    break;

  case 828: /* $@362: %empty  */
#line 1348 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8346 "configparser.cc"
    break;

  case 830: /* $@363: %empty  */
#line 1349 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8352 "configparser.cc"
    break;

  case 833: /* $@364: %empty  */
#line 1352 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8358 "configparser.cc"
    break;

  case 834: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@364 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1353 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8364 "configparser.cc"
    break;

  case 835: /* $@365: %empty  */
#line 1355 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8370 "configparser.cc"
    break;

  case 837: /* $@366: %empty  */
#line 1356 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8376 "configparser.cc"
    break;

  case 840: /* $@367: %empty  */
#line 1359 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8382 "configparser.cc"
    break;

  case 841: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@367 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1360 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8388 "configparser.cc"
    break;

  case 842: /* $@368: %empty  */
#line 1362 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8394 "configparser.cc"
    break;

  case 844: /* $@369: %empty  */
#line 1363 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8400 "configparser.cc"
    break;

  case 846: /* $@370: %empty  */
#line 1364 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8406 "configparser.cc"
    break;

  case 849: /* $@371: %empty  */
#line 1367 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8412 "configparser.cc"
    break;

  case 850: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@371 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1368 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8418 "configparser.cc"
    break;

  case 851: /* $@372: %empty  */
#line 1370 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8424 "configparser.cc"
    break;

  case 853: /* $@373: %empty  */
#line 1371 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8430 "configparser.cc"
    break;

  case 855: /* $@374: %empty  */
#line 1372 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8436 "configparser.cc"
    break;

  case 858: /* $@375: %empty  */
#line 1375 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8442 "configparser.cc"
    break;

  case 859: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@375 chmodopbody RIGHTBRACE_WCP  */
#line 1376 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8448 "configparser.cc"
    break;

  case 860: /* $@376: %empty  */
#line 1378 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8454 "configparser.cc"
    break;

  case 862: /* $@377: %empty  */
#line 1379 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8460 "configparser.cc"
    break;

  case 864: /* $@378: %empty  */
#line 1380 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8466 "configparser.cc"
    break;

  case 866: /* $@379: %empty  */
#line 1381 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8472 "configparser.cc"
    break;

  case 869: /* $@380: %empty  */
#line 1384 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8478 "configparser.cc"
    break;

  case 870: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@380 chtimeopbody RIGHTBRACE_WCP  */
#line 1385 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8484 "configparser.cc"
    break;

  case 871: /* $@381: %empty  */
#line 1387 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8490 "configparser.cc"
    break;

  case 873: /* $@382: %empty  */
#line 1388 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8496 "configparser.cc"
    break;

  case 875: /* $@383: %empty  */
#line 1389 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8502 "configparser.cc"
    break;

  case 877: /* $@384: %empty  */
#line 1390 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8508 "configparser.cc"
    break;

  case 880: /* $@385: %empty  */
#line 1393 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8514 "configparser.cc"
    break;

  case 881: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@385 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1394 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8520 "configparser.cc"
    break;

  case 882: /* $@386: %empty  */
#line 1396 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8526 "configparser.cc"
    break;

  case 885: /* $@387: %empty  */
#line 1399 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8534 "configparser.cc"
    break;

  case 886: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@387 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1402 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8540 "configparser.cc"
    break;

  case 887: /* $@388: %empty  */
#line 1404 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8546 "configparser.cc"
    break;

  case 889: /* $@389: %empty  */
#line 1405 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8552 "configparser.cc"
    break;

  case 891: /* $@390: %empty  */
#line 1406 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8558 "configparser.cc"
    break;

  case 893: /* $@391: %empty  */
#line 1407 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8564 "configparser.cc"
    break;

  case 895: /* $@392: %empty  */
#line 1408 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8570 "configparser.cc"
    break;

  case 897: /* $@393: %empty  */
#line 1409 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8576 "configparser.cc"
    break;

  case 899: /* $@394: %empty  */
#line 1410 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8582 "configparser.cc"
    break;

  case 901: /* $@395: %empty  */
#line 1411 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8588 "configparser.cc"
    break;

  case 903: /* $@396: %empty  */
#line 1412 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8594 "configparser.cc"
    break;

  case 905: /* $@397: %empty  */
#line 1413 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8600 "configparser.cc"
    break;

  case 907: /* $@398: %empty  */
#line 1414 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8606 "configparser.cc"
    break;

  case 909: /* $@399: %empty  */
#line 1415 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8612 "configparser.cc"
    break;

  case 911: /* $@400: %empty  */
#line 1416 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8618 "configparser.cc"
    break;

  case 913: /* $@401: %empty  */
#line 1417 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8624 "configparser.cc"
    break;

  case 916: /* $@402: %empty  */
#line 1420 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8630 "configparser.cc"
    break;

  case 917: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@402 setfilteropbody RIGHTBRACE_WCP  */
#line 1421 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8636 "configparser.cc"
    break;

  case 918: /* $@403: %empty  */
#line 1423 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8642 "configparser.cc"
    break;

  case 920: /* $@404: %empty  */
#line 1424 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8648 "configparser.cc"
    break;

  case 922: /* $@405: %empty  */
#line 1425 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8654 "configparser.cc"
    break;

  case 924: /* $@406: %empty  */
#line 1426 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8660 "configparser.cc"
    break;

  case 926: /* $@407: %empty  */
#line 1427 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8666 "configparser.cc"
    break;

  case 928: /* $@408: %empty  */
#line 1428 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8672 "configparser.cc"
    break;

  case 930: /* $@409: %empty  */
#line 1429 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8678 "configparser.cc"
    break;

  case 932: /* $@410: %empty  */
#line 1430 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8684 "configparser.cc"
    break;

  case 934: /* $@411: %empty  */
#line 1431 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8690 "configparser.cc"
    break;

  case 936: /* $@412: %empty  */
#line 1432 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8696 "configparser.cc"
    break;

  case 938: /* $@413: %empty  */
#line 1433 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8702 "configparser.cc"
    break;

  case 940: /* $@414: %empty  */
#line 1434 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8708 "configparser.cc"
    break;

  case 942: /* $@415: %empty  */
#line 1435 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8714 "configparser.cc"
    break;

  case 944: /* $@416: %empty  */
#line 1436 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8720 "configparser.cc"
    break;

  case 946: /* $@417: %empty  */
#line 1437 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8726 "configparser.cc"
    break;

  case 949: /* $@418: %empty  */
#line 1440 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8732 "configparser.cc"
    break;

  case 950: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@418 RIGHTBRACE_WCP  */
#line 1441 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8738 "configparser.cc"
    break;

  case 951: /* $@419: %empty  */
#line 1443 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8744 "configparser.cc"
    break;

  case 952: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@419 chownopbody RIGHTBRACE_WCP  */
#line 1444 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8750 "configparser.cc"
    break;

  case 953: /* $@420: %empty  */
#line 1446 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8756 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1447 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8762 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1448 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8768 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1449 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8774 "configparser.cc"
    break;

  case 962: /* $@424: %empty  */
#line 1452 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8780 "configparser.cc"
    break;

  case 963: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@424 scriptopbody RIGHTBRACE_WCP  */
#line 1453 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8786 "configparser.cc"
    break;

  case 964: /* $@425: %empty  */
#line 1455 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8792 "configparser.cc"
    break;

  case 966: /* $@426: %empty  */
#line 1456 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8798 "configparser.cc"
    break;

  case 968: /* $@427: %empty  */
#line 1457 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8804 "configparser.cc"
    break;

  case 970: /* $@428: %empty  */
#line 1458 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8810 "configparser.cc"
    break;

  case 972: /* $@429: %empty  */
#line 1459 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8816 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1460 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8822 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1461 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8828 "configparser.cc"
    break;

  case 978: /* $@432: %empty  */
#line 1462 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8834 "configparser.cc"
    break;

  case 980: /* $@433: %empty  */
#line 1463 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8840 "configparser.cc"
    break;

  case 982: /* $@434: %empty  */
#line 1464 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 8846 "configparser.cc"
    break;

  case 984: /* $@435: %empty  */
#line 1465 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8852 "configparser.cc"
    break;

  case 986: /* $@436: %empty  */
#line 1466 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8858 "configparser.cc"
    break;

  case 988: /* $@437: %empty  */
#line 1467 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8864 "configparser.cc"
    break;

  case 990: /* $@438: %empty  */
#line 1468 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8870 "configparser.cc"
    break;

  case 992: /* $@439: %empty  */
#line 1469 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 8876 "configparser.cc"
    break;

  case 994: /* $@440: %empty  */
#line 1470 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 8882 "configparser.cc"
    break;

  case 996: /* $@441: %empty  */
#line 1471 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 8888 "configparser.cc"
    break;

  case 998: /* $@442: %empty  */
#line 1472 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 8894 "configparser.cc"
    break;

  case 1000: /* $@443: %empty  */
#line 1473 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 8900 "configparser.cc"
    break;

  case 1002: /* $@444: %empty  */
#line 1474 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 8906 "configparser.cc"
    break;

  case 1004: /* $@445: %empty  */
#line 1475 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 8912 "configparser.cc"
    break;

  case 1006: /* $@446: %empty  */
#line 1476 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 8918 "configparser.cc"
    break;

  case 1008: /* $@447: %empty  */
#line 1477 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8924 "configparser.cc"
    break;

  case 1010: /* $@448: %empty  */
#line 1478 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8930 "configparser.cc"
    break;

  case 1012: /* $@449: %empty  */
#line 1479 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8936 "configparser.cc"
    break;

  case 1014: /* $@450: %empty  */
#line 1480 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8942 "configparser.cc"
    break;

  case 1016: /* $@451: %empty  */
#line 1481 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 8948 "configparser.cc"
    break;

  case 1018: /* $@452: %empty  */
#line 1482 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 8954 "configparser.cc"
    break;

  case 1020: /* $@453: %empty  */
#line 1483 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 8960 "configparser.cc"
    break;

  case 1023: /* $@454: %empty  */
#line 1486 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 8966 "configparser.cc"
    break;

  case 1024: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@454 RIGHTBRACE_WCP  */
#line 1487 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8972 "configparser.cc"
    break;

  case 1025: /* $@455: %empty  */
#line 1489 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 8978 "configparser.cc"
    break;

  case 1026: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@455 RIGHTBRACE_WCP  */
#line 1490 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8984 "configparser.cc"
    break;

  case 1027: /* $@456: %empty  */
#line 1492 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 8990 "configparser.cc"
    break;

  case 1028: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@456 RIGHTBRACE_WCP  */
#line 1493 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8996 "configparser.cc"
    break;

  case 1029: /* $@457: %empty  */
#line 1495 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9002 "configparser.cc"
    break;

  case 1030: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@457 goftpopbody RIGHTBRACE_WCP  */
#line 1496 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9008 "configparser.cc"
    break;

  case 1031: /* $@458: %empty  */
#line 1498 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9014 "configparser.cc"
    break;

  case 1033: /* $@459: %empty  */
#line 1499 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9020 "configparser.cc"
    break;

  case 1035: /* $@460: %empty  */
#line 1500 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9026 "configparser.cc"
    break;

  case 1037: /* $@461: %empty  */
#line 1501 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9032 "configparser.cc"
    break;

  case 1039: /* $@462: %empty  */
#line 1502 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9038 "configparser.cc"
    break;

  case 1041: /* $@463: %empty  */
#line 1503 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9044 "configparser.cc"
    break;

  case 1043: /* $@464: %empty  */
#line 1504 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9050 "configparser.cc"
    break;

  case 1046: /* $@465: %empty  */
#line 1507 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9056 "configparser.cc"
    break;

  case 1047: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@465 internalviewopbody RIGHTBRACE_WCP  */
#line 1508 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9062 "configparser.cc"
    break;

  case 1048: /* $@466: %empty  */
#line 1510 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9068 "configparser.cc"
    break;

  case 1050: /* $@467: %empty  */
#line 1511 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9074 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1512 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9080 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1513 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9086 "configparser.cc"
    break;

  case 1057: /* $@470: %empty  */
#line 1517 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9092 "configparser.cc"
    break;

  case 1058: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@470 clipboardopbody RIGHTBRACE_WCP  */
#line 1518 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9098 "configparser.cc"
    break;

  case 1059: /* $@471: %empty  */
#line 1520 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9104 "configparser.cc"
    break;

  case 1062: /* $@472: %empty  */
#line 1523 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9110 "configparser.cc"
    break;

  case 1063: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@472 searchopbody RIGHTBRACE_WCP  */
#line 1524 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9116 "configparser.cc"
    break;

  case 1064: /* $@473: %empty  */
#line 1526 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9122 "configparser.cc"
    break;

  case 1066: /* $@474: %empty  */
#line 1527 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9128 "configparser.cc"
    break;

  case 1069: /* $@475: %empty  */
#line 1530 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9134 "configparser.cc"
    break;

  case 1070: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@475 RIGHTBRACE_WCP  */
#line 1531 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9140 "configparser.cc"
    break;

  case 1071: /* $@476: %empty  */
#line 1533 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9146 "configparser.cc"
    break;

  case 1072: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@476 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1534 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9152 "configparser.cc"
    break;

  case 1073: /* $@477: %empty  */
#line 1536 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9158 "configparser.cc"
    break;

  case 1076: /* $@478: %empty  */
#line 1539 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9164 "configparser.cc"
    break;

  case 1077: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@478 runcustomactionbody RIGHTBRACE_WCP  */
#line 1540 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9170 "configparser.cc"
    break;

  case 1078: /* $@479: %empty  */
#line 1542 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9176 "configparser.cc"
    break;

  case 1081: /* $@480: %empty  */
#line 1545 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9182 "configparser.cc"
    break;

  case 1082: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@480 RIGHTBRACE_WCP  */
#line 1546 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9188 "configparser.cc"
    break;

  case 1083: /* $@481: %empty  */
#line 1548 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9194 "configparser.cc"
    break;

  case 1084: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@481 changelabelopbody RIGHTBRACE_WCP  */
#line 1549 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9200 "configparser.cc"
    break;

  case 1085: /* $@482: %empty  */
#line 1551 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9206 "configparser.cc"
    break;

  case 1087: /* $@483: %empty  */
#line 1552 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9212 "configparser.cc"
    break;

  case 1090: /* $@484: %empty  */
#line 1555 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9218 "configparser.cc"
    break;

  case 1091: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@484 modifytabsopbody RIGHTBRACE_WCP  */
#line 1556 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9224 "configparser.cc"
    break;

  case 1092: /* $@485: %empty  */
#line 1558 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9230 "configparser.cc"
    break;

  case 1094: /* $@486: %empty  */
#line 1559 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9236 "configparser.cc"
    break;

  case 1096: /* $@487: %empty  */
#line 1560 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9242 "configparser.cc"
    break;

  case 1098: /* $@488: %empty  */
#line 1561 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9248 "configparser.cc"
    break;

  case 1100: /* $@489: %empty  */
#line 1562 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9254 "configparser.cc"
    break;

  case 1102: /* $@490: %empty  */
#line 1563 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9260 "configparser.cc"
    break;

  case 1104: /* $@491: %empty  */
#line 1564 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9266 "configparser.cc"
    break;

  case 1107: /* $@492: %empty  */
#line 1567 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9275 "configparser.cc"
    break;

  case 1108: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@492 changelayoutopbody RIGHTBRACE_WCP  */
#line 1570 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9284 "configparser.cc"
    break;

  case 1109: /* $@493: %empty  */
#line 1575 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9290 "configparser.cc"
    break;

  case 1111: /* $@494: %empty  */
#line 1576 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9296 "configparser.cc"
    break;

  case 1113: /* $@495: %empty  */
#line 1577 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9302 "configparser.cc"
    break;

  case 1115: /* $@496: %empty  */
#line 1578 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9308 "configparser.cc"
    break;

  case 1117: /* $@497: %empty  */
#line 1579 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9314 "configparser.cc"
    break;

  case 1119: /* $@498: %empty  */
#line 1580 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9320 "configparser.cc"
    break;

  case 1121: /* $@499: %empty  */
#line 1581 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9326 "configparser.cc"
    break;

  case 1123: /* $@500: %empty  */
#line 1582 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9332 "configparser.cc"
    break;

  case 1125: /* $@501: %empty  */
#line 1583 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9338 "configparser.cc"
    break;

  case 1127: /* $@502: %empty  */
#line 1584 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9344 "configparser.cc"
    break;

  case 1129: /* $@503: %empty  */
#line 1585 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9350 "configparser.cc"
    break;

  case 1131: /* $@504: %empty  */
#line 1586 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9356 "configparser.cc"
    break;

  case 1133: /* $@505: %empty  */
#line 1587 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9362 "configparser.cc"
    break;

  case 1136: /* $@506: %empty  */
#line 1590 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9371 "configparser.cc"
    break;

  case 1137: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@506 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1593 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9380 "configparser.cc"
    break;

  case 1138: /* $@507: %empty  */
#line 1598 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9386 "configparser.cc"
    break;

  case 1140: /* $@508: %empty  */
#line 1599 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9392 "configparser.cc"
    break;

  case 1142: /* $@509: %empty  */
#line 1600 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9398 "configparser.cc"
    break;

  case 1144: /* $@510: %empty  */
#line 1601 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9404 "configparser.cc"
    break;

  case 1146: /* $@511: %empty  */
#line 1602 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9410 "configparser.cc"
    break;

  case 1148: /* $@512: %empty  */
#line 1603 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9416 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1604 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9422 "configparser.cc"
    break;

  case 1152: /* $@514: %empty  */
#line 1605 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9428 "configparser.cc"
    break;

  case 1154: /* $@515: %empty  */
#line 1606 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9434 "configparser.cc"
    break;

  case 1156: /* $@516: %empty  */
#line 1607 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9440 "configparser.cc"
    break;

  case 1158: /* $@517: %empty  */
#line 1608 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9446 "configparser.cc"
    break;

  case 1160: /* $@518: %empty  */
#line 1609 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9452 "configparser.cc"
    break;

  case 1162: /* $@519: %empty  */
#line 1610 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9458 "configparser.cc"
    break;

  case 1164: /* $@520: %empty  */
#line 1611 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9464 "configparser.cc"
    break;

  case 1167: /* $@521: %empty  */
#line 1614 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9470 "configparser.cc"
    break;

  case 1168: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@521 RIGHTBRACE_WCP  */
#line 1615 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9476 "configparser.cc"
    break;

  case 1169: /* $@522: %empty  */
#line 1617 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9482 "configparser.cc"
    break;

  case 1170: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@522 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1618 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9488 "configparser.cc"
    break;

  case 1171: /* $@523: %empty  */
#line 1620 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9494 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1621 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9500 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1622 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9506 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1623 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9512 "configparser.cc"
    break;

  case 1180: /* $@527: %empty  */
#line 1626 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9518 "configparser.cc"
    break;

  case 1181: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@527 pathjumpopbody RIGHTBRACE_WCP  */
#line 1627 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9524 "configparser.cc"
    break;

  case 1182: /* $@528: %empty  */
#line 1629 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9530 "configparser.cc"
    break;

  case 1184: /* $@529: %empty  */
#line 1630 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9536 "configparser.cc"
    break;

  case 1186: /* $@530: %empty  */
#line 1631 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9542 "configparser.cc"
    break;

  case 1189: /* $@531: %empty  */
#line 1634 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9548 "configparser.cc"
    break;

  case 1190: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@531 commandmenuopbody RIGHTBRACE_WCP  */
#line 1635 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9554 "configparser.cc"
    break;

  case 1191: /* $@532: %empty  */
#line 1637 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9560 "configparser.cc"
    break;

  case 1194: /* $@533: %empty  */
#line 1640 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9566 "configparser.cc"
    break;

  case 1195: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@533 RIGHTBRACE_WCP  */
#line 1641 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9572 "configparser.cc"
    break;

  case 1196: /* $@534: %empty  */
#line 1643 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9578 "configparser.cc"
    break;

  case 1197: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@534 RIGHTBRACE_WCP  */
#line 1644 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9584 "configparser.cc"
    break;

  case 1198: /* $@535: %empty  */
#line 1646 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9590 "configparser.cc"
    break;

  case 1199: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@535 RIGHTBRACE_WCP  */
#line 1647 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9596 "configparser.cc"
    break;

  case 1200: /* $@536: %empty  */
#line 1649 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9602 "configparser.cc"
    break;

  case 1201: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@536 externalvdiropbody RIGHTBRACE_WCP  */
#line 1650 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9608 "configparser.cc"
    break;

  case 1202: /* $@537: %empty  */
#line 1652 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9614 "configparser.cc"
    break;

  case 1205: /* $@538: %empty  */
#line 1655 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9624 "configparser.cc"
    break;

  case 1206: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@538 RIGHTBRACE_WCP  */
#line 1660 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9630 "configparser.cc"
    break;

  case 1207: /* $@539: %empty  */
#line 1662 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9636 "configparser.cc"
    break;

  case 1208: /* $@540: %empty  */
#line 1663 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9643 "configparser.cc"
    break;

  case 1211: /* $@541: %empty  */
#line 1667 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9649 "configparser.cc"
    break;

  case 1213: /* $@542: %empty  */
#line 1668 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9655 "configparser.cc"
    break;

  case 1215: /* $@543: %empty  */
#line 1669 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9661 "configparser.cc"
    break;

  case 1217: /* $@544: %empty  */
#line 1670 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9667 "configparser.cc"
    break;

  case 1219: /* $@545: %empty  */
#line 1671 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9673 "configparser.cc"
    break;

  case 1221: /* $@546: %empty  */
#line 1672 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9679 "configparser.cc"
    break;

  case 1223: /* $@547: %empty  */
#line 1673 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9685 "configparser.cc"
    break;

  case 1225: /* $@548: %empty  */
#line 1674 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9691 "configparser.cc"
    break;

  case 1227: /* $@549: %empty  */
#line 1675 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9697 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1676 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9703 "configparser.cc"
    break;

  case 1231: /* $@551: %empty  */
#line 1677 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9709 "configparser.cc"
    break;

  case 1233: /* $@552: %empty  */
#line 1678 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9715 "configparser.cc"
    break;

  case 1235: /* $@553: %empty  */
#line 1679 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9721 "configparser.cc"
    break;

  case 1237: /* $@554: %empty  */
#line 1680 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9727 "configparser.cc"
    break;

  case 1239: /* $@555: %empty  */
#line 1681 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9733 "configparser.cc"
    break;

  case 1241: /* $@556: %empty  */
#line 1682 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9739 "configparser.cc"
    break;

  case 1243: /* $@557: %empty  */
#line 1683 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9745 "configparser.cc"
    break;

  case 1245: /* $@558: %empty  */
#line 1684 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9751 "configparser.cc"
    break;

  case 1246: /* $@559: %empty  */
#line 1685 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9757 "configparser.cc"
    break;

  case 1249: /* $@560: %empty  */
#line 1688 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9763 "configparser.cc"
    break;

  case 1251: /* $@561: %empty  */
#line 1689 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9769 "configparser.cc"
    break;

  case 1253: /* $@562: %empty  */
#line 1690 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9775 "configparser.cc"
    break;

  case 1256: /* $@563: %empty  */
#line 1693 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9783 "configparser.cc"
    break;

  case 1257: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@563 RIGHTBRACE_WCP  */
#line 1696 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9789 "configparser.cc"
    break;


#line 9793 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1698 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  memcpy( lconfig_error, s, sizeof( lconfig_error ) );
  lconfig_error[ sizeof( lconfig_error ) - 1] = '\0';
  return 0;
}
